yunohost (12.0.0) unstable; urgency=low

  - Tmp changelog to prepare Bookworm

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 04 May 2023 20:30:19 +0200
 
yunohost (11.2.9.1) stable; urgency=low

  - helpers/utils: replace the damn ynh_die with a warning when patch fails to apply ... (0ed6769fc)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 28 Dec 2023 02:45:33 +0100

yunohost (11.2.9) stable; urgency=low

  - users: Allow dots in usernames ([#1750](https://github.com/yunohost/yunohost/pull/1750))
  - ynh_setup_source: properly handle --keep for directories when the dir already exists in the new setup (8e3e78884)
  - ynh_setup_source: fix first source patches failure not triggering an error (770fdb686)
  - ynh_use_logrotate: Refactor this madness (308ed0e17)
  - systemutils: when checking debian version and system arch, redirect stderr to /dev/null to prevent stupid issues (830d7b47e)
  - mail/apps: add mailbox/IMAP support for apps that declared a system user with mail enabled (#1745)
  - mail: fix edge case bug with the postfix sni file when no domain has mail enabled (155418409)
  - i18n: Translations updated for Basque, Polish

  Thanks to all contributors <3 ! (Josue-T, Kuba Bazan, ljf, selfhoster1312, xabirequejo, YapWC)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 27 Dec 2023 18:45:30 +0100

yunohost (11.2.8.2) stable; urgency=low

  - Aleks forgot to remove pdb.set_trace ... (54a6a1b3)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 09 Dec 2023 18:26:10 +0100

yunohost (11.2.8.1) stable; urgency=low

  - apps: fix change_url again, otherwise the lack of path_url default to the old path and fucks up the nginx regen (169c9214)
  - i18n: Translations updated for German

  Thanks to all contributors <3 ! (Christian Wehrli)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 09 Dec 2023 15:56:20 +0100

yunohost (11.2.8) stable; urgency=low

  - domains: also regen dovecot configuration when adding a domain (59875cae)
  - helpers/fail2ban: grep logpath is likely to match comments in the file that contain the word logpath... (26796807)
  - helpers: Further simplify the change url helper ([#1746](https://github.com/yunohost/yunohost/pull/1746))

  Thanks to all contributors <3 ! (Josué Tille)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 05 Dec 2023 19:21:38 +0100

yunohost (11.2.7) stable; urgency=low

  - helpers: fix fail2ban helper when using using --use_template arg ([#1743](https://github.com/yunohost/yunohost/pull/1743))
  - i18n: Translations updated for Basque, French, Galician

  Thanks to all contributors <3 ! (José M, OniriCorpe, ppr, xabirequejo)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 27 Nov 2023 14:13:54 +0100

yunohost (11.2.6) stable; urgency=low

  - mail: Improve dovecots rspamd integration wrt junk/spam folder naming ([#1731](https://github.com/yunohost/yunohost/pull/1731))
  - mail: add redis database configuration in rspamd ([#1730](https://github.com/yunohost/yunohost/pull/1730))
  - mail: let dovecot create folders on first login ([#1735](https://github.com/yunohost/yunohost/pull/1735))
  - apps: Support packages_from_raw_bash in extra packages ([#1729](https://github.com/yunohost/yunohost/pull/1729))
  - apps/configpanel: support bind 'heritage', avoid repeating the same bind statement for multiple options ([#1706](https://github.com/yunohost/yunohost/pull/1706))
  - helpers: Upgrade n to version 9.2.0 ([#1727](https://github.com/yunohost/yunohost/pull/1727))
  - helpers: Update docker-image-extract to support more recent docker images ([#1733](https://github.com/yunohost/yunohost/pull/1733))
  - helpers: Add ynh_exec_and_print_stderr_only_if_error that only prints stderr when command fails ([#1723](https://github.com/yunohost/yunohost/pull/1723))
  - helpers: fix logrotate config file permission ([#1736](https://github.com/yunohost/yunohost/pull/1736))
  - helpers: make sure logfile exist when calling fail2ban helper ([#1737](https://github.com/yunohost/yunohost/pull/1737))
  - backup: Add post_app_restore hook ([#1708](https://github.com/yunohost/yunohost/pull/1708))
  - perf: speedup firewall reload ([#1734](https://github.com/yunohost/yunohost/pull/1734))
  - perf: prevent unecessary queries when building UserOption form ([#1738](https://github.com/yunohost/yunohost/pull/1738))
  - i18n: Translations updated for Basque, Catalan, French, Galician, Italian, Slovak, Spanish

  Thanks to all contributors <3 ! (chri2, Chris Vogel, cristian amoyao, Éric Gaspar, Félix Piédallu, Jorge-vitrubio.net, José M, Jose Riha, ljf, mh4ckt3mh4ckt1c4s, OniriCorpe, Sebastian Gumprich, selfhoster1312, Tharyrok, Thomas, tituspijean, xabirequejo)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 24 Nov 2023 22:01:50 +0100

yunohost (11.2.5) stable; urgency=low

  - debian: fix conflict with openssl that is too harsh, openssl version on bullseye is now 1.1.1w, bookworm has 3.x (e8700bfe7)
  - dyndns: tweak dyndns subscribe/unsubscribe for dyndns recovery password integration in webadmin ([#1715](https://github.com/yunohost/yunohost/pull/1715))
  - helpers: ynh_setup_source: check and re-download a prefetched file that doesn't match the checksum (3dfab89c1)
  - helpers: ynh_setup_source: fix misleading example ([#1714](https://github.com/yunohost/yunohost/pull/1714))
  - helpers: php/apt: allow `phpX.Y` as sole dependency for `$phpversion=X.Y` ([#1722](https://github.com/yunohost/yunohost/pull/1722))
  - apps: fix typo in log statement ([#1709](https://github.com/yunohost/yunohost/pull/1709))
  - apps: allow system users to send mails from IPv6 localhost. ([#1710](https://github.com/yunohost/yunohost/pull/1710))
  - apps: add "support_purge" to app info for webadmin integration ([#1719](https://github.com/yunohost/yunohost/pull/1719))
  - diagnosis: be more flexible regarding accepted values for DMARC DNS records ([#1713](https://github.com/yunohost/yunohost/pull/1713))
  - dns: add home.arpa as special TLD (#1718) (bb097fedc)
  - i18n: Translations updated for Basque, French

  Thanks to all contributors <3 ! (axolotle, Florian, Kayou, orhtej2, Pierre de La Morinerie, ppr, stanislas, tituspijean, xabirequejo)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 09 Oct 2023 23:16:13 +0200

yunohost (11.2.4) stable; urgency=low

  - doc: Improve --help for 'yunohost app install' ([#1702](https://github.com/yunohost/yunohost/pull/1702))
  - helpers: add new --group option for ynh_add_fpm_config to customize the Group parameter (65d25710)
  - apps: allow to use jinja {% if foobar %} blocks in their notifications/doc pages (57699289)
  - apps: BACKUP_CORE_ONLY was not set for pre-upgrade safety backups, resulting in unecessarily large pre-upgrade backups (07daa687)
  - apps: Use the existing db_name setting for database provising to ease v1->v2 transition with specific db_name ([#1704](https://github.com/yunohost/yunohost/pull/1704))
  - configpanels/forms: more edge cases with some questions not implementing some methods/attributes (b0fe49ae)
  - diagnosis: reverse DNS check should be case-insensitive #2235 ([#1705](https://github.com/yunohost/yunohost/pull/1705))
  - i18n: Translations updated for Galician, Indonesian, Polish, Spanish, Turkish

  Thanks to all contributors <3 ! (Grzegorz Cichocki, José M, Kuba Bazan, ljf (zamentur), massyas, Neko Nekowazarashi, selfhoster1312, Suleyman Harmandar, taco, Tagada)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 31 Aug 2023 17:30:21 +0200

yunohost (11.2.3) stable; urgency=low

  - apps: fix another case of no attribute 'value' due to config panels/questions refactoring (4fda8ed49)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 22 Jul 2023 16:48:22 +0200

yunohost (11.2.2) stable; urgency=low

  - domains: Gandi's `api_protocol` field should be a `select` type ([#1693](https://github.com/yunohost/yunohost/pull/1693))
  - configpanel: fix .value call for readonly-type options (e1ceb084)
  - i18n: Translations updated for French, Galician

  Thanks to all contributors <3 ! (axolotle, José M, ppr, tituspijean)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 19 Jul 2023 02:35:28 +0200

yunohost (11.2.1) stable; urgency=low

  - doc: fix resource doc generation .. not sure why this line that removed legit indent was there (ced222ea)
  - apps: hotfix for funky issue, apps getting named 'undefined' (781f924e)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 17 Jul 2023 21:13:54 +0200

yunohost (11.2) stable; urgency=low

  - dyndns: add support for recovery passwords ([#1475](https://github.com/YunoHost/yunohost/pull/1475))
  - mail/apps: allow system users to auth on the mail stack and send emails ([#815](https://github.com/YunoHost/yunohost/pull/815))
  - nginx: fix OCSP stapling errors ([#1543](https://github.com/YunoHost/yunohost/pull/1534))
  - ssh: disable banner by default ([#1605](https://github.com/YunoHost/yunohost/pull/1605))
  - configpanels: another partial refactoring of config panels / questions, paving the way for Pydantic ([#1676](https://github.com/YunoHost/yunohost/pull/1676))
  - misc: rewrite the `yunopaste` tool ([#1667](https://github.com/YunoHost/yunohost/pull/1667))
  - apps: simplify the use of `ynh_add_fpm_config` ([#1684](https://github.com/YunoHost/yunohost/pull/1684))
  - apps: in ynh_systemd_action, check the actual timestamp when checking for timeout, because for some reason journalctl may take a ridiculous amount of time to run (f3eef43d)
  - i18n: Translations updated for German, Japanese

  Thanks to all contributors <3 ! (André Théo LAURET, axolotle, Christian Wehrli, Éric Gaspar, ljf, motcha, theo-is-taken)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 17 Jul 2023 16:14:58 +0200

yunohost (11.1.22) stable; urgency=low

  - security: replace $http_host by $host in nginx conf, cf https://github.com/yandex/gixy/blob/master/docs/en/plugins/hostspoofing.md / Credit to A.Wolski (3957b10e)
  - security: keep fail2ban rule when reloading firewall ([#1661](https://github.com/yunohost/yunohost/pull/1661))
  - regenconf: fix a stupid bug using chown instead of chmod ... (af93524c)
  - postinstall: crash early if the username already exists on the system (e87ee09b)
  - diagnosis: Support multiple TXT entries for TLD ([#1680](https://github.com/yunohost/yunohost/pull/1680))
  - apps: Support gitea's URL format ([#1683](https://github.com/yunohost/yunohost/pull/1683))
  - apps: fix a bug where YunoHost would complain that 'it needs X RAM but only Y left' with Y > X because some apps have a higher runtime RAM requirement than build time ... (4152cb0d)
  - apps: Enhance app_shell() : prevent from taking the lock + improve php context with a 'phpflags' setting ([#1681](https://github.com/yunohost/yunohost/pull/1681))
  - apps resources: Allow passing an actual list in the manifest.toml for the apt resource packages ([#1670](https://github.com/yunohost/yunohost/pull/1670))
  - apps resources: fix a bug where port automigration between v1->v2 wouldnt work (36a17dfd)
  - i18n: Translations updated for Basque, Galician, Japanese, Polish

  Thanks to all contributors <3 ! (Félix Piédallu, Grzegorz Cichocki, José M, Kayou, motcha, Nicolas Palix, orhtej2, tituspijean, xabirequejo, Yann Autissier)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 10 Jul 2023 17:43:56 +0200

yunohost (11.1.21.4) stable; urgency=low

  - regenconf: Get rid of previous tmp hack about /dev/null for people that went through the very first 11.1.21, because it's causing issue in unpriviledged LXC or similar context (8242cab7)
  - apps: don't attempt to del password key if it doesn't exist (29338f79)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 14 Jun 2023 15:48:33 +0200

yunohost (11.1.21.3) stable; urgency=low

  - Fix again /var/www/.well-known/ynh-diagnosis/ perms which are too broad and could be exploited to serve malicious files x_x (84984ad8)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 12 Jun 2023 17:41:26 +0200

yunohost (11.1.21.2) stable; urgency=low

  - Aleks loves xargs syntax >_> (313a1647)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 12 Jun 2023 00:25:44 +0200

yunohost (11.1.21.1) stable; urgency=low

  - Fix stupid issue with code that changes /dev/null perms... (e6f134bc)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 12 Jun 2023 00:02:47 +0200

yunohost (11.1.21) stable; urgency=low

  - users: more verbose logs for user_group_update operations ([#1668](https://github.com/yunohost/yunohost/pull/1668))
  - apps: fix auto-catalog update cron job which was broken because --apps doesnt exist anymore (1552944f)
  - apps: Add a 'yunohost app shell' command to open a shell into an app environment ([#1656](https://github.com/yunohost/yunohost/pull/1656))
  - security/regenconf: fix security issue where apps' system conf would be owned by the app, which can enable priviledge escalation (daf51e94)
  - security/regenconf: force systemd, nginx, php and fail2ban conf to be owned by root (e649c092)
  - security/nginx: use /var/www/.well-known folder for ynh diagnosis and acme challenge, because /tmp/ could be manipulated by user to serve maliciously crafted files (d42c9983)
  - i18n: Translations updated for French, Polish, Ukrainian

  Thanks to all contributors <3 ! (Kay0u, Kuba Bazan, ppr, sudo, Tagada, tituspijean, Tymofii-Lytvynenko)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 11 Jun 2023 19:20:27 +0200

yunohost (11.1.20) stable; urgency=low

  - appsv2: fix funky current_version not being defined when hydrating pre-upgrade notifications (8fa823b4)
  - helpers: using YNH_APP_ID instead of YNH_APP_INSTANCE_NAME during ynh_setup_source download, for more consistency and because tests was actually failing since a while because of this (e59a4f84)
  - helpers: improve error message for corrupt source in ynh_setup_source, it's more relevant to cite the source url rather than the downloaded output path (d698c4c3)
  - nginx: Update "worker" Content-Security-Policy header when in experimental security mode ([#1664](https://github.com/yunohost/yunohost/pull/1664))
  - i18n: Translations updated for French, Indonesian, Russian, Slovak

  Thanks to all contributors <3 ! (axolotle, Éric Gaspar, Ilya, Jose Riha, Neko Nekowazarashi, Yann Autissier)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 20 May 2023 18:57:26 +0200

yunohost (11.1.19) stable; urgency=low

  - helpers: Upgrade n to version 9.1.0 ([#1646](https://github.com/yunohost/yunohost/pull/1646))
  - appsv2: in perm resource, fix handling of additional urls containing vars to replace (8fbdd228)
  - appsv2: fix version-specific upgrade notification hydration ([#1655](https://github.com/yunohost/yunohost/pull/1655))
  - appsv2/regenconf: prevent set -u to be enabled during regen-conf triggered from inside appsv2 scripts (a7350a7e)
  - refactoring: various renaming in configpanel ([#1649](https://github.com/yunohost/yunohost/pull/1649))
  - i18n: Translations updated for Arabic, Basque, Indonesian

  Thanks to all contributors <3 ! (axolotle, ButterflyOfFire, Kayou, Neko Nekowazarashi, tituspijean, xabirequejo)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 08 May 2023 16:04:06 +0200

yunohost (11.1.18) stable; urgency=low

  - appsv2: always set an 'app' setting equal to app id to be able to use __APP__ in markdown templates ([#1645](https://github.com/yunohost/yunohost/pull/1645))
  - appsv2: fix edge-case when validating packager-provided infos for permissions resource (aa43e6c2)
  - appsv2: Support using any variables/setting in permissions declaration ([#1637](https://github.com/yunohost/yunohost/pull/1637))
  - dns: Add support for Porkbun through Lexicon ([#1638](https://github.com/yunohost/yunohost/pull/1638))
  - diagnosis: Report out-of-catalog/broken/bad quality apps as warning instead of error ([#1641](https://github.com/yunohost/yunohost/pull/1641))
  - user: .ssh directory should be executable ([#1642](https://github.com/yunohost/yunohost/pull/1642))
  - i18n: Translations updated for Arabic, Basque, French, Galician

  Thanks to all contributors <3 ! (ButterflyOfFire, José M, ppr, tituspijean, xabirequejo)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 14 Apr 2023 17:20:58 +0200

yunohost (11.1.17) stable; urgency=low

  - domains: fix autodns for gandi root domain ([#1634](https://github.com/yunohost/yunohost/pull/1634))
  - helpers: fix previous change about using YNH_APP_ACTION ... which is not defined in config panel context (8c25aa9b)
  - appsv2: for the dir/subdirs of data_dir, create parent folders if they don't exist (9a4267ff)
  - quality: Split utils/config.py ([#1635](https://github.com/yunohost/yunohost/pull/1635))
  - quality: Rework questions/options tests ([#1629](https://github.com/yunohost/yunohost/pull/1629))

  Thanks to all contributors <3 ! (axolotle, Kayou)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 05 Apr 2023 16:00:09 +0200

yunohost (11.1.16) stable; urgency=low

  - apps: fix i18n panel+section names ([#1630](https://github.com/yunohost/yunohost/pull/1630))
  - appsv2: don't remove yhh-deps virtual package if it doesn't exist. Otherwise when apt fails to install dependency, we end up with another error about failing to remove the ynh-deps package (3656c199)
  - appsv2: add validation for expected types for permissions stuff (b2596f32)
  - appsv2: add support for subdirs property in data_dir (4b46f322)
  - appsv2: various fixes regarding sources toml parsing/caching (14bf2ee4)
  - appsv2: add documentation about the new 'autoupdate' mechanism for app sources (63981aac)
  - ynh_setup_source: fix buggy checksum mismatch handling, can't compute the sha256sum after we delete the file @_@ (1b2fa91f)
  - users: fix quota parsing being wrong by a factor 1000 ... doveadm returns kilos, not bytes (821aedef)
  - backup: fix boring issue where archive is a broken symlink... (a95d10e5)

  Thanks to all contributors <3 ! (axolotle)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 02 Apr 2023 20:29:33 +0200

yunohost (11.1.15) stable; urgency=low

  - doc: Fix version number in autogenerated resource doc (5b58e0e6)
  - helpers: Fix documentation for ynh_setup_source (7491dd4c)
  - helpers: fix ynh_setup_source, 'source_id' may contain slashes x_x (eaf7a290)
  - helpers/nodejs: simplify 'n' script install and maintenance ([#1627](https://github.com/yunohost/yunohost/pull/1627))

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 11 Mar 2023 16:50:50 +0100

yunohost (11.1.14) stable; urgency=low

  - helpers: simplify --time display option for ynh_script_progression .. we don't care about displaying time when below 10 sc (8731f77a)
  - appsv2: add support for a 'sources' app resources to modernize and replace app.src format ([#1615](https://github.com/yunohost/yunohost/pull/1615))
  - i18n: Translations updated for Arabic, Polish, Ukrainian

  Thanks to all contributors <3 ! (ButterflyOfFire, Grzegorz Cichocki, Tymofii-Lytvynenko)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 09 Mar 2023 15:34:17 +0100

yunohost (11.1.13) stable; urgency=low

  - appsv2: fix port already used detection ([#1622](https://github.com/yunohost/yunohost/pull/1622))
  - appsv2: when hydrating template, the data may be not-string, eg ports are int (72986842)
  - [i18n] Translations updated for Arabic, French, Galician, German, Occitan

  Thanks to all contributors <3 ! (ButterflyOfFire, Christian Wehrli, José M, Kay0u, ppr)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 03 Mar 2023 22:57:14 +0100

yunohost (11.1.12.2) stable; urgency=low

  - helpers: omg base64 wraps the output by default :| (d04f2085)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 01 Mar 2023 22:12:51 +0100

yunohost (11.1.12.1) stable; urgency=low

  - helper: fix previous tweak about debugging diff for manually modified files on the CI @_@ (fd304008)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 01 Mar 2023 08:08:55 +0100

yunohost (11.1.12) stable; urgency=low

  - apps: add '--continue-on-failure' to 'yunohost app upgrade ([#1602](https://github.com/yunohost/yunohost/pull/1602))
  - appsv2: Create parent dirs when provisioning install_dir ([#1609](https://github.com/yunohost/yunohost/pull/1609))
  - appsv2: set `w` as default permission on `install_dir` folder ([#1611](https://github.com/yunohost/yunohost/pull/1611))
  - appsv2: Handle undefined main permission url ([#1620](https://github.com/yunohost/yunohost/pull/1620))
  - apps/helpers: tweak behavior of checksum helper in CI context to help debug why file appear as 'manually modified' ([#1618](https://github.com/yunohost/yunohost/pull/1618))
  - apps/helpers: more robust way to grep that the service correctly started ? ([#1617](https://github.com/yunohost/yunohost/pull/1617))
  - regenconf: sometimes ntp doesnt exist (97c0128c)
  - nginx/security: fix empty webadmin allowlist breaking nginx conf... (e458d881)
  - misc: automatic get rid of /etc/profile.d/check_yunohost_is_installed.sh when yunohost is postinstalled (20e8805e)
  - settings: Fix pop3_enabled parsing returning 0/1 instead of True/False ... (b40c0de3)
  - [i18n] Translations updated for French, Galician, Italian, Polish

  Thanks to all contributors <3 ! (Éric Gaspar, John Schmidt, José M, Krakinou, Kuba Bazan, Laurent Peuch, ppr, tituspijean)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 28 Feb 2023 23:08:02 +0100

yunohost (11.1.11.2) stable; urgency=low

  - Rebump version to flag as stable, not testing >_>

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 24 Feb 2023 13:09:48 +0100

yunohost (11.1.11.1) testing; urgency=low

  - appsv2: fix previous commit about __DOMAIN__ because url may be None x_x (e05df676)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 24 Feb 2023 01:30:14 +0100

yunohost (11.1.11) stable; urgency=low

  - logs: fix decoding errors not handled when trying to read service logs ([#1606](https://github.com/yunohost/yunohost/pull/1606))
  - mail: fix dovecot-pop3d not being installed when enabling pop3 ([#1607](https://github.com/yunohost/yunohost/pull/1607))
  - apps: when creating the app's bash env for script, make sure to use the manifest from the workdir instead of app setting dir, which is important for consistency during edge case when upgrade from v1 to v2 fails (bab27014)
  - appsv2: data_dir's owner should have rwx by default (139e54a2)
  - appsv2: fix usage of __DOMAIN__ in permission url (943b9ff8)

  Thanks to all contributors <3 ! (Eric Geldmacher, ljf)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 23 Feb 2023 22:31:02 +0100

yunohost (11.1.10) stable; urgency=low

  - apps: add 'YNH_DEBIAN_VERSION' variable in apps contexts (df6a2a2c)
  - appsv2: add support for a packages_from_raw_bash option in apt where one can add a multiline bash snippet to echo packages (4dfff201)
  - appsv2: fix resource provisioning scripts picking up already-closed operation logger, resulting in confusing debugging output (888593ad)
  - appsv2: fix reload_only_if_change option not working as expected, resulting in incorrect 'Firewall reloaded' messages (d725b454)
  - appsv2: fix check that postgresql db exists... (1dc8b753)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 21 Feb 2023 18:57:33 +0100

yunohost (11.1.9) stable; urgency=low

  - apps: simplify the redaction of change_url scripts by adding a new ynh_change_url_nginx_config helper + predefining new/old/change domain/path variables (2b70ccbf)
  - appsv2: revert commit that adds a bunch of warning about apt/database consistency, it's more relevant to have them in package linter instead (63f0f084)
  - appsv2: fix system user group update, broke in commit from earlier (ec4c2684)
  - log: Previous trick about getting rid of setting didnt work, forgot to use metadata instead of self.metadata (848adf89)
  - ux: Moar boring postgresql messages displayed as warning (290d627f)

  Thanks to all contributors <3 ! (Bram)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 20 Feb 2023 20:32:28 +0100

yunohost (11.1.8.2) stable; urgency=low

  - regenconf: fix undefined var in apt regenconf (343065eb)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 19 Feb 2023 21:38:59 +0100

yunohost (11.1.8.1) stable; urgency=low

  - postgresql: moar regenconf fixes (e6ae3892)
  - postgresql: ugly hack to hide boring warning messages when installing postgresql with apt the first time ... (13d50f4f)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 19 Feb 2023 19:41:05 +0100

yunohost (11.1.8) stable; urgency=low

  - apps: don't miserably crash when failing to read .md file such as DESCRIPTION.md (58ac633d)
  - apps: fix edge case when upgrading using a local folder not modified since a while (d3ec5d05)
  - appsv2: fix system user provisioning ... (d123fd76, 771b801e)
  - appsv2: add check about database vs. apt consistency in resource / warn about lack of explicit dependency to mariadb-server (97b69e7c)
  - appsv2: add home dir that defaults to /var/www/__APP__ for system user resource (ce7227c0)
  - postgresql: fix regenconf hook, the arg format thingy changed a bit at some point ? (8a43b046)
  - regenconf: in apt/php stuff, don't try to upgrade-alternatives if the default PHP version ain't available anymore (similar to commit e24ddd29) (18e034df)
  - postinstall: raise a proper error when trying to use e.g. 'admin' as the first username which will conflict with the admins group mail aliases (475c93d5)
  - i18n: Translations updated for Arabic, Basque

  Thanks to all contributors <3 ! (ButterflyOfFire, xabirequejo)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 19 Feb 2023 18:22:02 +0100

yunohost (11.1.7) stable; urgency=low

  - mail: fix complain about unused parameters in postfix: exclude_internal=yes / search_timeout=30 (0da6370d)
  - mail: Add push notification plugins in dovecot ([#1594](https://github.com/yunohost/yunohost/pull/1594))
  - diagnosis: fix typo, diagnosis detail should be a list, not a string (d0ca120e)
  - helpers: in apt/php stuff, don't try to upgrade-alternatives if the default PHP version ain't available anymore (e24ddd29)
  - apps: fix inconsistent app removal during remove-after-failed-upgrade and remove-after-failed-backup contexts (7be7eb11)
  - appsv2: we don't want to store user-provided passwords by default, but they should still be set in the env for the script to use it (9bd4344f)
  - appsv2: fix i18n for arch mismatch, can't juste join() inside string formated with .format() (aa9bc47a)
  - appsv2: missing raw_msg=True for exceptions (1d1a3756)
  - appsv2: fix check that main permission url is '/' (ab8a6b94)
  - appsv2: mysqlshow is fucking dumb and returns exit code 0 when DB doesnt exists ... (0ab20b73)
  - appsv2: also replace __DOMAIN__ in resource properties (0c4a006a)
  - appsv2: in php helpers, use the global $phpversion var/setting by default instead of $YNH_PHP_VERSION (60b21795)
  - i18n: Translations updated for Arabic, Galician

  Thanks to all contributors <3 ! (ButterflyOfFire, John Hackett, José M)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 15 Feb 2023 21:08:04 +0100

yunohost (11.1.6.2) stable; urgency=low

  - permissions: fix trailing-slash issue in edge case where app has additional urls related to a different domain (a4fa6e07)
  - backup: fix postinstall during full restore ... tmp admin user can't be named 'admin' because of conflicting alias with the admins group (65894007)
  - doc: improve app resource doc (a154e811)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 09 Feb 2023 19:00:42 +0100

yunohost (11.1.6.1) stable; urgency=low

  - dns: fix CAA recommended DNS conf -> 0 is apparently a more sensible value than 128... (2eb7da06)
  - users: Allow digits in user fullname (024db62a)
  - backup: fix full backup restore postinstall calls that now need first username+fullname+password (48e488f8)
  - i18n: Translations updated for Arabic, Basque, Chinese (Simplified)

  Thanks to all contributors <3 ! (ButterflyOfFire, Poesty Li, xabirequejo)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 08 Feb 2023 22:50:37 +0100

yunohost (11.1.6) stable; urgency=low

  - helpers: allow to use ynh_replace_string with @ ([#1588](https://github.com/yunohost/yunohost/pull/1588))
  - helpers: fix behavior of ynh_write_var_in_file when key is duplicated ([#1589](https://github.com/yunohost/yunohost/pull/1589), [#1591](https://github.com/yunohost/yunohost/pull/1591))
  - helpers: fix composer workdir variable for package v2 ([#1586](https://github.com/yunohost/yunohost/pull/1586))
  - configpanels: properly escape & for values used in ynh_write_var_in_file ([#1590](https://github.com/yunohost/yunohost/pull/1590))
  - appsv2/group question: don't include primary groups in choices (c179d4b8)
  - appsv2: when initalizing permission, make sure to add 'all_users' when visitors is chosen (71042f08)
  - backup/multimedia: test that /home/yunohots.multimedia does exists to avoid boring warning later (170eaf5d)
  - domains: add missing logic to inject translated 'help' keys in config panel like we do for global settings (4dee434e)
  - domain/dns: don't miserably crash when the domain is known by lexicon but not in registrar_list.toml (b5b69e95)
  - admin->admins migration: try to losen up even more the search for first admin user x_x (1e520342)
  - i18n: Translations updated for French, Polish

  Thanks to all contributors <3 ! (Éric Gaspar, Grzegorz Cichocki, Kayou, Krzysztof Nowakowski, ljf, ppr)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 07 Feb 2023 00:14:17 +0100

yunohost (11.1.5.5) stable; urgency=low

  - admin->admins migration: try to handle boring case where the 'first' user cant be identified because it doesnt have the root@ alias (8485ebc7)
  - appsv2: ignore the old/ugly/legacy removal of apt deps when removing the php conf, because that's handled by the apt resource (3bbba640)
  - appsv2: moar fixes for v1->v2 upgrade not getting the proper env context (fb54da2e)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 04 Feb 2023 18:51:03 +0100

yunohost (11.1.5.4) stable; urgency=low

  - appsv2: typo in ports resource doc x_x (0e787acb)
  - appsv2: fix permission provisioning for fulldomain apps + fix apps not properly getting removed after failed resources init (476908bd)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 03 Feb 2023 20:43:04 +0100

yunohost (11.1.5.3) stable; urgency=low

  - helpers/appsv2: replacement of __PHPVERSION__ should use the phpversion setting, not YNH_PHP_VERSION (13d4e16e)
  - appv2 resources: document the fact that the apt resource may create a phpversion setting when the dependencies contain php packages (2107a848)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 03 Feb 2023 03:05:11 +0100

yunohost (11.1.5.2) stable; urgency=low

  - maintenance: new year, update copyright header (ba4f1925)
  - helpers: fix remaining __FINALPATH__ in php template (note that this is backward compatible because ynh_add_config will replace __INSTALL_DIR__ by $finalpath if $finalpath exists... (9b7668da)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 02 Feb 2023 23:58:29 +0100

yunohost (11.1.5.1) stable; urgency=low

  - debian: Bump moulinette/ssowat requirement to 11.1 (0826a541)
  - helpers: Fixes $app unbound when running ynh_secure_remove ([#1582](https://github.com/yunohost/yunohost/pull/1582))
  - log/appv2: don't dump all settings in log metadata (a9ac55e4)
  - appv2: resource upgrade will tweak settings, we have to re-update the env_dict after upgrading resources (3110460a)
  - appv2: safety-backup-before-upgrade should only contain the app (1c95bcff)
  - appv2: fix env not including vars for v1->v2 upgrade (2b2d49a5)
  - backup: add name of the backup in create/delete message, otherwise that creates some spooky messages with 'Backup created' directly followed by 'Backup deleted' during safety-backup-before-upgrade in v2 apps (8090acb1)
  - [i18n] Translations updated for Arabic, French, Galician, Polish

  Thanks to all contributors <3 ! (ButterflyOfFire, Éric Gaspar, Eryk Michalak, Florent, José M, ppr)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 02 Feb 2023 23:37:46 +0100

yunohost (11.1.5) stable; urgency=low

  - Release as stable !

  - diagnosis: we can't yield an ERROR if there's no IPv6, otherwise that blocks all subsequent network-related diagnoser because of the dependency system ... (ade92e43)
  - domains: fix domain_config.toml typos in conditions (480f7a43)
  - certs: Don't try restarting metronome if no domain configured for it (452ba8bb)

  Thanks to all contributors <3 ! (Axolotle)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 01 Feb 2023 20:21:56 +0100

yunohost (11.1.4.1) testing; urgency=low

  - debian: don't dump upgradable apps during postinst's catalog update (82d30f02)
  - ynh_setup_source: Output checksums when source is 'corrupt' ([#1578](https://github.com/yunohost/yunohost/pull/1578))
  - metronome: Auto-enable/disable metronome if there's no/at least one domain configured for XMPP (c990cee6)

  Thanks to all contributors <3 ! (tituspijean)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 01 Feb 2023 17:10:32 +0100

yunohost (11.1.4) testing; urgency=low

  - settings: Add DNS exposure setting given the IP version ([#1451](https://github.com/yunohost/yunohost/pull/1451))

  Thanks to all contributors <3 ! (Tagada)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 30 Jan 2023 16:28:56 +0100

yunohost (11.1.3.1) testing; urgency=low

  - nginx: add xmpp-upload. and muc. server_name only if xmpp_enabled is enabled (c444dee4)
  - [i18n] Translations updated for Arabic, Basque, French, Galician, Spanish, Turkish

  Thanks to all contributors <3 ! (Alperen İsa Nalbant, ButterflyOfFire, cristian amoyao, Éric Gaspar, José M, Kayou, ppr, quiwy, xabirequejo)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 30 Jan 2023 15:44:30 +0100

yunohost (11.1.3) testing; urgency=low

  - helpers: Include procedures in MySQL database backup ([#1570](https://github.com/yunohost/yunohost/pull/1570))
  - users: be able to change the loginShell of a user ([#1538](https://github.com/yunohost/yunohost/pull/1538))
  - debian: refresh catalog upon package upgrade (be5b1c1b)

  Thanks to all contributors <3 ! (Éric Gaspar, Kay0u, ljf, Metin Bektas)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 19 Jan 2023 23:08:10 +0100

yunohost (11.1.2.2) testing; urgency=low

  - Minor technical fixes (b37d4baf, 68342171)
  - configpanel: stop the madness of returning a 500 error when trying to load config panel 0.1 ... otherwise this will crash the new app info view ... (f21fbed2)
  - apps: fix trick to find the default branch from git repo @_@ (25c10166)
  - debian: regen ssowatconf during package upgrade (4615d7b7)
  - [i18n] Translations updated for French

  Thanks to all contributors <3 ! (Éric Gaspar, ppr)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 10 Jan 2023 13:23:28 +0100

yunohost (11.1.2.1) testing; urgency=low

  - i18n: fix (un)defined string issues (dd33476f)
  - doc: Revive the old auto documentation of API with swagger
  - apps: don't clone 'master' branch by default, use git ls-remote to check what's the default branch instead (a6db52b7)
  - ssowat: add use_remote_user_var_in_nginx_conf flag on permission (f258eab6)

  Thanks to all contributors <3 ! (ljf)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 09 Jan 2023 23:58:51 +0100

yunohost (11.1.2) testing; urgency=low

  - apps: Various fixes/improvements for appsv2, mostly related to webadmin integration ([#1526](https://github.com/yunohost/yunohost/pull/1526))
  - domains/regenconf: propagate mail/xmpp enable/disable toggle to actual system configs ([#1541](https://github.com/yunohost/yunohost/pull/1541))
  - settings: Add a virtual setting to enable passwordless sudo for admins (75cb3cb2)
  - settings: Add a global setting to choose SSOwat's theme ([#1545](https://github.com/yunohost/yunohost/pull/1545))
  - certs: Improve trick to identify certs as self-signed (c38aba74)
  - certs: be more resilient when mail cant be sent to root for some reason .. (d7ee1c23)
  - certs/postfix: propagate postfix SNI stuff when renewing certificates (31794008)
  - certs/xmpp: add to domain's certificate the alt subdomain muc ([#1163](https://github.com/yunohost/yunohost/pull/1163))
  - conf/ldap: fix issue where sudo doesn't work because sudo-ldap doesn't create /etc/sudo-ldap.conf :/ (d2417c33)
  - configpanels: fix custom getter ([#1546](https://github.com/yunohost/yunohost/pull/1546))
  - configpanels: fix inconsistent return format for boolean, sometimes 1/0, sometimes True/False -> force normalization of values when calling get() for a single setting from a config panel (47b9b8b5)
  - postfix/fail2ban: Add postfix SASL login failure to a fail2ban jail ([#1552](https://github.com/yunohost/yunohost/pull/1552))
  - mail: Fix flag case sensitivity in dovecot and rspamd sieve filter ([#1450](https://github.com/yunohost/yunohost/pull/1450))
  - misc: Don't disable avahi-daemon by force in conf_regen ([#1555](https://github.com/yunohost/yunohost/pull/1555))
  - misc: Fix yunopaste ([#1558](https://github.com/yunohost/yunohost/pull/1558))
  - misc: Don't take lock for read/GET operations (#1554) (0ac8e66a)
  - i18n: Translations updated for Basque, French, Galician, Portuguese, Slovak, Spanish, Ukrainian

  Thanks to all contributors <3 ! (axolotle, DDATAA, Fabian Wilkens, Gabriel, José M, Jose Riha, ljf, Luis H. Porras, ppr, quiwy, Rafael Fontenelle, selfhoster1312, Tymofii-Lytvynenko, xabirequejo, Xavier Brochard)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 06 Jan 2023 00:12:53 +0100

yunohost (11.1.1.2) testing; urgency=low

  - group mailalias: the ldap class is in fact mailGroup, not mailAccount -_- (1cb5e43e)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 03 Dec 2022 15:57:22 +0100

yunohost (11.1.1.1) testing; urgency=low

  - Fix again the legacy patch for yunohost user create @_@ (46d6fab0)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 03 Dec 2022 14:13:09 +0100

yunohost (11.1.1) testing; urgency=low

  - groups: add mail-aliases management (#1539) (0f9d9388)
  - apps: Allow apps to be installed on a path sharing a common base, eg /foo and /foo2 (#1537) (ae594111)
  - admins/ldap: re-allow member of the admins group to edit ldap db (4f5cc166)
  - nginx: Add 502 custom error page (#1530) (5063e128)
  - misc/nodejs: Upgrade n to version 9.0.1 ([#1528](https://github.com/yunohost/yunohost/pull/1528))
  - misc/update: add --allow-releaseinfo-change option to apt update to prevent the classic nightmare when debian changes from stable to oldstable (ac6d6871)
  - misc/dns: Add Webgo as Registrar to support it via LexiconAdd Webgo as Registrar (#1529) (c50f3771)
  - misc/debug: Improve dpkg_is_broken instruction to also mention dpkg --audit (a772153b)
  - misc/regeconf: fix yunohost hook incorectly tweaking mdns.yml ownership (9bd98162)
  - misc/helpers: fix docker-image-extract helper (#1532)
  - misc/yunoprompt: don't display postinstall tip to members of all_users group (because they can't check if /etc/yunohost/installed exists, but if they're member of the all_users group, then postinstall was already done) (4aaa8896)
  - misc/diagnosis: make the dnsrecord diagnoser not complain about the damn 128 vs 0 stuff in CAA records (70a8225b)
  - misc/settings: fix output format for 'yunohost settings list' (70bf38ce)
  - misc/helpers: Better error message when psql is not there for database_exists (#992) (f49c121b)
  - misc/multimedia: fix edgecase where setfacl crashes because of broken symlinks (94f21ea2)
  - misc/legacy: auto-patch yunohost user create syntax in app scripts to use --fullname instead (d254fb1b)
  - [i18n] Translations updated for Arabic, Basque, Chinese (Simplified), Dutch, French, Galician, German, Spanish, Ukrainian

  Thanks to all contributors <3 ! (André Koot, Augustin Trancart, Axolotle, ButterflyOfFire, Christian Wehrli, Éric Gaspar, José M, lee, mod242, quiwy, tituspijean, Tymofii-Lytvynenko, xabirequejo)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 02 Dec 2022 23:31:28 +0100

yunohost (11.1.0.2) testing; urgency=low

  - globalsettings: make sure to run migration 25 prior to the regenconf (f3750598)
  - domaininfo: Some apps don't have path ([#1521](https://github.com/yunohost/yunohost/pull/1521))
  - Add sponsors to the README ([#1522](https://github.com/yunohost/yunohost/pull/1522))
  - postfix: fix relay conf not triggered because new setting system now returns '1' and not 'True' (cd43c8bd)
  - postfix: fix permission issue preventing to properly create sasl_passwd.db (5394790f)
  - [i18n] Translations updated for French

  Thanks to all contributors <3 ! (Félix Piédallu, Florian Masy, ppr, Tagada)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 04 Nov 2022 13:13:40 +0100

yunohost (11.1.0.1) testing; urgency=low

  - Bump version after propagating hotfix on 11.0.10.2

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 27 Oct 2022 15:46:26 +0200

yunohost (11.1.0) testing; urgency=low

  - apps: New 'v2' packaging format ([#1289](https://github.com/yunohost/yunohost/pull/1289))
  - helpers: Upgrade n to version 9.0.0 ([#1477](https://github.com/yunohost/yunohost/pull/1477))
  - helpers: Support extracting source from docker images in ynh_setup_source ([#1505](https://github.com/yunohost/yunohost/pull/1505))
  - configpanels: Refactor global settings the new config panel framework ([#1459](https://github.com/yunohost/yunohost/pull/1459))
  - configpanels: Add support for actions (= button widget) and apply it to domain cert management ([#1436](https://github.com/YunoHost/yunohost/pull/1436))
  - admin: Drop the 'admin' user, have 'admins' be a group of Yunohost users instead ([#1408](https://github.com/yunohost/yunohost/pull/1408))
  - admin: Implement a new 'virtual global setting' to change root password from the global setting config panel ([#1515](https://github.com/yunohost/yunohost/pull/1515))
  - domains: Be able to "list" domain as a tree structure + add new 'domain_info' API endpoint ([#1434](https://github.com/yunohost/yunohost/pull/1434))
  - users: Encourage to define a single 'full display name' instead of separate 'firstname/lastname' ([#1516](https://github.com/yunohost/yunohost/pull/1516))
  - security: Improve most used password check list ([#1517](https://github.com/yunohost/yunohost/pull/1517))
  - i18n: Translations updated for Slovak

  Thanks to all contributors <3 ! (axolotle, Dante, Jose Riha, Tagadda, yalh76)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 25 Oct 2022 17:57:29 +0200

yunohost (11.0.10.2) stable; urgency=low

  - Add another trick to autorestart yunohost-api at the end of the upgrade when ran from the api itself... (6f640c08)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 27 Oct 2022 15:46:26 +0200

yunohost (11.0.10.1) stable; urgency=low

  - self-upgrade: fix yunohost-api restart which was not triggered @_@ (472e9250)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 17 Oct 2022 23:56:37 +0200

yunohost (11.0.10) stable; urgency=low

  - configpanels: fix nested bind statements (0252a6fd)
  - ynh_setup_source: Add option to fully replace the destination dir ([#1509](https://github.com/yunohost/yunohost/pull/1509))
  - tools_update: also yield a boolean to easily know if there's a major yunohost upgrade pending + list of pending migrations (cf change in webadmin to encourage people to check the release note on the forum before yoloupgrading) (86e45f9c)
  - diagnosis: add reports when apt is configured with the 'testing' channel for yunohost, or with the 'stable' codename for debian (0adff31d)
  - [i18n] Translations updated for French, Slovak

  Thanks to all contributors <3 ! (Dante, Jose Riha, ppr, yalh76)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 17 Oct 2022 16:56:47 +0200

yunohost (11.0.9.15) stable; urgency=low

  - [fix] Lidswitch if no reboot ([#1506](https://github.com/yunohost/yunohost/pull/1506))
  - [fix] postinstall: edge case where var would get undefined.. (b7bea608)
  - [fix] backup: Try to fix again the infamous issue where from_yunohost_version gets filled with 'BASH_XTRACEFD' (14fb1cfd)
  - [fix] Various english wording improvements ([#1507](https://github.com/yunohost/yunohost/pull/1507))
  - [i18n] Translations updated for Arabic, Slovak, Telugu, Turkish

  Thanks to all contributors <3 ! (Alice Kile, ButterflyOfFire, Jose Riha, ljf (zamentur), marty hiatt, Sedat Albayrak)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 30 Sep 2022 16:24:59 +0200

yunohost (11.0.9.14) stable; urgency=low

  - [fix] dns: confusion on XMPP CNAME records for nohost.me & co domains (f6057d25)
  - [fix] helper ynh_get_ram: LANG= isn't enough to get en_US output, gotta use LC_ALL (e51cdd98)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 07 Sep 2022 13:08:31 +0200

yunohost (11.0.9.13) stable; urgency=low

  - [fix] defaultapp: domain may not exist in app_map dict output (efe0e601)
  - [fix] regenconf: fix a stupid issue with slapcat displaying an error message because grep -q breaks the pipe (503b9031)
  - [fix] regenconf: add a timeout to curl inside dnsmasq regenconf to prevent being stuck too long when no network on the machine (b77e8114)
  - [fix] ynh_delete_file_checksum with non-existing option in helpers/config ([#1501](https://github.com/YunoHost/yunohost/pull/1501))
  - [i18n] Translations updated for Basque, Galician, Slovak

  Thanks to all contributors <3 ! (José M, Jose Riha, tituspijean, xabirequejo)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 03 Sep 2022 23:27:56 +0200

yunohost (11.0.9.12) stable; urgency=low

  - [fix] postinstall: check all partitions (not only physical ones) ([#1497](https://github.com/YunoHost/yunohost/pull/1497))
  - [i18n] Translations updated for Basque, French, Indonesian, Italian, Slovak

  Thanks to all contributors <3 ! (Salamandar)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 28 Aug 2022 14:50:38 +0200

yunohost (11.0.9.11) stable; urgency=low

  = Merge with Buster branch
  - [fix] diagnosis: fix inaccurate message (ae92a0b8)
  - [fix] logrotate helpers: getopts miserably explodes if 'legacy_args' is inconsistent with 'args_array' ... (530bf04a)
  - [i18n] Translations updated for Basque, French, Indonesian, Italian, Slovak

  Thanks to all contributors <3 ! (Jose Riha, Leandro Noferini, liimee, Stephan Klein, xabirequejo)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 26 Aug 2022 16:32:19 +0200

yunohost (11.0.9.9) stable; urgency=low

  - Sync with Buster branch
  - [fix] php7.3->7.4: autopatch nginx configs during restore (18e041c4)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 19 Aug 2022 20:50:52 +0200

yunohost (11.0.9.7) stable; urgency=low

  - [fix] logorate helper: was broken because wrong index é_è (efa80304)
  - [i18n] Translations updated for French, Galician, Ukrainian

  Thanks to all contributors <3 ! (Éric Gaspar, José M, Tymofii-Lytvynenko)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 17 Aug 2022 19:24:11 +0200

yunohost (11.0.9.6) stable; urgency=low

  - Sync with Buster branch
  - [fix] helpers: logrotate shitty inconsistent handling of 'supposedly legacy' --non-append option ... (8d1c75e7)
  - [fix] apps: Better handling of super shitty edge case where an app settings.yml is empty for some unexpected mystic reason ... (9eb123f8)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 17 Aug 2022 01:26:28 +0200

yunohost (11.0.9.5) stable; urgency=low

  - Propagate fixes in buster->bullseye migration
  - [fix] venv rebuild: synapse's folder is named matrix-synapse (c8031ace)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 14 Aug 2022 18:22:30 +0200

yunohost (11.0.9.3) stable; urgency=low

  - [fix] postgresql 11->13: Epic typo / missing import (3cb1a41a)
  - [i18n] Translations updated for Basque, French, Galician

  Thanks to all contributors <3 ! (Éric Gaspar, José M, Kay0u, punkrockgirl)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 13 Aug 2022 22:37:05 +0200

yunohost (11.0.9.2) stable; urgency=low

  - [fix] venv rebuild: fix yunohost app force upgrade command (5d90971b)
  - [fix] apt helpers: simplify ynh_remove_app_dependencies, we don't need to care about removing php-fpm services from yunohost, because 'yunohost service' now dynamically check what relevant phpX.Y-fpm service exist on the system (64e35815)
  - [enh] diagnosis: add complains if some app installed are still requiring only yunohost 3.x (31aacb33)
  - [fix] venv rebuild: migration should have an empty disclaimer when in auto mode (d2a6dcd4)
  - [fix] postgresql 11->13 migration: skip if no yunohost app depend on postgresql (d161da03)

  Thanks to all contributors <3 ! (Éric Gaspar, ljf)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 13 Aug 2022 20:08:27 +0200

yunohost (11.0.9.1) stable; urgency=low

  - [fix] venv rebuild: /opt may not exist ...

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 11 Aug 2022 16:00:40 +0200

yunohost (11.0.9) stable; urgency=low

  - [fix] services: Skip php 7.3 which is most likely dead after buster->bullseye migration because users get spooked (51804925)
  - [enh] bullseye: add a migration process to automatically attempt to rebuild venvs (3b8e49dc)
  - [i18n] Translations updated for French

  Thanks to all contributors <3 ! (Éric Gaspar, Kayou, ljf, theo-is-taken)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 07 Aug 2022 23:27:41 +0200

yunohost (11.0.8.1) testing; urgency=low

  - Fix tests é_è (7fa67b2b)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 07 Aug 2022 12:41:28 +0200

yunohost (11.0.8) testing; urgency=low

  - [fix] helpers: escape username in ynh_user_exists ([#1469](https://github.com/YunoHost/yunohost/pull/1469))
  - [fix] helpers: in nginx helpers, do not change the nginx template conf, replace #sub_path_only and #root_path_only after ynh_add_config, otherwise it breaks the change_url script (30e926f9)
  - [fix] helpers: fix arg parsing in ynh_install_apps ([#1480](https://github.com/YunoHost/yunohost/pull/1480))
  - [fix] postinstall: be able to redo postinstall when the 128+ chars
  password error is raised ([#1476](https://github.com/YunoHost/yunohost/pull/1476))
  - [fix] regenconf dhclient/resolvconf: fix weird typo, probably meant 'search' (like in our rpi-image tweaking) (9d39a2c0)
  - [fix] configpanels: remove debug message because it floods the regenconf logs (f6cd35d9)
  - [fix] configpanels: don't restrict choices if there's no choices specified ([#1478](https://github.com/YunoHost/yunohost/pull/1478)
  - [i18n] Translations updated for Arabic, German, Slovak, Telugu

  Thanks to all contributors <3 ! (Alice Kile, ButterflyOfFire, Éric Gaspar, Gregor, Jose Riha, Kay0u, ljf, Meta Meta, tituspijean, Valentin von Guttenberg, yalh76)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 07 Aug 2022 11:26:54 +0200

yunohost (11.0.7) testing; urgency=low

  - [fix] Allow lime2 to upgrade even if kernel is hold ([#1452](https://github.com/YunoHost/yunohost/pull/1452))
  - [fix] Some DNS suggestions for specific domains are incorrect  ([#1460](https://github.com/YunoHost/yunohost/pull/1460))
  - [enh] Reorganize PHP-specific code in apt helper (5ca18c5)
  - [enh] Implement install and removal of YunoHost apps ([#1445](https://github.com/YunoHost/yunohost/pull/1445))
  - [enh] Add n auto-updater ([#1437](https://github.com/YunoHost/yunohost/pull/1437))
  - [enh] nodejs: Upgrade n to v8.2.0 ([#1456](https://github.com/YunoHost/yunohost/pull/1456))
  - [enh] Improve ynh_string_random to output various ranges of characters ([#1455](https://github.com/YunoHost/yunohost/pull/1455))
  - [enh] Avoid alert for Content Security Policies Report-Only and Websockets ((#1464)[https://github.com/YunoHost/yunohost/pull/1464])
  - [doc] Improve ynh_add_config template doc ([#1463](https://github.com/YunoHost/yunohost/pull/1463))
  - [i18n] Translations updated for Russian and French

  Thanks to all contributors <3 ! (DiesDasJenes, ljf, kayou, yalh, aleks, tituspijean, keomabrun, pp-r, cheredin)

 -- tituspijean <titus+yunohost@pijean.ovh>  Tue, 17 May 2022 23:20:00 +0200

yunohost (11.0.6) testing; urgency=low

  - [fix] configpanel: the config panel was not modifying the configuration of the correct app in certain situations ([#1449](http://github.com/YunoHost/yunohost/pull/1449))
  - [fix] debian package: fix for openssl conflict (ec41b697)
  - [i18n] Translations updated for Arabic, Basque, Finnish, French, Galician, German, Kabyle, Polish

  Thanks to all contributors <3 ! (3ole, Alexandre Aubin, Baloo, Bartłomiej Garbiec, José M, Kayou, ljf, Mico Hauataluoma, punkrockgirl, Selyan Slimane Amiri, Tagada)

 -- Kay0u <pierre@kayou.io>  Tue, 29 Mar 2022 14:13:40 +0200

yunohost (11.0.5) testing; urgency=low

  - [mod] configpanel: improve 'filter' mechanism in AppQuestion ([#1429](https://github.com/YunoHost/yunohost/pull/1429))
  - [fix] postinstall: migrate_to_bullseye should be skipped on bullseye (de684425)
  - [enh] security: Enable proc-hidepid by default ([#1433](https://github.com/YunoHost/yunohost/pull/1433))
  - [enh] nodejs: Update n to 8.0.2 ([#1435](https://github.com/YunoHost/yunohost/pull/1435))
  - [fix] postfix: sni tls_server_chain_sni_maps -> tls_server_sni_maps ([#1438](https://github.com/YunoHost/yunohost/pull/1438))
  - [fix] ynh_get_ram: Avoid grep issue with vmstat command ([#1440](https://github.com/YunoHost/yunohost/pull/1440))
  - [fix] ynh_exec_*: ensure the arg message is used ([#1442](https://github.com/YunoHost/yunohost/pull/1442))
  - [enh] helpers: Always activate --time when running inside CI tests ([#1444](https://github.com/YunoHost/yunohost/pull/1444))
  - [fix] helpers: unbound variable in ynh_script_progression (676973a1)
  - [mod] quality: Several FIXME fix ([#1441](https://github.com/YunoHost/yunohost/pull/1441))

  Thanks to all contributors <3 ! (ericgaspar, ewilly, Kayou, Melchisedech, Tagadda)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 08 Mar 2022 13:01:06 +0100

yunohost (11.0.4) testing; urgency=low

  - [mod] certificate: drop unused 'staging' LE mode (4b78e8e3)
  - [fix] cli: bash_completion was broken ([#1423](https://github.com/YunoHost/yunohost/pull/1423))
  - [enh] mdns: Wait for network to be fully up to start the service ([#1425](https://github.com/YunoHost/yunohost/pull/1425))
  - [fix] regenconf: make some systemctl enable/disable quiet (bccff1b4, 345e50ae)
  - [fix] configpanels: Compute choices for the yunohost admin when installing an app ([#1427](https://github.com/YunoHost/yunohost/pull/1427))
  - [fix] configpanels: optimize _get_toml for domains to not load the whole DNS section stuff when just getting a simple info from another section (bf6252ac)
  - [fix] configpanel: oopsies, could only change the default app for domain configs :P (0a59f863)
  - [fix] php73_to_php74: another search&replace for synapse (f0a01ba2)
  - [fix] php73_to_php74: stopping php7.3 before starting 7.4 should be more robust in case confs are conflicting (9ae7ec59)
  - [i18n] Translations updated for French, Ukrainian

  Thanks to all contributors <3 ! (Éric Gaspar, Kay0u, Tagadda, tituspijean, Tymofii-Lytvynenko)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 29 Jan 2022 19:19:44 +0100

yunohost (11.0.3) testing; urgency=low

  - [enh] mail: Add SNI support for postfix and dovecot ([#1413](https://github.com/YunoHost/yunohost/pull/1413))
  - [fix] services: fix a couple edge cases (4571c5b2)
  - [fix] services: Do not save php-fpm services in services.yml (5d0f8021)
  - [fix] diagnosis: diagnosers were run in a funky order ([#1418](https://github.com/YunoHost/yunohost/pull/1418))
  - [fix] configpanels: config_get should return possible choices for domain, user questions (and other dynamic-choices questions) ([#1420](https://github.com/YunoHost/yunohost/pull/1420))
  - [enh] apps/domain: Clarify the default app mecanism, handle it fron domain config panel ([#1406](https://github.com/YunoHost/yunohost/pull/1406))
  - [fix] apps: When no main app permission found, fallback to default label instead of having a 'None' label to prevent the webadmin from displaying an empty app list (07396b8b)
  - [i18n] Translations updated for Galician

  Thanks to all contributors <3 ! (José M, Kay0u, Tagadda, tituspijean)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 25 Jan 2022 13:06:10 +0100

yunohost (11.0.2) testing; urgency=low

  - [mod] Various tweaks for Python 3.9, PHP 7.4, PostgreSQL 13, and other changes related to Buster->Bullseye ecosystem
  - [mod] debian: Moved mysql, php, and metronome from Depends to Recommends ([#1369](https://github.com/YunoHost/yunohost/pull/1369))
  - [mod] apt: **Add sury by default** ([#1369](https://github.com/YunoHost/yunohost/pull/1369))
  - [enh] mysql: **Drop super old mysql config, now rely on Debian default** ([44c972f...144126f](https://github.com/YunoHost/yunohost/compare/44c972f2dd65...144126f56a3d))
  - [enh] regenconf/helpers: Better integration for postgresql ([#1369](https://github.com/YunoHost/yunohost/pull/1369))
  - [mod] quality: **Rework repository code architecture** ([#1377](https://github.com/YunoHost/yunohost/pull/1377))
  - [mod] quality: **Rework where yunohost files are deployed** (yunohost now a much closer to a python lib with files in /usr/lib/python3/dist-packages/yunohost/, and other "common" files are in /usr/share/yunohost) ([#1377](https://github.com/YunoHost/yunohost/pull/1377))
  - [enh] upgrade: Try to implement **a smarter self-upgrade mechanism to prevent/limit API downtime and related UX issues** ([#1374](https://github.com/YunoHost/yunohost/pull/1374))
  - [mod] regenconf: store tmp files in /var/cache/yunohost/ instead of the misleading /home/yunohost.conf folder (00d535a6)
  - [mod] dyndns: rewrite tsig keygen + nsupdate using full python, now that dnssec-keygen doesnt support hmacsha512 anymore (63a84f53)
  - [mod] app: During app scripts (and all stuff run in hook_exec), do not inject the HOME variable if it exists. This aims to prevent inconsistencies between CLI (where HOME usually is defined) and API (where HOME doesnt exists) (f43e567b)
  - [mod] quality: **Drop legacy commands or arguments** listed below
        - Drop `--other_vars` options in ynh_add_fail2ban_config and systemd_config helpers
        - Drop deprecated/superold `ynh_bind_or_cp`, `ynh_mkdir_tmp`, `ynh_get_plain_key` helpers
        - Drop obsolete `yunohost-reset-ldap-password` command
        - Drop obsolete `yunohost dyndns installcron` and `removecron` commands
        - Drop deprecated `yunohost service regen-conf` command (see `tools regen-conf` instead)
        - Drop deprecated `yunohost app fetchlist` command
        - Drop obsolete `yunohost app add/remove/clearaccess` commands
        - Drop deprecated `--installed` and `--filter` options in `yunohost app list`
        - Drop deprecated `--apps` and `--system` options in `yunohost tools update/upgrade` (no double dashes anymore)
        - Drop deprecated `--status` and `--log_type` options in `yunohost service add`
        - Drop deprecated `--mail` option in `yunohost user create`

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 19 Jan 2022 20:52:39 +0100

yunohost (4.4.2.14) stable; urgency=low

  - bullseye migration: remove derpy OVH repo... (76014920)
  - bullseye migration: improve autofix procedure for the libc6 hell (02b3a138)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 03 Sep 2022 23:19:08 +0200

yunohost (4.4.2.13) stable; urgency=low

  - [fix] bullseye migration: a few annoying issues related to Sury (b5fabc87)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 29 Aug 2022 15:40:03 +0200

yunohost (4.4.2.12) stable; urgency=low

  - bullseye migration: add trick to automagically find the likely log of a previously failed migration to ease support (f5d94509)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 26 Aug 2022 19:22:30 +0200

yunohost (4.4.2.10) stable; urgency=low

  - bullseye migration: add proper explanations and advices after the damn 'The distribution is not Buster' message ... (6a594d0e)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 22 Aug 2022 10:28:50 +0200

yunohost (4.4.2.9) stable; urgency=low

  - apt helper: fix edge case with equivs package being flagged hold because of buster->bullseye migration (b306df2c)
  - bullseye migration: fix check about free space in /boot/ ... (a2d4abc1)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 18 Aug 2022 19:24:47 +0200

yunohost (4.4.2.7) stable; urgency=low

  - upgrades: ignore boring insserv warnings during apt commands (87f0eff9)
  - bullseye migration: higher treshold for low space detection in /boot/ because some people still experience the issue on 4.4.2.6 (d283c900)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 17 Aug 2022 01:21:36 +0200

yunohost (4.4.2.6) stable; urgency=low

  - [fix] bullseye migration: trash pip freeze stderr because it's confusing users ... (e68fc821)
  - [fix] bullseye migration: add a check that there's at least 70MB available in /boot ... (02fcbd97)
  - [fix] bullseye migration: better detection mechanism for the libc6 / libgcc hell issue (633a1fbf)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 14 Aug 2022 18:18:13 +0200

yunohost (4.4.2.3) stable; urgency=low

  - [fix] bullseye migration: add fix for stupid dnsmasq not picking new init script  (origin/dev, origin/HEAD, dev)
  - [fix] bullseye migration: add the patch for the build-essential / libc6-dev / libgcc-8-dev hell ...
  - [fix] bullseye migration: add critical fix for RPi failing to get network on reboot
  - [fix] bullseye migration: add ffsync to deprecated apps (77c2f5dc)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 13 Aug 2022 20:06:00 +0200

yunohost (4.4.2.1) stable; urgency=low

  - [fix] bullseye migration: /opt may not exist ... (5fd74577)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 11 Aug 2022 15:56:16 +0200

yunohost (4.4.2) stable; urgency=low

  - Release as stable
  - [fix] bullseye migration: /etc/apt/sources.list may not exist (b928dd12)
  - [fix] bullseye migration: Allow lime2 to upgrade even if kernel is hold (#1452)
  - [fix] bullseye migration: Save python apps venv in a requirements file, in order to regenerate it in a follow-up migration ([#1479](https://github.com/YunoHost/yunohost/pull/1479))
  - [fix] bullseye migration: tweak message to prepare for stable release (80015a72)

  Thanks to all contributors <3 ! (ljf, theo-is-taken)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 09 Aug 2022 16:59:15 +0200

yunohost (4.4.1) testing; urgency=low

  - [fix] php helpers: prevent epic catastrophies when the app changes php version (31d3719b)

  Thanks to all contributors <3 ! (Alexandre Aubin)

 -- Kay0u <pierre@kayou.io>  Tue, 29 Mar 2022 14:03:52 +0200

yunohost (4.4.0) testing; urgency=low

  - [enh] Add buster->bullseye migration

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 19 Jan 2022 20:45:22 +0100

yunohost (4.3.6.3) stable; urgency=low

  - [fix] debian package: backport fix for openssl conflict (1693c831)

  Thanks to all contributors <3 ! (Kay0u)

 -- Kay0u <pierre@kayou.io>  Tue, 29 Mar 2022 13:52:58 +0200

yunohost (4.3.6.2) stable; urgency=low

  - [fix] apt helpers: fix bug when var is empty... (7920cc62)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 19 Jan 2022 20:30:25 +0100

yunohost (4.3.6.1) stable; urgency=low

  - [fix] dnsmasq: ensure interface is up ([#1410](https://github.com/YunoHost/yunohost/pull/1410))
  - [fix] apt helpers: fix ynh_install_app_dependencies when an app change his default phpversion (6ea32728)
  - [fix] certificates: fix edge case where None is returned, triggering 'NoneType has no attribute get' (019839db)
  - [i18n] Translations updated for German

  Thanks to all contributors <3 ! (Gregor, Kay0u)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 19 Jan 2022 20:05:13 +0100

yunohost (4.3.6) stable; urgency=low

  - [enh] ssh: add a new setting to manage PasswordAuthentication in sshd_config ([#1388](https://github.com/YunoHost/yunohost/pull/1388))
  - [enh] upgrades: filter more boring apt messages (3cc1a0a5)
  - [fix] ynh_add_config: crons should be owned by root, otherwise they probably don't run? (0973301b)
  - [fix] domains: force cert install during domain_add ([#1404](https://github.com/YunoHost/yunohost/pull/1404))
  - [fix] logs: remove 'args' for metadata, may contain unredacted secrets in edge cases
  - [fix] helpers, apt: upgrade apt dependencies from extra repos ([#1407](https://github.com/YunoHost/yunohost/pull/1407))
  - [fix] diagnosis: incorrect dns check (relative vs absolute) for CNAME on subdomain (d81b85a4)
  - [i18n] Translations updated for Dutch, French, Galician, German, Spanish, Ukrainian

  Thanks to all contributors <3 ! (Boudewijn, Christian Wehrli, Éric Gaspar, Germain Edy, José M, Kay0u, Kayou, ljf, Tagada, Tymofii-Lytvynenko)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 14 Jan 2022 01:29:58 +0100

yunohost (4.3.5) stable; urgency=low

  - [fix] backup: bug in backup_delete when compress_tar_archives is True ([#1381](https://github.com/YunoHost/yunohost/pull/1381))
  - [fix] helpers logrorate: remove permission tweak .. code was not working as expected. To be re-addressed some day ... (0fc209ac)
  - [fix] i18n: consistency for deprecation for --apps in 'yunohost tools update/upgrade' ([#1392](https://github.com/YunoHost/yunohost/pull/1392))
  - [fix] apps: typo when deleting superfluous question keys ([#1393](https://github.com/YunoHost/yunohost/pull/1393))
  - [fix] diagnosis: typo in dns record diagnoser (a615528c)
  - [fix] diagnosis: tweak treshold for suspiciously high number of auth failure because too many people getting report about it idk (76abbf03)
  - [enh] quality: apply pyupgrade ([#1395](https://github.com/YunoHost/yunohost/pull/1395))
  - [enh] quality: add lgtm/code quality badge ([#1396](https://github.com/YunoHost/yunohost/pull/1396))
  - [i18n] Translations updated for Dutch, French, Galician, German, Indonesian, Russian, Spanish, Ukrainian

  Thanks to all contributors <3 ! (Boudewijn, Bram, Christian Wehrli, Colin Wawrik, Éric Gaspar, Ilya, José M, Juan Alberto González, Kay0u, liimee, Moutonjr Geoff, tituspijean, Tymofii Lytvynenko, Valentin von Guttenberg)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 29 Dec 2021 01:01:33 +0100

yunohost (4.3.4.2) stable; urgency=low

  - [fix] yunomdns: Ignore ipv4 link-local addresses (6854f23c)
  - [fix] backup: Fix path for multimedia restore ([#1386](https://github.com/YunoHost/yunohost/pull/1386))
  - [fix] helpers apt/php: typo in extra php-fpm yunohost service integration (47f3c00d)
  - [enh] helpers: Update n to 8.0.1 (d1ab1f67)

  Thanks to all contributors <3 ! (ericgaspar, Kayou)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 08 Dec 2021 22:04:04 +0100

yunohost (4.3.4.1) stable; urgency=low

  - [fix] regenconf: Force permission on /etc/resolv.dnsmasq.conf to fix an issue on some setup with umask=027 (5881938c)
  - [fix] regenconf: Typo in custom mdns alias regen conf (b3df36dd)
  - [fix] regenconf: Try to fix the return line bug in dnsmasq conf ([#1385](https://github.com/YunoHost/yunohost/pull/1385))

  Thanks to all contributors <3 ! (ljf)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 27 Nov 2021 21:15:29 +0100

yunohost (4.3.4) stable; urgency=low

  - [fix] apps: Allow tilde in username/organization for repo URLs ([#1382](https://github.com/YunoHost/yunohost/pull/1382))
  - [fix] misc: /etc/yunohost permissions broken on some setups (6488b4f6)
  - [fix] mdns: Don't add yunohost.local in config if it's already among the yunohost domains (c4962834)
  - [enh] dnsmasq: Tweak conf for better support of some stuff like the hotspot app ([#1383](https://github.com/YunoHost/yunohost/pull/1383))

  Thanks to all contributors <3 ! (ljf, tituspijean)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 27 Nov 2021 00:53:16 +0100

yunohost (4.3.3) stable; urgency=low

  - [fix] log: fix dump_script_log_extract_for_debugging displaying wrong log snippet during failed upgrade ([#1376](https://github.com/YunoHost/yunohost/pull/1376))
  - [fix] certificate: fix stupid certificate/diagnosis issue with subdomains of ynh domains (7c569d16)
  - [fix] diagnosis: Read DNS Blacklist answer and compare it against list of non-BL codes ([#1375](https://github.com/YunoHost/yunohost/pull/1375))
  - [enh] helpers: Update n to 8.0.0 ([#1372](https://github.com/YunoHost/yunohost/pull/1372))
  - [fix] helpers: Make ynh_add_fpm_config more robust to some edge cases (51d5dca0)
  - [fix] backup: conf_ynh_settings backup/restore hook, /etc/yunohost/domains may not exist (38f5352f)
  - [i18n] Translations updated for Basque, Chinese (Simplified), Indonesian, Italian, Ukrainian

  Thanks to all contributors <3 ! (dagangtie, ericgaspar, Félix Piédallu, Flavio Cristoforetti, liimee, punkrockgirl, Romain Thouvenin, Tommi, Tymofii-Lytvynenko)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 14 Nov 2021 22:55:16 +0100

yunohost (4.3.2.2) stable; urgency=low

  - [fix] nginx: Try to fix again the webadmin cache hell (74e2a51e)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 06 Nov 2021 17:39:58 +0100

yunohost (4.3.2.1) stable; urgency=low

  - [enh] mdns: Add possibility to manually add .local aliases via /etc/yunohost/mdns.aliases (meant for internetcube) (3da2df6e)
  - [fix] debian: Fix conflict with redis-server (6558b23d)
  - [fix] nginx: Refine experimental CSP header (in the end still gotta enable unsafe-inline and unsafe-eval for a bunch of things, but better than no policy at all...) (1cc3e440)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 06 Nov 2021 16:58:07 +0100

yunohost (4.3.2) stable; urgency=low

  - Release as stable
  - [i18n] Translations updated for Basque, Occitan

  Thanks to all contributors <3 ! (punkrockgirl, Quentí)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 05 Nov 2021 02:32:56 +0100

yunohost (4.3.1.8) testing; urgency=low

  - [enh] dyndns: Drop some YAGNI + improve IPv6-only support + resilience w.r.t. ns0 / ns1 being down (a61d0231, [#1367](https://github.com/YunoHost/yunohost/pull/1367))
  - [fix] helpers: improve composer debug when it can't install dependencies (4ebcaf8d)
  - [enh] helpers: allow to get/set/delete app settings without explicitly passing app id everytime... (fcd2ef9d)
  - [fix] helpers: Don't say the 'app was restored' when restore failed after failed upgrade (019d207c)
  - [enh] helpers: temporarily auto-add visitors during ynh_local_curl if needed ([#1370](https://github.com/YunoHost/yunohost/pull/1370))
  - [enh] apps: Add YNH_ARCH to app script env for easier debugging and arch check in script (85eb43a7)
  - [mod] misc fixes/enh (2687121f, 146fba7d, 86a9cb37, 4e917b5e, 974ea71f, edc5295d, ba489bfc)
  - [i18n] Translations updated for Basque, French, Spanish

  Thanks to all contributors <3 ! (ljf, Page Asgardius, ppr, punkrockgirl)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 03 Nov 2021 18:35:18 +0100

yunohost (4.3.1.7) testing; urgency=low

  - [fix] configpanel: Misc technical fixes ... (341059d0, 9c22329e)
  - [i18n] Translations updated for Basque, French

  Thanks to all contributors <3 ! (ljf, ppr, punkrockgirl)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 19 Oct 2021 15:30:50 +0200

yunohost (4.3.1.6) testing; urgency=low

  - [fix] configpanel: Various technical fixes (07c1ddce, eae826b2, ff69067d)
  - [i18n] Translations updated for Basque, Galician, German, Russian, Ukrainian

  Thanks to all contributors <3 ! (Colin Wawrik, Daniel, José M, ljf, punkrockgirl, Semen Turchikhin, Tymofii-Lytvynenko)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 18 Oct 2021 18:50:00 +0200

yunohost (4.3.1.5) testing; urgency=low

  - [enh] configpanel: Add hook mecanism between questions (9f7fb61b)
  - [fix] configpanel: Issue with visible-if context missing between section
  - [mod] Force-disable old avahi-daemon (af3d6dd7, 3a07a780)

  Thanks to all contributors <3 ! (ljf)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 17 Oct 2021 20:44:33 +0200

yunohost (4.3.1.4) testing; urgency=low

  - [mod] codequality: Safer, clearer ynh_secure_remove ([#1357](https://github.com/YunoHost/yunohost/pull/1357))
  - [mod] codequality: Lint/autoformat helpers, hooks and debian scripts ([#1356](https://github.com/YunoHost/yunohost/pull/1356))
  - [mod] helpers: Flag ynh_print_ON/OFF as internal to not advertise them in the doc (fe959bd7)
  - [fix] helpers: Eval mecanism in ynh_exec_* lead to epic bugs ([#1358](https://github.com/YunoHost/yunohost/pull/1358))
  - [enh] dyndns: validate that we're connected to the internet before triggering yunohost dyndns update (55bacd74)
  - [enh] regenconf/dyndns: Delete dyndns cron in regenconf if no dyndns domain found (cb835a2d)
  - [fix] regenconf/dovecot: add conf snippet to get rid of stupid stats-writer errors in mail.log (dab3dc6f)
  - [enh] regenconf/dnsmasq: Don't generate dnsmasq conf for .local domains (df02f898)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 13 Oct 2021 15:41:21 +0200

yunohost (4.3.1.3) testing; urgency=low

  - [fix] app: repo url branch names may contain dots (38cff4a9)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 07 Oct 2021 18:31:09 +0200

yunohost (4.3.1.2) testing; urgency=low

  - [fix] apps: upgrade was broken because of typo ([#1350](https://github.com/YunoHost/yunohost/pull/1350))
  - [enh] apps: in app_info, return a new is_webapp info meant to be used by API/webadmin (4cd5e9b6)
  - [fix] configpanel: handle case where file question didnt get modified from webadmin, in which case self.value contains a path (54d901ad)
  - [fix] configpanel: bind_key -> bind_key_ to prevent yunohost from redacting key names which leads to broken log metadata.yml somehow (941cc294)
  - [enh] questions: Add visible attribute support in cli (74256845)
  - [enh] helpers: Simplify apt/php dependencies helpers ([#1018](https://github.com/YunoHost/yunohost/pull/1018))
  - [enh] helpers: In logrotate helper, enforce decent permissions on log file if app user exists ([#1352](https://github.com/YunoHost/yunohost/pull/1352))

  Thanks to all contributors <3 ! (Éric Gaspar, Kay0u, ljf)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 07 Oct 2021 10:42:06 +0200

yunohost (4.3.1.1) testing; urgency=low

  - [enh] app helpers: Update n version ([#1347](https://github.com/YunoHost/yunohost/pull/1347))
  - [enh] Misc app.py refactoring + Prevent change_url from being used to move a fulldomain app to a subpath ([#1346](https://github.com/YunoHost/yunohost/pull/1346))
  - [i18n] Translations updated for French, Galician, Portuguese, Ukrainian

  Thanks to all contributors <3 ! (Éric Gaspar, José M, mifegui, ppr, Tymofii-Lytvynenko)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 04 Oct 2021 01:33:22 +0200

yunohost (4.3.1) testing; urgency=low

  - [fix] diagnosis: new app diagnosis grep reporing comments as issues ([#1333](https://github.com/YunoHost/yunohost/pull/1333))
  - [enh] configpanel: Bind function for hotspot (79126809)
  - [enh] cli: Rework/improve prompt mecanic ([#1338](https://github.com/YunoHost/yunohost/pull/1338))
  - [fix] dyndns update broke because of buggy dns record names (da1b9089)
  - [enh] dns: general improvement for special-use TLD / ynh dyndns domains (17aafe6f)
  - [fix] yunomdns: various fixes/improvements ([#1335](https://github.com/YunoHost/yunohost/pull/1335))
  - [fix] certs: Adapt ready_for_ACME check to the new dnsrecord result format... (d75c1a61)
  - [i18n] Translations updated for French

  Thanks to all contributors <3 ! (Éric Gaspar, Félix Piédallu, Kayou, ljf, tituspijean)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 29 Sep 2021 22:22:42 +0200

yunohost (4.3.0) testing; urgency=low

  - [users] Import/export users from/to CSV ([#1089](https://github.com/YunoHost/yunohost/pull/1089))
  - [domain] Add mDNS for .local domains / replace avahi-daemon ([#1112](https://github.com/YunoHost/yunohost/pull/1112))
  - [settings] new setting to enable experimental security features ([#1290](https://github.com/YunoHost/yunohost/pull/1290))
  - [settings] new setting to handle https redirect ([#1304](https://github.com/YunoHost/yunohost/pull/1304))
  - [diagnosis] add an "app" section to check that app are in catalog with good quality, check for deprecated practices ([#1217](https://github.com/YunoHost/yunohost/pull/1217))
  - [diagnosis] report suspiciously high number of auth failures ([#1292](https://github.com/YunoHost/yunohost/pull/1292))
  - [refactor] Rework the authentication system ([#1183](https://github.com/YunoHost/yunohost/pull/1183))
  - [enh] New config-panel mechanism ([#987](https://github.com/YunoHost/yunohost/pull/987))
  - [enh] Add backup for multimedia files (88063dc7)
  - [enh] Configure automatically the DNS records using lexicon ([#1315](https://github.com/YunoHost/yunohost/pull/1315))
       - also brings domain settings, domain config panel, subdomain awareness, improvements in dns recommended conf
  - [i18n] Translations updated for Catalan, Chinese (Simplified), Czech, Esperanto, French, Galician, German, Italian, Occitan, Persian, Portuguese, Spanish, Ukrainian

  Thanks to all contributors <3 ! (Corentin Mercier, Daniel, Éric Gaspar, Flavio Cristoforetti, Gregor Lenz, José M, Kay0u, ljf, MercierCorentin, mifegui, Paco, Parviz Homayun, ppr, tituspijean, Tymofii-Lytvynenko)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 19 Sep 2021 23:55:21 +0200

yunohost (4.2.8.3) stable; urgency=low

  - [fix] mysql: Another bump for sort_buffer_size to make Nextcloud 22 work (34e9246b)

  Thanks to all contributors <3 ! (ljf (zamentur))

 -- Kay0u <pierre@kayou.io>  Fri, 10 Sep 2021 10:40:38 +0200

yunohost (4.2.8.2) stable; urgency=low

  - [fix] mysql: Bump sort_buffer_size to 256K to fix Nextcloud 22 installation (d8c49619)

  Thanks to all contributors <3 ! (ericg)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 07 Sep 2021 23:23:18 +0200

yunohost (4.2.8.1) stable; urgency=low

  - [fix] Safer location for slapd backup during hdb/mdb migration (3c646b3d)

  Thanks to all contributors <3 ! (ljf)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 27 Aug 2021 01:32:16 +0200

yunohost (4.2.8) stable; urgency=low

  - [fix] ynh_permission_has_user not behaving properly when checking if a group is allowed (f0590907)
  - [enh] use yaml safeloader everywhere ([#1287](https://github.com/YunoHost/yunohost/pull/1287))
  - [enh] Add --no-safety-backup option to "yunohost app upgrade" ([#1286](https://github.com/YunoHost/yunohost/pull/1286))
  - [enh] Add --purge option to "yunohost app remove" ([#1285](https://github.com/YunoHost/yunohost/pull/1285))
  - [enh] Multimedia helper: check that home folder exists ([#1255](https://github.com/YunoHost/yunohost/pull/1255))
  - [i18n] Translations updated for French, Galician, German, Portuguese

  Thanks to all contributors <3 ! (José M, Kay0u, Krakinou, ljf, Luca, mifegui, ppr, sagessylu)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 19 Aug 2021 19:11:19 +0200

yunohost (4.2.7) stable; urgency=low

  Notable changes:
  - [fix] app: 'yunohost app search' was broken (8cf92576)
  - [fix] app: actions were broken, fix by reintroducing user arg in hook exec ([#1264](https://github.com/yunohost/yunohost/pull/1264))
  - [enh] app: Add check for available disk space before app install/upgrade ([#1266](https://github.com/yunohost/yunohost/pull/1266))
  - [enh] domains: Better support for non latin domain name ([#1270](https://github.com/yunohost/yunohost/pull/1270))
  - [enh] security: Add settings to restrict webadmin access to a list of IPs ([#1271](https://github.com/yunohost/yunohost/pull/1271))
  - [enh] misc: Avoid to suspend server if we close lidswitch ([#1275](https://github.com/yunohost/yunohost/pull/1275))
  - [i18n] Translations updated for French, Galician, German

  Misc fixes, improvements:
  - [fix] logs: Sometimes metadata ends up being empty for some reason and ends up being loaded as None, making the "in" operator crash :| (50129f3a)
  - [fix] nginx: Invalid HTML in yunohost_panel #1837 (1c15f644)
  - [fix] ssh: set .ssh folder permissions to 600 ([#1269](https://github.com/yunohost/yunohost/pull/1269))
  - [fix] firewall: upnpc.getspecificportmapping expects an int, can't handle port ranges ? (ee70dfe5)
  - [fix] php helpers: fix conf path for dedicated php server (7349b229)
  - [fix] php helpers: Increase memory limit for composer ([#1278](https://github.com/yunohost/yunohost/pull/1278))
  - [enh] nodejs helpers: Upgrade n version to 7.3.0 ([#1262](https://github.com/yunohost/yunohost/pull/1262))
  - [fix] doc: Example command in yunopaste usage was outdated (a8df60da)
  - [fix] doc, diagnosis: update links to SMTP relay configuration ([#1277](https://github.com/yunohost/yunohost/pull/1277))
  - [i18n] Translations fixes/cleanups (780c3cb8, b61082b1, 271e3a26, 4e4173d1, fab248ce, d49ad748)

  Thanks to all contributors <3 ! (Bram, Christian Wehrli, cyxae, Éric Gaspar, José M, Kay0u, Le Libre Au Quotidien, ljf, Luca, Meta Meta, ppr, Stylix58, Tagada, yalh76)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 08 Aug 2021 19:27:27 +0200

yunohost (4.2.6.1) stable; urgency=low

  - [fix] Remove invaluement from free dnsbl list (71489307)
  - [i18n] Remove stale strings (079f6762)
  - [i18n] Translations updated for Esperanto, French, Galician, German, Greek

  Thanks to all contributors <3 ! (amirale qt, Christian Wehrli, Éric Gaspar, José M, ljf, ppr, qwerty287)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 19 Jun 2021 17:18:13 +0200

yunohost (4.2.6) stable; urgency=low

  - [fix] metronome/xmpp: deactivate stanza mention optimization / have quick notification in chat group ([#1164](https://github.com/YunoHost/yunohost/pull/1164))
  - [enh] metronome/xmpp: activate module pubsub ([#1170](https://github.com/YunoHost/yunohost/pull/1170))
  - [fix] upgrade: undefined 'apps' variable (923f703e)
  - [fix] python3: fix string split in postgresql migration (14d4cec8)
  - [fix] python3: python2 was still used in helpers (bd196c87)
  - [fix] security: fail2ban rule for yunohost-api login (b837d3da)
  - [fix] backup: Apply realpath to find mounted points to unmount ([#1239](https://github.com/YunoHost/yunohost/pull/1239))
  - [mod] dnsmasq: Remove LDN from resolver list (a97fce05)
  - [fix] logs: redact borg's passphrase (dbe5e51e, c8d4bbf8)
  - [i18n] Translations updated for Galician, German, Italian
  - Misc fixes/enh for tests and CI (8a5213c8, e5a03cab, [#1249](https://github.com/YunoHost/yunohost/pull/1249), [#1251](https://github.com/YunoHost/yunohost/pull/1251))

  Thanks to all contributors <3 ! (Christian Wehrli, Flavio Cristoforetti, Gabriel, José M, Kay0u, ljf, tofbouf, yalh76)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 11 Jun 2021 20:12:20 +0200

yunohost (4.2.5.3) stable; urgency=low

  - [fix] doc, helpers: Helper doc auto-generation job (f2886510)
  - [fix] doc: Manpage generation ([#1237](https://github.com/yunohost/yunohost/pull/1237))
  - [fix] misc: Yunohost -> YunoHost ([#1235](https://github.com/yunohost/yunohost/pull/1235))
  - [enh] email: Accept attachment of 25MB instead of 21,8MB ([#1243](https://github.com/yunohost/yunohost/pull/1243))
  - [fix] helpers: echo -n is pointless in ynh_systemd_action ([#1241](https://github.com/yunohost/yunohost/pull/1241))
  - [i18n] Translations updated for Chinese (Simplified), French, Galician, German, Italian

  Thanks to all contributors <3 ! (Éric Gaspar, José M, Kay0u, Leandro Noferini, ljf, Meta Meta, Noo Langoo, qwerty287, yahoo～～)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 02 Jun 2021 20:20:54 +0200

yunohost (4.2.5.2) stable; urgency=low

  - Fix install in chroot ... *again* (806b7acf)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 24 May 2021 22:11:02 +0200

yunohost (4.2.5.1) stable; urgency=low

  - Releasing as stable

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 24 May 2021 19:36:35 +0200

yunohost (4.2.5) testing; urgency=low

  - [fix] backup: Also catch tarfile.ReadError as possible archive corruption error (4aaf0154)
  - [enh] helpers: Update n to version 7.2.2 ([#1224](https://github.com/yunohost/yunohost/pull/1224))
  - [fix] helpers: Define ynh_node_load_path to be compatible with ynh_replace_vars (06f8c1cc)
  - [doc] helpers: Add requirements for new helpers (2b0df6c3)
  - [fix] helpers: Set YNH_APP_BASEDIR as an absolute path ([#1229](https://github.com/yunohost/yunohost/pull/1229), 27300282)
  - [fix] Tweak yunohost-api systemd config as an attempt to fix the API being down after yunohost upgrades (52e30704)
  - [fix] python3: encoding issue in nftable migrations (0f10b91f)
  - [fix] python3: Email on certificate renewing failed ([#1227](https://github.com/yunohost/yunohost/pull/1227))
  - [fix] permissions: Remove warnings about legacy permission system (now reported in the linter) ([#1228](https://github.com/yunohost/yunohost/pull/1228))
  - [fix] diagnosis, mail: Remove SPFBL because it triggers false positive ([#1231](https://github.com/yunohost/yunohost/pull/1231))
  - [fix] diagnosis: DNS diagnosis taking an awful amount of time because of timeout ([#1233](https://github.com/yunohost/yunohost/pull/1233))
  - [fix] install: Be able to init slapd in a chroot ([#1230](https://github.com/yunohost/yunohost/pull/1230))
  - [i18n] Translations updated for Catalan, Chinese (Simplified), Czech, French, Galician, German

  Thanks to all contributors <3 ! (Christian Wehrli, Éric Gaspar, José M, ljf, Radek S, Salamandar, Stephan Schneider, xaloc33, yahoo～～)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 24 May 2021 17:20:47 +0200

yunohost (4.2.4) stable; urgency=low

  - python3: smtplib's sendmail miserably crashes with encoding issue if accent in mail body (af567c6f)
  - ssh_config: add conf block for sftp apps (51478d14)
  - ynh_systemd_action: Fix case where service is already stopped ([#1222](https://github.com/yunohost/yunohost/pull/1222))
  - [i18n] Translations updated for German, Italian, Occitan
  - Releasing as stable

  Thanks to all contributors <3 ! (Christian Wehrli, Flavio Cristoforetti, Quentí, yalh76)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 08 May 2021 15:05:43 +0200

yunohost (4.2.3.1) testing; urgency=low

  - [fix] Recreate the admins group which for some reason didnt exist on old setups .. (ee83c3f9)
  - [i18n] Translations updated for French

  Thanks to all contributors <3 ! (Éric G., ppr)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 28 Apr 2021 17:59:14 +0200

yunohost (4.2.3) testing; urgency=low

  - Fix a stupid issue where an app's tmp work dir would be deleted during upgrade because of the backup process (50af0393)
  - cli ux: Don't suggest that we can remove multiple apps (4ae72cc3)
  - ynh_port_available: also check ports used by other apps in settings.yml (381f789f)
  - ssh: Add ssh.app, sftp.app groups to cover my_webapp and borg needing ssh access ([#1216](https://github.com/yunohost/yunohost/pull/1216))
  - i18n: Translations updated for German

  Thanks to all contributors <3 ! (Bram, Christian W.)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 26 Apr 2021 16:29:17 +0200

yunohost (4.2.2) testing; urgency=low

  - permissions: Add SFTP / SSH permissions ([#606](https://github.com/yunohost/yunohost/pull/606))
  - refactoring: Uniformize API routes ([#1192](https://github.com/yunohost/yunohost/pull/1192))
  - settings: New setting to disable the 'YunoHost' panel overlay in apps ([#1071](https://github.com/yunohost/yunohost/pull/1071), 08fbfa2e)
  - settings: New setting for custom ssh port ([#1209](https://github.com/yunohost/yunohost/pull/1209), 37c0825e, 95999fea)
  - security: Redact 'passphrase' settings from logs ([#1206](https://github.com/yunohost/yunohost/pull/1206))
  - security: Sane default permissions for files added using ynh_add_config and ynh_setup_source ([#1188](https://github.com/yunohost/yunohost/pull/1188))
  - backup: Support having .tar / .tar.gz in the archive name arg of backup_info/restore (00ec7b2f)
  - backup: Don't backup crons + manage crons from the regenconf ([#1184](https://github.com/yunohost/yunohost/pull/1184))
  - backup: Drop support for archive restore from prior 3.8 ([#1203](https://github.com/yunohost/yunohost/pull/1203))
  - backup: Introduce hooks during restore to apply migrations between archive version and current version ([#1203](https://github.com/yunohost/yunohost/pull/1203))
  - backup: Create a proper operation log for backup_create (fe9f0731)
  - backup: Improve error management for app restore ([#1191](https://github.com/yunohost/yunohost/pull/1191))
  - backup: Rework content of system backups ([#1185](https://github.com/yunohost/yunohost/pull/1185))
  - backup: Add a --dry-run option to backup_create to fetch an estimate of the backup size ([#1205](https://github.com/yunohost/yunohost/pull/1205))
  - helpers: Add --keep option to ynh_setup_source to keep files that may be overwritten during upgrade ([#1200](https://github.com/yunohost/yunohost/pull/1200))
  - helpers: Bump 'n' to version 7.1.0 ([#1197](https://github.com/yunohost/yunohost/pull/1197))
  - mail: Support SMTPS Relay ([#1159](https://github.com/yunohost/yunohost/pull/1159))
  - nginx: add header to disallow FLoC ([#1211](https://github.com/yunohost/yunohost/pull/1211))
  - app: Add route to fetch app manifest for custom app installs in a forge-agnostic way ([#1213](https://github.com/yunohost/yunohost/pull/1213))
  - perf: add optional 'apps' argument to user_permission_list to speed up user_info / user_list (e6312db3)
  - ux: Add '--human-readable' to recommended command to display diagnosis issues in cli ([#1207](https://github.com/yunohost/yunohost/pull/1207))
  - Misc enh/fixes, code quality (42f8c9dc, 86f22d1b, 1468073f, b33e7c16, d1f0064b, c3754dd6, 02a30125, aabe5f19, ce9f6b3d, d7786662, f9419c96, c92e495b, 0616d632, 92eb9704, [#1190](https://github.com/yunohost/yunohost/pull/1190), [#1201](https://github.com/yunohost/yunohost/pull/1201), [#1210](https://github.com/yunohost/yunohost/pull/1210), [#1214](https://github.com/yunohost/yunohost/pull/1214), [#1215](https://github.com/yunohost/yunohost/pull/1215))
  - i18n: Translations updated for French, German

  Thanks to all contributors <3 ! (axolotle, Bram, cyxae, Daniel, Éric G., grenagit, Josué, Kay0u, lapineige, ljf, Scapharnaum)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 17 Apr 2021 03:45:49 +0200

yunohost (4.2.1.1) testing; urgency=low

  - [fix] services.py, python3: missing decode() in subprocess output fetch (357c151c)
  - [fix] log.py: don't inject log_ref if the operation didnt start yet (f878d61f)
  - [fix] dyndns.py: Missing raw_msg=True (008e9f1d)
  - [fix] firewall.py: Don't miserably crash when there are port ranges (6fd5f7e8)
  - [fix] nginx conf: CSP rules for admin was blocking small images used for checkboxes, radio, pacman in the new webadmin (575fab8a)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 11 Apr 2021 20:15:11 +0200

yunohost (4.2.1) testing; urgency=low

  - security: Various permissions tweaks to protect from malicious yunohost users (aefc100a, fc26837a)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 10 Apr 2021 01:08:04 +0200

yunohost (4.2.0) testing; urgency=low

  - [mod] Python2 -> Python3 ([#1116](https://github.com/yunohost/yunohost/pull/1116), a97a9df3, 1387dff4, b53859db, f5ab4443, f9478b93, dc6033c3)
  - [mod] refactoring: Drop legacy-way of passing arguments in hook_exec, prevent exposing secrets in command line args ([#1096](https://github.com/yunohost/yunohost/pull/1096))
  - [mod] refactoring: use regen_conf instead of service_regen_conf in settings.py (9c11fd58)
  - [mod] refactoring: More consistent local CA management for simpler postinstall ([#1062](https://github.com/yunohost/yunohost/pull/1062))
  - [mod] refactoring: init folders during .deb install instead of regen conf ([#1063](https://github.com/yunohost/yunohost/pull/1063))
  - [mod] refactoring: init ldap before the postinstall ([#1064](https://github.com/yunohost/yunohost/pull/1064))
  - [mod] refactoring: simpler and more consistent logging initialization ([#1119](https://github.com/yunohost/yunohost/pull/1119), 0884a0c1)
  - [mod] code-quality: add CI job to auto-format code, fix linter errors ([#1142](https://github.com/yunohost/yunohost/pull/1142), [#1161](https://github.com/yunohost/yunohost/pull/1161), 97f26015, [#1162](https://github.com/yunohost/yunohost/pull/1162))
  - [mod] misc: Prevent the installation of apache2 ... ([#1148](https://github.com/yunohost/yunohost/pull/1148))
  - [mod] misc: Drop old cache rules for .ms files, not relevant anymore ([#1150](https://github.com/yunohost/yunohost/pull/1150))
  - [fix] misc: Abort postinstall if /etc/yunohost/apps ain't empty ([#1147](https://github.com/yunohost/yunohost/pull/1147))
  - [mod] misc: No need for mysql root password anymore ([#912](https://github.com/YunoHost/yunohost/pull/912))
  - [fix] app operations: wait for services to finish reloading (4a19a60b)
  - [enh] ux: Improve error semantic such that the webadmin can autoredirect to the proper log view ([#1077](https://github.com/yunohost/yunohost/pull/1077), [#1187](https://github.com/YunoHost/yunohost/pull/1187))
  - [mod] cli/api: Misc command and routes renaming / aliasing ([#1146](https://github.com/yunohost/yunohost/pull/1146))
  - [enh] cli: Add a new "yunohost app search" command ([#1070](https://github.com/yunohost/yunohost/pull/1070))
  - [enh] cli: Add '--remove-apps' (and '--force') options to "yunohost domain remove" ([#1125](https://github.com/yunohost/yunohost/pull/1125))
  - [enh] diagnosis: Report low total space for rootfs ([#1145](https://github.com/yunohost/yunohost/pull/1145))
  - [fix] upnp: Handle port closing ([#1154](https://github.com/yunohost/yunohost/pull/1154))
  - [fix] dyndns: clean old madness, improve update strategy, improve cron management, delete dyndns key upon domain removal ([#1149](https://github.com/yunohost/yunohost/pull/1149))
  - [enh] helpers: Adding composer helper ([#1090](https://github.com/yunohost/yunohost/pull/1090))
  - [enh] helpers: Upgrade n to v7.0.2 ([#1178](https://github.com/yunohost/yunohost/pull/1178))
  - [enh] helpers: Add multimedia helpers and hooks ([#1129](https://github.com/yunohost/yunohost/pull/1129), 47420c62)
  - [enh] helpers: Normalize conf template handling for nginx, php-fpm, systemd and fail2ban using ynh_add_config ([#1118](https://github.com/yunohost/yunohost/pull/1118))
  - [fix] helpers, doc: Update template for the new doc (grav) ([#1167](https://github.com/yunohost/yunohost/pull/1167), [#1168](https://github.com/yunohost/yunohost/pull/1168), 59d3e387)
  - [enh] helpers: Define YNH_APP_BASEDIR to be able to properly point to conf folder depending on the app script we're running ([#1172](https://github.com/yunohost/yunohost/pull/1172))
  - [enh] helpers: Use jq / output-as json to get info from yunohost commands instead of scraping with grep ([#1160](https://github.com/yunohost/yunohost/pull/1160))
  - [fix] helpers: Misc fixes/enh (b85d959d, db93b82b, ce04570b, 07f8d6d7)
  - [fix] helpers: download ynh_setup_source stuff in /var/cache/yunohost to prevent situations where it ends up in /etc/yunohost/apps/ (d98ec6ce)
  - [i18n] Translations updated for Catalan, Chinese (Simplified), Czech, Dutch, French, German, Italian, Occitan, Polish

  Thanks to all contributors <3 ! (Bram, Christian W., Daniel, Dave, Éric G., Félix P., Flavio C., Kay0u, Krzysztof N., ljf, Mathieu M., Miloš K., MrMorals, Nils V.Z., penguin321, ppr, Quentí, Radek S, Scapharnaum, Sébastien M., xaloc33, yalh76, Yifei D.)
 
 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 25 Mar 2021 01:00:00 +0100

yunohost (4.1.7.4) stable; urgency=low

  - [fix] sec: Enforce permissions for /home/yunohost.backup and .conf (41b5a123)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 11 Mar 2021 03:08:10 +0100

yunohost (4.1.7.3) stable; urgency=low

  - [fix] log: Some secrets were not redacted (0c172cd3)
  - [fix] log: For some reason sometimes we were redacting 'empty string' which made everything explode (88b414c8)
  - [fix] helpers: Various fixes for ynh_add_config / ynh_replace_vars (a43cd72c, 2728801d, 9bbc3b72, 2402a1db, 6ce02270)
  - [fix] helpers: Fix permission helpers doc format (d12f403f)
  - [fix] helpers: ynh_systemd_action did not properly clean the 'tail' process when service action failed (05969184)
  - [fix] i18n: Translation typo in italian translation ... (bd8644a6)

  Thanks to all contributors <3 ! (Kay0u, yalh76)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 02 Mar 2021 02:03:35 +0100

yunohost (4.1.7.2) stable; urgency=low

  - [fix] When migration legacy protected permissions, all users were allowed on the new perm (29bd3c4a)
  - [fix] Mysql is a fucking joke (... trying to fix the mysql issue on RPi ...) (cd4fdb2b)
  - [fix] Replace \t when converting legacy conf.json.persistent... (f398f463)

  Thanks to all contributors <3 ! (ljf)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 21 Feb 2021 05:25:49 +0100

yunohost (4.1.7.1) stable; urgency=low

  - [enh] helpers: Fix ynh_exec_as regression (ac38e53a7)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 03 Feb 2021 16:59:05 +0100

yunohost (4.1.7) stable; urgency=low

  - [fix] diagnosis: Handle case where DKIM record is split into several pieces (4b876ff0)
  - [fix] i18n: de locale was broken (4725e054)
  - [enh] diagnosis: Ignore /dev/loop devices in systemresources (536fd9be)
  - [fix] backup: fix a small issue dur to var not existing in some edge case ... (2fc016e3)
  - [fix] settings: service_regen_conf is deprecated in favor of regen_conf (62e84d8b)
  - [fix] users: If uid is less than 1001, nsswitch ignores it (4e335e07, aef3ee14)
  - [enh] misc: fixes/enh in yunoprompt (5ab5c83d, 9fbd1a02)
  - [enh] helpers: Add ynh_exec_as (b94ff1c2, 6b2d76dd)
  - [fix] helpers: Do not ynh_die if systemctl action fails, to avoid exiting during a remove script (29fe7c31)
  - [fix] misc: logger.exception -> logger.error (08e7b42c)

  Thanks to all contributors <3 ! (ericgaspar, Kayou, ljf)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 02 Feb 2021 04:18:01 +0100

yunohost (4.1.6) stable; urgency=low

  - [fix] Make dyndns update more resilient to ns0.yunohost.org being down ([#1140](https://github.com/yunohost/yunohost/pull/1140))
  - [fix] Stupid yolopatch for not-normalized app path settings ([#1141](https://github.com/yunohost/yunohost/pull/1141))
  - [i18n] Update translations for German

  Thanks to all contributors <3 ! (Christian W., Daniel, penguin321)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 20 Jan 2021 01:46:02 +0100

yunohost (4.1.5) stable; urgency=low

  - [fix] Update helpers ([#1136](https://github.com/yunohost/yunohost/pull/11346))
  - [fix] Certificate during regen conf on some setup (1d2b1d9)
  - [fix] Empty password is not an error if it's optional ([#1135](https://github.com/yunohost/yunohost/pull/11345))
  - [fix] Remove useless warnings during system backup ([#1138](https://github.com/yunohost/yunohost/pull/11348))
  - [fix] We can now use "true" or "false" for a boolean ([#1134](https://github.com/yunohost/yunohost/pull/1134))
  - [i18n] Translations updated for Catalan, French, Italian, Spanish

  Thanks to all contributors <3 ! (Aleks, Kay0u, Omnia89, jorge-vitrubio, YohannEpitech, xaloc33)

 -- Kayou <pierre@kayou.io>  Thu, 14 Jan 2021 21:23:39 +0100

yunohost (4.1.4.4) stable; urgency=low

  - [fix] Add the -F flag to grep command for fixed string mode, prevent special chars in the password to be interpreted as regex pattern ([#1132](https://github.com/yunohost/yunohost/pull/1132))
  - [fix] apt helpers: explicitly return 0, otherwise the return code of last command is used, which in that case is 1 ... (c56883d0)

  Thanks to all contributors <3 ! (Saxodwarf)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 11 Jan 2021 14:17:37 +0100

yunohost (4.1.4.3) stable; urgency=low

  - [fix] ynh_replace_vars in case var is defined but empty (30dde208)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 10 Jan 2021 01:58:35 +0100

yunohost (4.1.4.2) stable; urgency=low

  - [fix] Prevent info from being redacted (because of foobar_key=) by the logging system (8f1b05f3)
  - [fix] For some reason sometimes submetadata is None ... (00508c96)
  - [enh] Reduce the noise in logs because of ynh_app_setting (ac4b62ce)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 09 Jan 2021 18:59:01 +0100

yunohost (4.1.4.1) stable; urgency=low

  - [hotfix] Postfix conf always included the relay snippets (b25cde0b)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 08 Jan 2021 16:21:07 +0100

yunohost (4.1.4) stable; urgency=low

  - [fix] firewall: force source port for UPnP. ([#1109](https://github.com/yunohost/yunohost/pull/1109))
  - Stable release

  Thanks to all contributors <3 ! (Léo Le Bouter)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 08 Jan 2021 03:09:14 +0100

yunohost (4.1.3) testing; urgency=low

  - [enh] Do not advertise upgrades for bad-quality apps ([#1066](https://github.com/yunohost/yunohost/pull/1066))
  - [enh] Display domain_path of app in the output of app list ([#1120](https://github.com/yunohost/yunohost/pull/1120))
  - [enh] Diagnosis: report usage of backports repository in apt's sources.list ([#1069](https://github.com/yunohost/yunohost/pull/1069))
  - [mod] Code cleanup, misc fixes (165d2b32, [#1121](https://github.com/yunohost/yunohost/pull/1121), [#1122](https://github.com/yunohost/yunohost/pull/1122), [#1123](https://github.com/yunohost/yunohost/pull/1123), [#1131](https://github.com/yunohost/yunohost/pull/1131))
  - [mod] Also display app label on remove_domain with apps ([#1124](https://github.com/yunohost/yunohost/pull/1124))
  - [enh] Be able to change user password in CLI without writing it in clear ([#1075](https://github.com/YunoHost/yunohost/pull/1075))
  - [enh] New permissions helpers ([#1117](https://github.com/yunohost/yunohost/pull/1117))
  - [i18n] Translations updated for French, German

  Thanks to all contributors <3 ! (C. Wehrli, cricriiiiii, Kay0u, Bram, ljf, ppr)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 07 Jan 2021 00:46:09 +0100

yunohost (4.1.2) testing; urgency=low

  - [enh] diagnosis: Detect moar hardware name (b685a274)
  - [fix] permissions: Handle regexes that may start with ^ or \ (bdff5937)
  - [fix] permissions: Tile/protect status for legacy migration ([#1113](https://github.com/yunohost/yunohost/pull/1113))
  - [fix] domain: double return prevent new code from working (0c977d8c)
  - [fix] settings: When encountering unknown setting, also save the regular setting so we don't re-encounter the unknown settings everytime (d77d5afb)
  - [fix] users: only ask for one letter for first/last name ([#1114](https://github.com/yunohost/yunohost/pull/1114))
  - [fix] apt/sury: Tweak app helpers to not mess with Sury's pinning ([#1110](https://github.com/yunohost/yunohost/pull/1110))
  - [i18n] Translations updated for German

  Thanks to all contributors <3 ! (Bram, C. Wehrli, Kayou)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 31 Dec 2020 16:26:51 +0100

yunohost (4.1.1) testing; urgency=low

  - [fix] Backup/restore DKIM keys ([#1098](https://github.com/yunohost/yunohost/pull/1098), [#1100](https://github.com/yunohost/yunohost/pull/1100))
  - [fix] Backup/restore Dyndns keys ([#1101](https://github.com/yunohost/yunohost/pull/1101))
  - [fix] mail: Add a max limit to number of recipients ([#1094](https://github.com/yunohost/yunohost/pull/1094))
  - [fix] mail: Do not enforce encryption for relays .. some don't support it ... (11fe9d7e)
  - [i18n] Translations updated for French, German, Italian, Occitan

  Misc small fixes:

  - [fix] misc: Prevent running `yunohost domain dns-conf` on arbirary domains ([#1099](https://github.com/yunohost/yunohost/pull/1099))
  - [enh] misc: We don't care that 'apt-key output should not be parsed' (5422a49d)
  - [fix] dnsmasq: Avoid to define wildcard records locally ([#1102](https://github.com/yunohost/yunohost/pull/1102))
  - [fix] ssowat: Fix indent ([#1103](https://github.com/yunohost/yunohost/pull/1103))
  - [fix] nginx: Force-disable gzip for acme-challenge (c5d06af2)
  - [enh] app helpers: Handle change php version ([#1107](https://github.com/yunohost/yunohost/pull/1107))
  - [fix] permissions: Misc fixes ([#1104](https://github.com/yunohost/yunohost/pull/1104), [#1105](https://github.com/yunohost/yunohost/pull/1105))
  - [fix] certificates: Use organization name to check if from Lets Encrypt ([#1093](https://github.com/yunohost/yunohost/pull/1093))
  - [enh] ldap: Increase ldap search size limit? ([#1074](https://github.com/yunohost/yunohost/pull/1074))
  - [fix] app helpers: Avoid unecessarily reloading php7.3 too fast ([#1108](https://github.com/yunohost/yunohost/pull/1108))
  - [fix] log: Fix a small issue where metadata could be None (because of empty yaml maybe?) (f9143d53)

  Thanks to all contributors <3 ! (Christian Wehrli, Eric COURTEAU, Flavio Cristoforetti, Kay0u, Kayou, ljf, ljf (zamentur), Quentí)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 19 Dec 2020 01:33:36 +0100

yunohost (4.1.0) testing; urgency=low

  - [enh] Extends permissions features, improve legacy settings handling (YunoHost#861)
  - [enh] During app installs, add a default answer for user-type questions (YunoHost#982)
  - [enh] Default questions for common app manifest arguments (YunoHost#981)
  - [enh] Only upgrade apps if version actually changed (YunoHost#864)
  - [enh] Create uncompressed backup archives by default (instead of .tar.gz) (YunoHost#1020)
  - [enh] Add possibility to download backups (YunoHost#1046)
  - [enh] Asking an email address during user creation was confusing, now define it a username@domain by default (admin only chooses the domain) (YunoHost#962)
  - [enh] Be able to configure an smtp relay (YunoHost#773)
  - [enh] Add a diagnosis to detect processes rencently killed by oom_reaper (YunoHost/f5acbffb)
  - [enh] Simplify operation log list (YunoHost#955)
  - [enh] Smarter sorting of domain list (YunoHost#860)
  - [fix] Accept '+' sign in mail forward adresses (YunoHost#818)
  - [enh] Add x509 fingerprint in /etc/issue (YunoHost#1056)
  - [enh] Add ynh_add_config helper (YunoHost#1055)
  - [enh] Upgrade n version (YunoHost#1073)
  - [enh] Clean /usr/bin/yunohost, make it easier to use yunohost as a python lib (YunoHost#922)
  - [enh] Lazy loading of smtplib to reduce memory footprint a bit (0f2e9ab1)
  - [enh] Refactor manifest arguments parsing (YunoHost#1013)
  - [enh] Detect misformated arguments in getopts (YunoHost#1052)
  - [enh] Refactor app download process, make it github-independent (YunoHost#1049)
  - [fix] Test at the beginning of postinstall that iptables is working instead of miserably crashing later (YunoHost/f73ae4ee)
  - [enh] Service logs: journalctl -x in fact makes everything bloated, the supposedly additional info it displays does not contains anything relevant... (YunoHost/452b178d)
  - [enh] Add redis hook to enforce permissions on /var/log/redis (YunoHost/a1c1057a)
  - [enh] Add configuration tests for dnsmasq, fail2ban, slapd (YunoHost/6e69df37)
  - [enh] Remove some old fail2ban jails that do not exists anymore (YunoHost/2c6736df)
  - [enh] Get rid of yunohost.local in main domain nginx conf (YunoHost/ba884d5b)
  - [enh] Ignore some unimportant apt warnings (YunoHost/199cc50)
  - [enh] Create the helper doc on new version (YunoHost#1080)
  - [enh] The email "abuse@you_domain.tld" is now unavailable for security reason (YunoHost/67e03e6)
  - [enh] Remove some warnings during backup (YunoHost#1047)
  - [i18n] Translations updated for Catalan, Chinese (Simplified), French, German, Italian, Occitan, Portuguese

  Thanks to all contributors <3 ! (Aleks, Augustin T., Baptiste W., Bram, Christian W., Colin W., cyxae, ekhae, Éric G., Félix P., Josué, Julien J., Kayou, Leandro N., ljf, Maniack C, ppr, Quentí, Quentin D., SiM, yalh76, Yifei D., xaloc33)

 -- Kay0u <pierre@kayou.io>  Thu, 03 Dec 2020 16:34:38 +0100

yunohost (4.0.8.3) stable; urgency=low

  - [fix] Certificate renewal for LE (#1092)

  Thanks to all contributors <3 ! (frju365)

 -- Kay0u <pierre@kayou.io>  Thu, 03 Dec 2020 14:01:03 +0000

yunohost (4.0.8.2) stable; urgency=low

  - [fix] intermediate_certificate is now included in signed certificate (#1067)

  Thanks to all contributors <3 ! (Bram)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 04 Nov 2020 23:32:16 +0100

yunohost (4.0.8.1) stable; urgency=low

  - [fix] App installs logs were still disclosing secrets when shared sometimes ...

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 04 Nov 2020 17:24:52 +0100

yunohost (4.0.8) stable; urgency=low

  - [fix] Diagnose ssl libs installed from sury (#1053)
  - [enh] Better problematic apt dependencies auto-investigation mechanism (#1051, 8d4f36e1)
  - [fix] Force locale to C during postgresql migration to avoid some stupid issue related to locale (d532cd5e)
  - [fix] Use php7.3 by default in CLI (82c0cc92)
  - [fix] Typo in fpm_config helper led to install process hanging forever (7dcf4b00)

  Thanks to all contributors <3 ! (Kayou)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 16 Sep 2020 16:23:04 +0200

yunohost (4.0.7.1) stable; urgency=low

  - Forbid users from using SSH as a VPN (even if SSH login is disabled) (#1050)

  Thanks to all contributors <3 ! (ljf)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 11 Sep 2020 21:06:09 +0200

yunohost (4.0.7) stable; urgency=low

  - [fix] Require explicitly php7.3-foo packages because in some cases Sury's php7.4- packages are installed and php7.3-fpm doesn't get installed ... (1288159a)
  - [fix] Make sure app nginx confs do not prevent the loading of /yunohost/sso (#1044)

  Thanks to all contributors <3 ! (Kayou, ljf)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 04 Sep 2020 14:32:07 +0200

yunohost (4.0.6.1) stable; urgency=low

  - [fix] Stupid syntax issue in dovecot conf

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 01 Sep 2020 02:00:19 +0200

yunohost (4.0.6) stable; urgency=low

  - [mod] Add apt conf regen hook to manage sury pinning policy (#1041)
  - [fix] Use proper templating + handle xmpp-upload.domain.tld in dnsmasq conf (bc7344b6, 503e08b5)
  - [fix] Explicitly require php-fpm >= 7.3 ... (41813744)
  - [i18n] Translations updated for Catalan, French, German

  Thanks to all contributors <3 ! (Christian W., Titus PiJean, xaloc33)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 31 Aug 2020 19:57:24 +0200

yunohost (4.0.5) testing; urgency=low

  - [enh] Update postfix, dovecot, nginx configuration according to Mozilla guidelines (Buster + DH params) (f3a4334a, 89bcf1ba, 2d661737)
  - [enh] Update acme_tiny to 4.1.0 (#1037)
  - [fix] ref to variable in i18n string (c.f. issue 1647) (7b1f02e0)
  - [fix] Recursively enforce ownership for rspamd (8454f2ec)
  - [fix] Stupid encoding issue when fetching service description (6ec0e7b6)
  - [fix] Misc fixes for CI (ca0a42f2, 485c65a9, #1038, a891d20a)

  Thanks to all contributors <3 ! (Eric G., Kay0u)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 25 Aug 2020 19:32:27 +0200

yunohost (4.0.4) stable; urgency=low

  - Debugging and robustness improvements for postgresql 9.6 -> 11 and xtables->nftables migrations (accc2da4, 59bd7d66, 4cb6f7fd, 4b14402c)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 12 Aug 2020 18:14:00 +0200

yunohost (4.0.3) stable; urgency=low

  - Bump version number for stable release

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 29 Jul 2020 17:00:00 +0200

yunohost (4.0.2~beta) testing; urgency=low

  - [mod] Rebase on stretch-unstable to include recent changes
  - [fix] Create admin's home during postinstall (#1021)

  Thanks to all contributors <3 ! (Kay0u)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 19 Jun 2020 15:16:26 +0200

yunohost (4.0.1~alpha) testing; urgency=low

  - [fix] It just make no sense to backup/restore the mysql password... (#911)
  - [fix] Fix getopts and helpers (#885, #886)
  - [fix] Explicitly create home using mkhomedir_helper instead of obscure pam rule that doesn't work anymore (b67ff314)
  - [fix] Ldap interface seems to expect lists everywhere now? (fb8c2b7b)
  - [deb] Clean control file, remove some legacy Conflicts and Replaces (ca0d4933)
  - [deb] Add conflicts with versions from backports for critical dependencies (#967)
  - [cleanup] Stale / legacy code (217aaa36, d77da6a0, af047468, 82d468a3)
  - [conf] Automatically disable/stop systemd-resolved that conflicts with dnsmasq on fresh setups ... (e7214b37)
  - [conf] Remove deprecated option in sshd conf, c.f. https://patchwork.openembedded.org/patch/139981/ (2723d245)
  - [conf] Small tweak in dovecot conf (deprecated settings) (dc0481e2)
  - [conf] Update nslcd and nsswitch stuff using new Buster's default configs + get rid of nslcd service, only keep the regen-conf part (6ef3520f)
  - [php] Migrate from php7.0 to php7.3 (3374e653, 9be10506, dd9564d3, 9679c291, 212a15e4, 25fcaa19, c4ad66f5)
  - [psql] Migrate from psql 11 to 9.6 (e88aed72, 4920d4f9, c70b0ae4)
  - [firewall] Migrate from xtable to nftable (05fb58f2, 2c4a8b73, 625d5372)
  - [slapd] Rework slapd regenconf to use new backend (#984)

  Thanks to all contributors <3 ! (Étienne M., Josué, Kay0u)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 05 Jun 2020 03:10:09 +0200

yunohost (3.8.5.5) stable; urgency=low

  - [enh] Allow to extend the nginx default_server configuration (f1bfc521)
  - [mod] Move redirect to /yunohost/admin to a separate nginx conf file to allow customizing it more easily (ac9182d6)
  - [enh] Make sure to validate/upgrade that we don't have any active weak certificate used by nginx at the beginning of the buster migration, otherwise nginx will later miserably fail to start (d4358897)
  - [fix] get_files_diff crashing if {orig,new}_file is None (7bfe564a)
  - [enh] Remove some useless message about file that "wasn't deleted because it doesn't exist." (#1024)
  - [mod] Remove useless robot protection code (#1026)
  - [fix] Let's not redefine the value for the 'service' var ... (1a2f26dc)
  - [fix] More general stretch->buster patching for sources.list (#1028)
  - [mod] Tweak custom disclaimer about the migration still being a bit touchy in preparation for stable release (852dea07)
  - [mod] Typo/wording in en.json (#1030)
  - [i18n] Translations updated for Catalan, French, Italian, Occitan

  Thanks to all contributors <3 ! (É. Gaspar, Kay0u, L. Noferini, ppr, Quentí, xaloc33)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 27 Jul 2020 19:03:33 +0200

yunohost (3.8.5.4) testing; urgency=low

  - [fix] Fix unscd version parsing *again*
  - [fix] Enforce permissions on rspamd log directory
  - [enh] Ignore stupid warnings about sudo-ldap that is already provided

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 21 Jun 2020 23:37:09 +0200

yunohost (3.8.5.3) testing; urgency=low

  - [fix] Fix the fix about unscd downgrade :/

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 19 Jun 2020 18:50:58 +0200

yunohost (3.8.5.2) testing; urgency=low

  - [fix] Small issue with unscd upgrade/downgrade ... new version ain't always 0.53.1, so find it using dirty scrapping

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 18 Jun 2020 16:19:35 +0200

yunohost (3.8.5.1) testing; urgency=low
    
  - [fix] Update Stretch->Buster migration disclaimer to make it clear that this is alpha-stage
 
 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 06 Jun 2020 03:30:00 +0200

yunohost (3.8.5) testing; urgency=low

  - [enh] Add migration procedure for Stretch->Buster (a2b83c0f, a26411db, 9f1211e9, e544bf3e, a0511cca)
  - [fix] Disable/skip ntp when inside a container (9d0c0924)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 06 Jun 2020 02:11:51 +0200

yunohost (3.8.4.9) stable; urgency=low

  - [fix] Force lowercase on domain names (804f4b3e)
  - [fix] Add dirmngr to Depends:, needed for apt-key / gpg (cd115ed8)
  - [fix] Improve debugging when diagnosis ain't happy when renewing certs (0f0194be)
  - [enh] Add yunohost version to logs metadata (d615546b)
  - [enh] Alway filter irrelevant log lines when sharing it (38704cba, 51d53be5)
  - [fix] Regen-conf outputing many 'forget-about-it' because of files flagged as to be removed (f4525488)
  - [fix] postfix per-domain destination concurrency (#988)
  - [fix] Call regenconf for ssh before the general regenconf during the postinstall to avoid an irrelevant warning (7805837b)
  - [i18n] Translations updated for Catalan, French, German

  Thanks to all contributors <3 ! (taziden, ljf, ppr, xaloc33, Yasss Gurl)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 18 Jun 2020 15:13:01 +0200

yunohost (3.8.4.8) stable; urgency=low

  - [fix] Don't add unprotected_urls if it's already in skipped_urls (#1005)
  - [enh] Add pre-defined DHE group and set up Nginx to use it (#1007)
  - [fix] Make sure to propagate change in slapd systemd conf during initial install (2d42480f)
  - [fix] More accurate grep to avoid mistakenly grepping commented lines... (2408a620)
  - [enh] Update n to 6.5.1 (#1012)
  - [fix] Set sury default pinning to 600 (653c5fde)
  - [enh] Clean stale file/hashes in regen-conf (#1009)
  - [fix] Weirdness in regen-conf mechanism for SSH conf (#1014)

  Thanks to all contributors <3 ! (É. Gaspar, Josué, SohKa)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 06 Jun 2020 01:59:08 +0200

yunohost (3.8.4.7) stable; urgency=low

  - [fix] Remove some remains of glances (17eec25e)
  - [fix] Force external resolution for reverse DNS dig (852cd14c)
  - [fix] Make sure mysql is an alias to mariadb (e24191ce, ca89607d)
  - [fix] Path for ynh_add_fpm_config template in restore (#1001)
  - [fix] Add -o Acquire::Retries=3 to fix some stupid network issues happening sometimes with apt (03432349)
  - [fix] ynh_setup_source: Retry wget on non-critical failures to try to avoid tmp dns issues (3d66eaec)
  - [fix] ynh_setup_source: Calling ynh_print_err in case of error didn't work, and we probably want a ynh_die here (55036fad)
  - [i18n] Translations updated for Catalan, French, Italian, Occitan

  Thanks to all contributors <3 ! (JimboJoe, Leandro N., ppr, Quentí, xaloc33, yalh76)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 04 Jun 2020 02:28:33 +0200

yunohost (3.8.4.6) stable; urgency=low

  - [fix] Bump server_names_hash_bucket_size to 128 to avoid nginx exploding for stupid reasons (b3db4d92)
  - [fix] More sensible strategy for sury pinning (#1006)
  - [fix] Stop trying to fetch log categories that are not implemented yet T.T (77bd9ae3)
  - [enh] Add logging and persistent as default config for new muc room (#1008)
  - [tests] Moar tests for app args parsing (#1004)

  Thanks to all contributors <3 ! (Gabriel, Kay0u, Bram)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 28 May 2020 00:22:10 +0200

yunohost (3.8.4.5) stable; urgency=low

  - [enh] Tell systemctl to stfu about creating symlinks when enabling/disabling services (6637c8a8)
  - [enh] Add maindomain in diagnosis email subject (e30e25fa)
  - [fix] Webpath should also be normalized for args_list, so that we can get rid of the 'malformed path' check of the CI... (58ce6e5e)
  - [fix] Increase time window for auto diagnosis cron to avoid remote diagnosis server overload (dc221495)
  - [fix] encoding bullshit (4c600125, 64596bc1)
  - [fix] Typo in diagnosis message + fix FR translation report format of bad DNS conf (#1002, b8f8ea14)
  - [fix] Flag old etckeeper.conf as 'should not exist' in regenconf (5a3b382f)
  - [enh] Detect dyndns-domains managed by yunohost and advice to use yunohost dyndns update --force (8b169f13)
  - [enh] Complain if apps savagely edit system configurations during install and upgrade (a23f02db)
  - [i18n] Translations updated for Arabic, Catalan, French, German, Italian
  - [tests] CI V2 : Rework CI workflow (#991)

  Thanks to all contributors <3 ! (ButterflyOfFire, Kay0u, L. Noferini, rynas, V. Rubiolo, xaloc33, Yasss Gurl)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 26 May 2020 03:20:39 +0200

yunohost (3.8.4.4) stable; urgency=low

  - [fix] Crash when the services file is empty (85f1802)
  - [fix] IPv6 detection when using wg-quick (#997)
  - [fix] Use a .get() to avoid crash if key doesn't exist (1f1b2338)
  - [enh] Don't display the hostname when calling journalctl, this takes horizontal space for nothing (2bcfb5a1)
  - [fix] Add --quiet, otherwise getopts is confused by "-- Logs" at the beginning (bdbf1822)
  - [mod] We don't need those color codes... and warnings are already warnings... (2a631fa2)
  - [fix] psql_setup_db: Do not create a new password if the user already exists (#998)
  - [enh] Add an exception if packaging format is not recognized (f0cc6798)

  Thanks to all contributors <3 ! (Aleks, Julien Rabier, Kayou)

 -- Kay0u <pierre@kayou.io>  Fri, 22 May 2020 19:26:05 +0000

yunohost (3.8.4.3) stable; urgency=low

  - [fix] Workaround for the sury pinning issues when installing dependencies
  - [i18n] Translations updated for Catalan, French, Occitan

  Thanks to all contributors <3 ! (Aleks, clecle226, Kay0u, ppr, Quenti)

 -- Kay0u <pierre@kayou.io>  Wed, 20 May 2020 18:41:49 +0000

yunohost (3.8.4.2) testing; urgency=low

  - [enh] During failed upgrades: Only mention packages that couldn't be upgraded (26fcfed7)
  - [enh] Also run dpkg --audit to check if dpkg is in a broken state (09d8500f, 97199d19)
  - [enh] Improve logs readability (c6f18496, 9cbd368d, 5850bf61, 413778d2, 5c8c07b8, f73c34bf, 94ea8265)
  - [enh] Crash early about apps already installed when attempting to restore (f9e4c96c)
  - [fix] Add the damn short hostname to /etc/hosts automagically (c.f. rabbitmq-server) (e67dc791)
  - [fix] Don't miserably crash if doveadm fails to run (c9b22138)
  - [fix] Diagnosis: Try to not have weird warnings if no diagnosis ran yet... (65c87d55)
  - [fix] Diagnosis: Change logic of --email to avoid sending empty mail if some issues are found but ignored (4cd4938e)
  - [enh] Diagnosis/services: Report the service status as warning/unknown if service type is oneshot and status exited (dd09758f, 1cd7ffea)
  - [fix] Rework ynh_psql_test_if_first_run (#993)
  - [tests] Tests for args parsing (#989, 108a3ca4)

  Thanks to all contributors <3 ! (Bram, Kayou)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 19 May 2020 20:08:47 +0200

yunohost (3.8.4.1) testing; urgency=low

  - [mod] Tweak diagnosis threshold for swap warning (429df8c4)
  - [fix] Make sure we have a list for log_list + make sure item is in list before using .remove()... (afbeb145, 43facfd5)
  - [fix] Sometimes tree-model has a weird \x00 which breaks yunopaste (c346f5f1)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 11 May 2020 00:50:34 +0200

yunohost (3.8.4) testing; urgency=low

  - [fix] Restoration of custom hooks / missing restore hooks (#927)
  - [enh] Real CSP headers for the webadmin (#961)
  - [enh] Simplify / optimize reading version of yunohost packages... (#968)
  - [fix] handle new auto restart of ldap in moulinette (#975)
  - [enh] service.py cleanup  + add tests for services (#979, #986)
  - [fix] Enforce permissions for stuff in /etc/yunohost/ (#963)
  - [mod] Remove security diagnosis category for now, Move meltdown check to base system (a799740a)
  - [mod] Change warning/errors about swap as info instead ... add a tip about the fact that having swap on SD or SSD is dangerous (23147161)
  - [enh] Improve auto diagnosis cron UX, add a --human-readable option to diagnosis_show() (aecbb14a)
  - [enh] Rely on new diagnosis for letsencrypt elligibility (#985)
  - [i18n] Translations updated for Catalan, Esperanto, French, Spanish

  Thanks to all contributors <3 ! (amirale qt, autra, Bram, clecle226, I. Hernández, Kay0u, xaloc33)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 09 May 2020 21:20:00 +0200

yunohost (3.8.3) testing; urgency=low

  - [fix] Remove dot in reverse DNS check
  - [fix] Upgrade of multi-instance apps was broken (#976)
  - [fix] Check was broken if an apps with no domain setting was installed (#978)
  - [enh] Add a timeout to wget (#972)
  - [fix] ynh_get_ram: Enforce choosing --free or --total (#972)
  - [fix] Simplify / improve robustness of backup list
  - [enh] Make nodejs helpers easier to use (#939)
  - [fix] Misc tweak for disk usage diagnosis, some values were inconsistent / bad UX / ...
  - [enh] Assert slapd is running to avoid miserably crashing with weird ldap errors
  - [enh] Try to show smarter / more useful logs by filtering irrelevant lines like set +x etc
  - Technical tweaks for metronome 3.14.0 support
  - Misc improvements for tests and linters

  Thanks to all contributors <3 ! (Bram, Kay0u, Maniack C., ljf, Maranda)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 07 Apr 2020 04:00:00  +0000

yunohost (3.8.2.2) testing; urgency=low

   Aleks broke everything /again/ *.*

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 30 Apr 2020 18:05:00  +0000

yunohost (3.8.2.1) testing; urgency=low

  - [fix] Make sure DNS queries are dong using absolute names to avoid stupid issues
  - [fix] More reliable way to fetch PTR record / reverse DNS
  - [fix] Propagate IPv6 default route check to ip diagnoser code as well

  Thanks to ljf for the tests and fixes !

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 30 Apr 2020 17:30:00  +0000

yunohost (3.8.2) testing; urgency=low

  ### Diagnosis

  - [fix] Some DNS queries triggered false negatives about CNAME/A record and email blacklisting (#943)
  - [enh] Add a check about domain expiration (#944)
  - [enh] Dirty hack to automatically find custom SSH port and diagnose it instead of 22 (b78d722)
  - [enh] Add a tip / explanation when IPv6 ain't working / available (426d938)
  - [fix] Small false-negative about not having IPv6 when it's actually working (822c731)

  ### Helpers

  - [fix] When setting up a new db, corresponding user should be declared as owner (#813)
  - [enh] Add dynamic variables to systemd helper (#937)
  - [enh] Clean helpers (#947)
  - [fix] getopts behaved in weird way when fed empty parameters (#948)
  - [fix] Use ynh_port_available in ynh_find_port (#957)

  ### Others

  - [enh] Setup all XMPP components for each "parent" domains (#916)
  - [fix] Previous change in Postfix ciphers broke TLS (#949)
  - [fix] Update ACME snippet detection following previous change (#950)
  - [fix] Trying to install apps with unpatchable legacy helpers was breaking stuff (#954)
  - [fix] Patch usage of old 'yunohost tools diagnosis' (#954)
  - [enh] Misc optimizations to speed up regen-conf and other things (#958)
  - [enh] When sharing logs, also anonymize folder name containing %2e instead of dot (b392efd)
  - [enh] Keep track of yunohost version a backup was made from (54cc684)
  - [fix] Re-add 'app fetchlist', 'app list -i', 'app list' filter for backward compatibility... (69938c3)
  - [i18n] Improve translations for Catalan, German, French, Esperanto, Spanish, Greek, Nepali, Occitan

  Thanks to all contributors <3 ! (Bram, C. Wehrli, Kay0u, Maniack C., Quentí, Zeik0s, amirale qt, ljf, pitchum, tituspijean, xaloc33, Éric G.)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 29 Apr 2020 23:15:00  +0000

yunohost (3.8.1.1) testing; urgency=low

  - [fix] Stupid issue about path in debian/install ...

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 19 Apr 2020 07:04:00  +0000

yunohost (3.8.1) testing; urgency=low

  ## Helpers (PHP, apt)

  - New helpers for extra apt repo, PHP version install, and PHP fpm (#881, #928, #929)
  - Pave the way to migration to php7.3 and future ones (#880, #926)
  - Option in PHP helper to use a dedicated php service (#915)

  ## Diagnosis

  - Many improvements in diagnosis mechanism (#923, #921, #940)

  ## Misc fixes, improvements
  - custom_portal and custom_overlay redirect (#925)
  - Improve systemd settings for slapd (#933)
  - Spelling and typo corrections (#931)
  - Improve translations for French, German, Catalan

  Thanks to all contributors <3 ! (Kay0u, Maniack Crudelis, ljf, E.Gaspar,
  xaloc33)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 19 Apr 2020 06:20:00  +0000

yunohost (3.8.0) testing; urgency=low

  # Major stuff

  - [enh] New diagnosis system (#534, #872, #919, a416044, a354425, 4ab3653, decb372, e686dc6, b5d18d6, 69bc124, 937d339, cc2288c, aaa9805, 526a3a2)
  - [enh] App categories (#778, #853)
  - [enh] Support XMPP http upload (#831)
  - [enh] Many small improvements in the way we manage services (#838, fa5c0e9, dd92a34, c97a839)
  - [enh] Add subcategories management in bash completion (#839)
  - [mod] Add conflict with apache2 and bind9, other minor changes in Depends (#909, 3bd6a7a, 0a482fd)
  - [enh] Setting to enable POP3 in email stack (#791)
  - [enh] Better UX for CLI/API to change maindomain (#796)

  # Misc technical

  - Update ciphers for nginx, postfix and dovecot according to new Mozilla recommendation (#913, #914)
  - Get rid of domain-specific acme-challenge snippet, use a single snippet included in every conf (#917)
  - [enh] Persist cookies between multiple ynh_local_curl calls for the same app (#884, #903)
  - [fix] ynh_find_port didn't detect port already used on UDP (#827, #907)
  - [fix] prevent firefox to mix CA and server certificate (#857)
  - [enh] add operation logger for config panel (#869)
  - [fix] psql helpers: Revoke sessions before dropping tables (#895)
  - [fix] moulinette logs were never displayed #lol (#758)

  # Tests, cleaning, refactoring

  - Add core CI, improve/fix tests (#856, #863, 6eb8efb, c4590ab, 711cc35, 6c24755)
  - Refactoring (#805, 101d3be, #784)
  - Drop some very-old deprecated app helpers (though still somewhat supporting them through hacky patching) (#780)
  - Drop glances and the old monitoring system (#821)
  - Drop app_debug (#824)
  - Drop app's status.json (#834)
  - Drop ynh_add_skipped/(un)protected_uris helpers (#910)
  - Use a common security.conf.inc instead of having cipher setting in each nginx's domain file (1285776, 4d99cbe, be8427d, 22b9565)
  - Don't add weird tmp redirected_urls after postinstall (#902)
  - Don't do weird stuff with yunohost-firewall during debian's postinst (978d9d5)

  # i18n, messaging

  - Unit tests / lint / cleaning for translation files (#901)
  - Improve message wording, spelling (8b0c9e5, 9fe43b1, f69ab4c, 0decb64, 986f38f, 8d40c73, 8fe343a, 1d84f17)
  - Improve translations for French, Catalan, Bengali (Bangladesh), Italian, Dutch, Norwegian Bokmål, Chinese, Occitan, Spanish, Esperanto, German, Nepali, Portuguese, Arabic, Russian, Hungarian, Hindi, Polish, Greek

  Thanks to all contributors <3 ! (Aeris One, Aleks, Allan N., Alvaro, Armando F., Arthur L., Augustin T., Bram, ButterflyOfFire, Damien P., Gustavo M., Jeroen F., Jimmy M., Josué, Kay0u, Maniack Crudelis, Mario, Matthew D., Mélanie C., Patrick B., Quentí, Yasss Gurl, amirale qt, Elie G., ljf, pitchum, Romain R., tituspijean, xaloc33, yalh76)

 -- Kay0u <pierre@kayou.io>  Thu, 09 Apr 2020 19:59:18 +0000

yunohost (3.7.1.3) stable; urgency=low

   - [fix] Fix the hotfix about trailing slash, it was breaking access to app installed on domain root..

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 28 Apr 2020 19:00:00  +0000

yunohost (3.7.1.2) stable; urgency=low

   - [fix] Be more robust against some situation where some archives are corrupted 
   - [fix] Make nginx regen-conf more robust against broken config or service failing to start, show info to help debugging 
   - [fix] Force-flush the regen-conf for nginx domain conf when adding/removing a domain... 
   - [fix] app_map : Make sure to return / and not empty string for stuff on domain root 
   - [fix] Improve ynh_systemd_action to wait for fail2ban to reload 
   - [fix] Improper use of logger.exception in app.py leading to infamous weird "KeyError: label"
 
 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 27 Apr 2020 23:50:00  +0000

yunohost (3.7.1.1) stable; urgency=low

   - [fix] lxc uid number is limited to 65536 by default (0c9a4509)
   - [fix] also invalidate group cache when creating users (aaabf8c7)
   - [fix] Make sure to have a path that include sbin for stupid cron jobs (f03bb82a)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 12 Apr 2020 23:15:00  +0000

yunohost (3.7.1) stable; urgency=low

   - [enh] Add ynh_permission_has_user helper (#905)
   - [mod] Change behavior of ynh_setting_delete to try to make migrating away from legacy permissions easier (#906)
   - [fix] app_config_apply should also return 'app' info (#918)
   - [fix] uid/gid conflicts in user_create because of inconsistent comparison (#924)
   - [fix] Ensure metronome owns its directories (1f623830, 031f8a6e)
   - [mod] Remove useless sudos in helpers (be88a283)
   - [enh] Improve message wording for services (3c844292)
   - [enh] Attempt to anonymize data pasted to paste.yunohost.org (f56f4724)
   - [enh] Lazy load yunohost.certificate to possibly improve perfs (af8981e4)
   - [fix] Improve logging / debugging (1eef9b67, 7d323814, d17fcaf9, 210d5f3f)

  Thanks to all contributors <3 ! (Bram, Kay0u, Maniack, Matthew D.)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 9 Apr 2020 14:52:00  +0000

yunohost (3.7.0.12) stable; urgency=low

   - Fix previous buggy hotfix about deleting existing primary groups ...

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 28 Mar 2020 14:52:00  +0000

yunohost (3.7.0.11) stable; urgency=low

  - [fix] Mess due to automatic translation tools ~_~

 -- Kay0u <pierre@kayou.io>  Fri, 27 Mar 2020 23:49:45 +0000

yunohost (3.7.0.10) stable; urgency=low

  - [fix] On some weird setup, this folder and content ain't readable by group ... gotta make sure to make rx for group other slapd will explode

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 27 Mar 2020 21:45:00  +0000

yunohost (3.7.0.9) stable; urgency=low

  - [fix] Automatically remove existing system group if it exists when creating primary groups
  - [fix] Require moulinette and ssowat to be at least 3.7 to avoid funky situations where regen-conf fails because moulinette ain't upgraded yet
  - [i18n] Improve translations for Arabic, Bengali, Catalan, Chinese, Dutch, Esperanto, French, German, Greek, Hindi, Hungarian, Italian, Norwegian Bokmål, Occitan, Polish, Portuguese, Russian, Spanish

  Thanks to all contributors <3 ! (Aeris One, Allan N., Alvaro, amirale qt, Armando F., ButterflyOfFire, Elie G., Gustavo M., Jeroen F., Kayou, Mario, Mélanie C., Patrick B., Quentí, tituspijean, xaloc33, yalh76, Yasss Gurl)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 27 Mar 2020 21:00:00  +0000

yunohost (3.7.0.8) stable; urgency=low

  - [fix] App_setting delete add if the key doesn't exist

 -- Kay0u <pierre@kayou.io>  Fri, 27 Mar 2020 00:36:46 +0000

yunohost (3.7.0.7) stable; urgency=low

  - [fix] Allow public apps with no sso tile (#894)
  - [fix] Slapd now index permission to avoid log error

  Thanks to all contributors <3 ! (Aleks, Kay0u)

 -- Kay0u <pierre@kayou.io>  Thu, 26 Mar 2020 21:53:22 +0000

yunohost (3.7.0.6) testing; urgency=low

  - [fix] Make sure the group permission update contains unique elements

  Thanks to all contributors <3 ! (Aleks)

 -- Kay0u <pierre@kayou.io>  Sun, 15 Mar 2020 22:34:27 +0000

yunohost (3.7.0.5) testing; urgency=low

  - [fix] Permission url (#871)
  - [fix] DNS resolver (#859)
  - [fix] Legacy permission management (#868, #855)
  - [enh] More informations in hooks permission (#877)

  Thanks to all contributors <3 ! (Bram, ljf, Aleks, Josué, Maniack, Kay0u)

 -- Kay0u <pierre@kayou.io>  Sun, 15 Mar 2020 15:07:24 +0000

yunohost (3.7.0.4) testing; urgency=low

   - [fix] Also add all_users when allowing visitors (#855)
   - [fix] Fix handling of skipped_uris (c.f. also SSOwat#149)
   - [i18n] Improve translations for Catalan

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 2 Dec 2019 20:44:00  +0000

yunohost (3.7.0.3) testing; urgency=low

  - [mod] Some refactoring for permissions create/update/reset (#837)
  - [fix] Fix some edge cases for ynh_secure_remove and ynh_clean_check_starting
  - [i18n] Improve translations for French, Catalan

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 23 Nov 2019 19:30:00  +0000

yunohost (3.7.0.2) testing; urgency=low

  - [fix] Make sure the users actually exists when migrating legacy custom permissions
  - [mod] Move debug log dump from ynh_exit_properly to the core after failed app operation (#833)
  - [enh] Improve app_upgrade error management (#832)
  - [mod] Refactor group permission (#837)
  - [enh] Add permission name in permission callback when adding/removing allowed users (#836)
  - [enh] Improve permission helpers (#840)
  - [i18n] Improve translations for German, Catalan, Swedish, Spanish, Turkish, Basque, French, Esperanto, Occitan

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 15 Nov 2019 16:45:00  +0000

yunohost (3.7.0.1) testing; urgency=low

  - Hotfix to avoid having a shitload of warnings displayed during the permission migration

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 31 Oct 2019 20:35:00  +0000

yunohost (3.7.0) testing; urgency=low

  # ~ Major stuff

  - [enh] Add group and permission mechanism (YunoHost#585, YunoHost#763, YunoHost#789, YunoHost#790, YunoHost#795, YunoHost#797, SSOwat#147, Moulinette#189, YunoHost-admin#257)
  - [mod] Rework migration system to have independent migrations (YunoHost#768, YunoHost#774, YunoHost-admin#258)
  - [enh] Many improvements in the way app action failures are handled (YunoHost#769, YunoHost#811)
  - [enh] Improve checks for system anomalies after app operations (YunoHost#785)
  - [mod] Spookier warnings for dangerous app installs (YunoHost#814, Moulinette/808f620)
  - [enh] Support app manifests in toml (YunoHost#748, Moulinette#204, Moulinette/55515cb)
  - [mod] Get rid of etckeeper (YunoHost#803)
  - [enh] Quite a lot of messages improvements, string cleaning, language rework... (YunoHost#793, YunoHost#799, YunoHost#823, SSOwat#143, YunoHost#766, YunoHost#767, YunoHost/fd99ef0, YunoHost/92a6315, YunoHost-admin/10ea04a, Moulinette/599bec3, Moulinette#208, Moulinette#213, Moulinette/b7d415d, Moulinette/a8966b8, Moulinette/fdf9a71, Moulinette/d895ae3, Moulinette/bdf0a1c, YunoHost#817, YunoHost#823, YunoHost/79627d7, YunoHost/9ee3d23, YunoHost-admin#265)
  - [i18n] Improved translations for Catalan, Occitan, French, Esperanto, Arabic, German, Spanish, Norwegian Bokmål, Portuguese

  # Smaller or pretty technical fix/enh

  - [enh] Add unit/functional tests for apps + improve other tests (YunoHost#779, YunoHost#808)
  - [enh] Preparations for moulinette Python3 migration (Tox, Pytest and unit tests) (Moulinette#203, Moulinette#206, Moulinette#207, Moulinette#210, Moulinette#211 Moulinette#212, Moulinette/2403ee1,  Moulinette/69b0d49, Moulinette/49c749c, Moulinette/2c84ee1, Moulinette/cef72f7, YunoHost/6365a26)
  - [enh] Support python hooks (YunoHost#747)
  - [enh] Upgrade n version + compatibility with arm64 (YunoHost#753)
  - [enh] Add OpenLDAP TLS support (YunoHost#755, YunoHost/0a2d1c7, YunoHost/2dc8095)
  - [enh] Improve PostgreSQL password security (YunoHost#762)
  - [enh] Integrate actions/config-panel into operation logs (YunoHost#764)
  - [mod] Assume that apps without any 'path' setting defined aren't webapps (YunoHost#765)
  - [fix] Set dpkg vendor to YunoHost (YunoHost#749, YunoHost#772)
  - [enh] Adding variable 'token' to data to redact from logs (YunoHost#783)
  - [enh] Add --force and --dry-run options to 'yunohost dyndns update' (YunoHost#786)
  - [fix] Don't throw a fatal error if we can't change the hostname (YunoHost/fe3ecd7)
  - [enh] Dynamically evaluate proper mariadb-server-<version> (YunoHost/f0440fb)
  - [fix] Bad format for backup info.json ... (YunoHost/7d0119a)
  - [fix] Inline buttons responsiveness on migration screen (YunoHost-admin#259)
  - [enh] Add debug logs to SSOwat (SSOwat#145)
  - [enh] Add a write_to_yaml utility similar to write_to_json (Moulinette/2e2e627)
  - [enh] Warn the user about long locks (Moulinette#205)
  - [mod] Tweak stuff about setuptools and moulinette deps? (Moulinette/b739f27, Moulinette/da00fc9, Moulinette/d8cbbb0)
  - [fix] Misc micro bugfixes or improvements (YunoHost#743, YunoHost#792, YunoHost/6f48d1d, YunoHost/d516cf8, YunoHost#819, Moulinette/83d9e77, YunoHost/63d364e, YunoHost/68e9724, YunoHost/0849adb, YunoHost/19dbe87, YunoHost/61931f2, YunoHost/6dc720f, YunoHost/4def4df, SSOwat#140, SSOwat#141, YunoHost#829)
  - [doc] Fix doc building + add doc build tests with Tox (Moulinette/f1ac5b8, Moulinette/df7d478, Moulinette/74c8f79, Moulinette/bcf92c7, Moulinette/af2c80c, Moulinette/d52a574, Moulinette/307f660, Moulinette/dced104, Moulinette/ed3823b)
  - [enh] READMEs improvements (YunoHost/b3398e7, SSOwat/ee67b6f, Moulinette/1541b74, Moulinette/ad1eeef, YunoHost/25afdd4, YunoHost/73741f6)

  Thanks to all contributors <3 ! (accross all repo: Yunohost, Moulinette, SSOwat, Yunohost-admin) : advocatux, Aksel K., Aleks, Allan N., amirale qt, Armin P., Bram, ButterflyOfFire, Carles S. A., chema o. r., decentral1se, Emmanuel V., Etienne M., Filip B., Geoff M., htsr, Jibec, Josué, Julien J., Kayou, liberodark, ljf, lucaskev, Lukas D., madtibo, Martin D., Mélanie C., nr 458 h, pitfd, ppr, Quentí, sidddy, troll, tufek yamero, xaloc33, yalh76

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 31 Oct 2019 18:00:00  +0000

yunohost (3.6.5.3) stable; urgency=low

  - [fix] More general grep for the php/sury dependency nightmare fix (followup of #809)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 29 Oct 2019 03:48:00  +0000

yunohost (3.6.5.2) stable; urgency=low

  - [fix] Alex was drunk and released an epic stupid bug in stable (2623d385)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 10 Oct 2019 01:00:00  +0000

yunohost (3.6.5.1) stable; urgency=low

  - [mod] Change maxretry of fail2ban from 6 to 10 (fe8fd1b)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 08 Oct 2019 20:00:00  +0000

yunohost (3.6.5) stable; urgency=low

  - [enh] Detect and warn early about unavailable full domains... (#798)
  - [mod] Change maxretry of fail2ban from 6 to 10 (#802)
  - [fix] Epicly ugly workaround for the goddamn dependency nighmare about sury fucking up php7.0 dependencies (#809)
  - [fix] Support logfiles not ending with .log in logrotate ... (#810)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 08 Oct 2019 19:00:00  +0000

yunohost (3.6.4.6) stable; urgency=low

  - [fix] Hopefully fix the issue about corrupted logs metadata files (d507d447, 1cec9d78)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 05 Aug 2019 18:37:00  +0000

yunohost (3.6.4.5) stable; urgency=low

  - [fix] Typo in hotfix...

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 04 Aug 2019 18:45:00  +0000

yunohost (3.6.4.4) stable; urgency=low

  - [fix] Small typo breaking experimental config panel for apps (1224380)
  - [mod] Remove the old ugly trick to change the admin password, not needed anymore (1cb0a26)
  - [fix] Legit variable getting caught as an info to be redacted by the core (8212010)
  - [fix] Exception handling for corrupted metadata about operation logs (#754)

  Contributors: Aleks, Bram, ljf

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 04 Aug 2019 18:20:00  +0000

yunohost (3.6.4.3) stable; urgency=low

  - [hotfix] Fix some password-redacting cases that weren't caught up

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 06 Jul 2019 19:35:00  +0000

yunohost (3.6.4.2) stable; urgency=low

  - [hotfix] Use the acme-v02 API to fix the newAccount keyError in acme_tiny

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 06 Jul 2019 18:40:00  +0000

yunohost (3.6.4.1) stable; urgency=low

  - [hotfix] Slapd not being able to start on ipv4-only instances

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 05 Jul 2019 20:50:00  +0000

yunohost (3.6.4) stable; urgency=low

  Minor fixes + bumping version for stable release

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 04 Jul 2019 23:30:00  +0000

yunohost (3.6.3) testing; urgency=low

  - [fix] Less logging madness due ynh_script_progression building progress bar (#741)
  - [fix] Update acme-tiny to 4.0.4 (#740)
  - [fix] Missing old internet cube list in migration to unified apps.json (#745)
  - [enh] Add manpage for Yunohost ! (#682)
  - [enh] Config panel : use manifest.json/actions.json args format for config_panel.toml (#734)
  - [enh] Allow to describe actions through toml file instead of json (#744)
  - [mod] Proper return interface for app config panel (#739)
  - [fix] Add mechanism to automatically detect and redact passwords from operation logs (#742)

  Thanks to all contributors <3 ! (Aleks, Bram, ljf, toitoinebzh)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 02 Jul 2019 11:10:00  +0000

yunohost (3.6.2) testing; urgency=low

  - [fix] Use systemd-run for more robust self-upgrade mechanism (158aa08)
  - [enh] Add a do_not_backup_data app setting to avoid backing up data (#731)
  - [enh] support config_panel in TOML format (#732)
  - [fix] ynh_print_OFF when set -x is used in other helpers (#733)
  - [enh] Add current and new version for apps in tools_update output (#735)
  - [fix] Backup delete should delete symlink target (#738)
  - [i18n] Improve translation for Occitan, French

  Thanks to all contributors <3 ! (Aleks, Bram, kay0u, locness3, Maniack, Quentí)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 24 Jun 2019 18:00:00  +0000

yunohost (3.6.1.3) testing; urgency=low

  - [fix] Missing quotes led to an issue during when upgrading postsrsd
  - [fix] Running slapindex seems to fix the previous issues about LDAP indexing stuff

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 07 Jun 2019 06:38:00  +0000

yunohost (3.6.1.2) testing; urgency=low

  - [fix] More weird issues with slapd indexation ...
  - [fix] Small issue with operation logging during failed upgrade (success status set to true)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 05 Jun 2019 16:25:00  +0000

yunohost (3.6.1.1) testing; urgency=low

  - [fix] Weird issue in slapd triggered by indexing uidNumber / gidNumber

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 04 Jun 2019 15:10:00  +0000

yunohost (3.6.1) testing; urgency=low

  - [fix] current version in app_info (#730)
  - [fix] Add indexes for fields listed by slapd in the logs (#729)
  - [fix] Allow to display logs when postinstall fails (#728)
  - [fix] Stupid issue with files inside tar : foo is not the same as ./foo (#726)
  - [enh] Remove unecessary log messages (#724)
  - [enh] Check for obvious conflict with already running apt/dpkg commands when running yunohost upgrade (d0c982a)

  Thanks to all contributors <3 ! (Aleks, Kay0u, Bram, L. Murphy, MCMic)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 04 Jun 2019 13:20:00  +0000

yunohost (3.6.0) testing; urgency=low

  ## Major changes

  - [enh] Simplify the whole LDAP interface thing (#721)
  - [enh] Rework how system upgrade is handled (#692)
  - [enh] Properly reimplement bash completion for yunohost cli (#678)
  - [enh] Migrate to apps.json / use it as default list (#666, #665)
  - [enh] Decouple the regen-conf mechanism from services (#653)
  - [i18n] Update translations for Catalan, Occitan, French, Italian, Spanish, Arabic

  ## App helpers

  - [mod] Set min version to 3.5.0 for helpers (#725)
  - [enh] Add helpers for sso config (#720)
  - [enh] Reorganize helpers (#717)
  - [enh] Add the ongoing part to the progression bar when using ynh_script_progression (#715)
  - [fix] postgresql helpers : force disconnection of all clients connected to the database (#713)
  - [enh] Use printers in helpers (#712)
  - [enh] Use ynh_systemd_action in helpers (#711)
  - [fix] Fix extraction of weight value for ynh_script_progression (#710)
  - [enh] Add support for ynh_setup_source in restore script (#703)

  # Other changes

  - [fix] Update censurfridns ipv6 (#727)
  - [enh] Optimize ynh_script_progression (#723)
  - [enh] Disable VRFY command in Postfix command (#722)
  - [enh] Add a --with-details option for log list (#716)
  - [enh] Specify -a parameter on dovecot lda for Sieve (#709)
  - [fix] Fix an issue with config panels following changes in hook_exec (#707)
  - [enh] Don't expose LDAP server to the outside world (#706)
  - [fix] Remove backup hook warning about cron file (#704)
  - [enh] Update nginx conf to handle WebSocket proxying (#701)
  - [enh] Add size of apps in backup_info result (#699)
  - [enh] Add a setting to remove support for TLSv1 and TLSv1.1 in Postfix (#696)
  - [enh] Mark YunoHost as essential to avoid removing it inadvertenly (#694)
  - [enh] Avoid to send simultaneously too many emails (#691)
  - [enh] Dump log when an app script fails in CLI to help with debugging (#687)
  - [fix] Many small technical fixes (ec48edf,251a338,d11d31d,3668bf7,c7eb5bb,9b08afc,cecaee4,95fdfb3,2bc0deb)

  Thanks to all contributors : Aleks, Benoît, Bram, ButterflyOfFire, C. Vuillot, Josue, J. Maulny, Kayou, L. Noferini, Maniack, M. Thiel, Quentí, R. du Song, Sylkevicious, ljf, xaloc33, yalh76 ! <3

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 22 May 2019 19:10:00  +0000

yunohost (3.5.2.2) stable; urgency=low

  - Hotfix for ynh_psql_remove_db (from ljf)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 18 Apr 2019 17:32:00  +0000

yunohost (3.5.2.1) stable; urgency=low

  - [fix] Fresh install was broken because of yunohost_admin.conf initialization

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 11 Apr 2019 14:38:00  +0000

yunohost (3.5.2) stable; urgency=low

  - Release as stable !
  - [doc] Update script to automatically generate helper doc
  - [i18n] Update translations for Catalan, Arabic, Italian

  Thanks to all contributors: Aleks, xaloc, BoF, silkevicious ! <3

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 10 Apr 2019 01:53:00  +0000

yunohost (3.5.1.1) testing; urgency=low

  - [fix] enabled/disabled status for sysv services
  - [fix] Nodejs helpers : use YNH_APP_INSTANCE_NAME instead of YNH_APP_ID (#700)
  - [fix] nginx diagnosis when there's an error throwing a huge useless traceback. Use Popen instead to display the real error
  - [fix] service_status returns different type of data if you ask for one or multiple services

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 03 Apr 2019 17:28:00  +0000

yunohost (3.5.1) testing; urgency=low

  - [fix] Fix the dbus interface to get info for services (#698)
  - [mod] Use ask key for display_text instead and support i18n (#697)
  - [fix] Rework tools update (#695)
  - [enh] Nginx conf tweaks for theme (#689)
  - [fix] Fix argument escaping in getopts (#685, #683)
  - [enh] Support php versions in ynh_add_fpm_config (#674)
  - [enh] Check that required services are up before running app install and upgrade (#670)
  - [doc] Add min version for all helpers (#664)
  - [enh] Add a setting to control compatibility/security tradeoff for nginx and ssh configurations (#640)
  - [enh] Hooks to allow apps to extend the recommended DNS configuration (#517)
  - Misc technical fixes / improvements (0bd781b, fad3edf, 1268872, 847ceca, 26e77b7, b6cff68)
  - [i18n] Update translation for French, Catalan, Esperanto, Occitan

  Thanks to all contributors: Aleks, Bram, Gabriel Corona, Jibec, Josue, Maniack C, Mélanie C., Quentí, Romuald du Song, ljf, ppr, Xaloc ! <3

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 03 Apr 2019 02:13:00  +0000

yunohost (3.5.0.2) testing; urgency=low

  - [fix] Make sure that `ynh_system_user_delete` also deletes the group (#680)
  - [enh] `ynh_systemd_action` : reload-or-restart instead of just reload (#681)

  Last minute fixes by Maniack ;)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 14 Mar 2019 03:45:00  +0000

yunohost (3.5.0.1) testing; urgency=low

  - [fix] #675 introduced a bug in nginx conf ...

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 13 Mar 2019 19:23:00  +0000

yunohost (3.5.0) testing; urgency=low

  Core
  ----

  - [fix] Disable gzip entirely to avoid BREACH attacks (#675)
  - [fix] Backup tests were broken (#673)
  - [fix] Backup fails because output directory not empty (#672)
  - [fix] Reject app password if they contains { or } (#671)
  - [enh] Allow `display_text` 'fake' argument in manifest.json (#669)
  - [fix] Optimize dyndns requests (#662)
  - [enh] Don't add Strict-Transport-Security header in nginx conf if using a selfsigned cert (#661)
  - [enh] Add apt-transport-https to dependencies (#658)
  - [enh] Cache results from meltdown vulnerability checker (#656)
  - [enh] Ensure the tar file is closed during the backup (#655)
  - [enh] Be able to define hook to trigger when changing a setting (#654)
  - [enh] Assert dpkg is not broken before app install (#652)
  - [fix] Loading only one helper file leads to errors because missing getopts (#651)
  - [enh] Improve / add some messages to improve UX (#650)
  - [enh] Reload fail2ban instead of restart (#649)
  - [enh] Add IPv6 resolvers from diyisp.org to resolv.dnsmasq.conf (#639)
  - [fix] Remove old SMTP port (465) from fail2ban jail.conf (#637)
  - [enh] Improve protection against indexation from the robots. (#622)
  - [enh] Allow hooks to return data (#526)
  - [fix] Do not make version number available from web API to unauthenticated users (#291)
  - [i18n] Improve Russian and Chinese (Mandarin) translations

  App helpers
  -----------

  - [enh] Optimize app setting helpers (#663, #676)
  - [enh] Handle `ynh_install_nodejs` for arm64 / aarch64 (#660)
  - [enh] Update postgresql helpers (#657)
  - [enh] Print diff of files when backup by `ynh_backup_if_checksum_is_different` (#648)
  - [enh] Add app debugger helper (#647)
  - [fix] Escape double quote before eval in getopts (#646)
  - [fix] `ynh_local_curl` not using the right url in some cases (#644)
  - [fix] Get rid of annoying 'unable to initialize frontend' messages (#643)
  - [enh] Check if dpkg is not broken when calling `ynh_wait_dpkg_free` (#638)
  - [enh] Warn the packager that `ynh_secure_remove` should be used with only one arg… (#635, #642)
  - [enh] Add `ynh_script_progression` helper (#634)
  - [enh] Add `ynh_systemd_action` helper (#633)
  - [enh] Allow to dig deeper into an archive with `ynh_setup_source` (#630)
  - [enh] Use getops (#561)
  - [enh] Add `ynh_check_app_version_changed` helper (#521)
  - [enh] Add fail2ban helpers (#364)

  Contributors: Alexandre Aubin, Jimmy Monin, Josué Tille, Kayou, Laurent Peuch, Lukas Fülling, Maniack Crudelis, Taekiro, frju365, ljf, opi, yalh76, Алексей

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 13 Mar 2019 16:10:00  +0000

yunohost (3.4.2.4) stable; urgency=low

  - [fix] Meltdown vulnerability checker something outputing trash instead of pure json

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 19 Feb 2019 19:11:38  +0000

yunohost (3.4.2.3) stable; urgency=low

  - [fix] Admin password appearing in logs after logging in on webadmin
  - [fix] Update friendly DNS resolver list

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 07 Feb 2019 03:20:10 +0000

yunohost (3.4.2.2) stable; urgency=low

  - Silly bug in migraton 8 :|

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 30 Jan 2019 21:17:00 +0000

yunohost (3.4.2.1) stable; urgency=low

  Small issues
  - Fix parsing of the Meltdown vulnerability checker (ignore stderr :/)
  - Mail autoconfig was broken, follow-up of #564
  - Handle the fact that the archive folder might not exist, in migration 0008

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 30 Jan 2019 16:37:00 +0000

yunohost (3.4.2) stable; urgency=low

  - [fix] Do not log stretch migration in /tmp/ (#632)
  - [fix] Some issues with ynh_handle_getopts_args (#628)
  - [fix] Revert some stuff about separates php-ini file (c.f. #548) (#627)
  - [fix] App conflicted with itself during change_url (#626)
  - [fix] Improve `ynh_package_install_from_equivs` debuggability (#625)
  - [enh] Add systemd log handling (#624)
  - [enh] Update spectre meltdown checker (#620)
  - [fix] Propagate HTTP2, more_set_headers and ecdh_curve changes to webadmin (#618)
  - [enh] Control the login shell when creating users in ynh_system_user_create (#455, #629)
  - [fix] Postgresql-9.4 was being detected as installed whereas it was in fact not (969577b)
  - [fix] Restoring system failed because of temporary dumb password being refused (51712f9)

 Thanks to all contributors (Aleks, frju365, JimboJoe, kay0u, Maniack, opi) ! <3

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 29 Jan 2019 16:42:00 +0000

yunohost (3.4.1) testing; urgency=low

  * [fix] `_run_service_command` not properly returning False if command fails (#616)
  * [enh] Change git clone for gitlab working with branch (#615)
  * [fix] Set owner of archives folder to 'admin' (#613)
  * [enh] Add reload and restart actions to 'yunohost service' (#611)
  * [fix] propagate --no-checks cert-install option to renew crontab (#610)
  * [fix] Several issues with bootprompt (#609)
  * [fix] Fix the way change_url updates the domain/path (#608)
  * [fix] Repair tests (#607)
  * [fix] Explicit dependance to iptables (1667ba1)
  * [i18n] Tiny typographic changes (#612)
  * [i18n] Improve translations for Hungarian, Esperanto, German
  * Misc minor fixes and improvements.

 Thanks to all contributors (Aleks, Bram, J. Meggyeshazi, Jibec, Josué, M. Martin, P. Bourré, anubis) ! <3

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 17 Jan 2019 22:16:00 +0000

yunohost (3.4.0) testing; urgency=low

  * Misc fixes (#601, #600, #593)
  * [fix] DEBUG-level messages not appearing in actions performed via the API (#603)
  * [enh] Also remove /var/mail/<username> directory on user delete (with --purge option) (#602)
  * [enh] Ask confirmation before installing low-quality, experimental or third party apps (#598)
  * [fix] Repair tests (#595)
  * [enh] Clean + harden sshd config using Mozilla recommendation (#590
  * [fix] Add libpam-ldapd as dependency to be able to login through SSH with LDAP? (#587)
  * [enh] Add post_cert_update hook each time certificate is updated (#586)
  * [enh] Enable HTTP2 (#580)
  * [enh] Update ECDH curves recommended by Mozilla, now that we are on stretch (#579)
  * [enh] Allow to not fail on backup and restore for non-mandatory files (#576)
  * [enh] Simplify error management (#574)
  * [enh] Use more_set_headers in nginx config + fixes for path traversal issues (#564)
  * [enh] Display human readable date and clarify timezone handling (#552)
  * [fix] Do not use separate ini file for php pools anymore (#548)
  * [enh] Improve UPnP support (#542)
  * [fix] Standardize sshd configuration (#518)
  * [fix] DKIM keys for new domains werent generated (0445aed)
  * [i18n] Improve translations for Arabic, Italian and Spanish

 Thanks to all contributors (Aleks, A. Pierré, ButterflyOfFire, Bram, irina11y, Josué, Maniack Crudelis, Sylkevicious, T. Hill, chateau, frju365, gdayon, liberodark, ljf, nqb, wilPoly) ! <3

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 20 Dec 2018 22:13:00 +0000

yunohost (3.3.4) stable; urgency=low

  * [fix] Use --force-confold and noninteractive debian frontend during core upgrade (#614)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 17 Jan 2019 02:00:00 +0000

yunohost (3.3.3) stable; urgency=low

  * [fix] ynh_wait_dpkg_free displaying a warning despite everything being okay (#593)
  * [fix] Quotes for recommended CAA DNS record (#596)
  * [fix] Manual migration and disclaimer behaviors (#594)
  * [fix] Explicit root password change each time admin password is changed

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 09 Dec 2018 20:58:00 +0000

yunohost (3.3.2) stable; urgency=low

  * [fix] Regen nginx conf to be sure it integrates OCSP Stapling (#588)
  * [fix] Broken new settings and options to control passwords checks / constrains (#589)
  * [fix] Log dyndns update only if we really update something (#591)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 02 Dec 2018 17:23:00 +0000

yunohost (3.3.1) stable; urgency=low

  * [fix] Wait for dpkg lock to be free in apt helpers (#571)
  * [fix] app_removeaccess call set.add (#573)
  * [fix] Fix app_addaccess behaviour when 'allowed_users' is initially empty (#575)
  * [fix] Typo in user_update when update password (#577)
  * [fix] Do not fail on missing fail2ban config during the backup (#558)
  * [fix] Generate a random serial for local certification auth (followup of #557)
  * [i18n] Update Italian, Occitan, French translations

 Thanks to all contributors (Maniack, airwoodix, Aleks, ljf, silkevicious, Quent-in, Jibec) <3 !

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 23 Nov 2018 15:58:00 +0000

yunohost (3.3.0) testing; urgency=low

  Highlights
  ==========

  * [enh] Synchronize root password with admin password (#527)
  * [enh] Check for weak passwords whenever a password is defined (#196)
  * [fix] 'dyndns update' now checks the upstream DNS record (#519)
  * [fix] Update Metronome configuration file to v3.11 standard (#559)
  * [fix] Some php conf files wre not properly removed when an app was uninstalled (#566)
  * [i18n] Improve Catalan, French, Occitan, Portuguese, Arabic, Italian translations

  Misc
  ====

  * [enh] Add OCSP Stapling to nginx configuration if using Lets Encrypt (#533)
  * [enh] Add CAA record in recommended DNS conf (#528)
  * [helpers] Add `ynh_delete_file_checksum` (#524)
  * [helpers] When using `ynh_setup_source`, silent unecessary messages (#545)
  * [helpers] Use more blocks for dd in `ynh_string_random` (#569)
  * [fix] Potential key error when retrieving install_time (#551)
  * [fix] Allow `-` in user last names (#565)
  * [fix] Fix possible HTTP2 issue with curl (#547)
  * [fix] Fix BASE/URI in ldap conf (#554)
  * [fix] Use random serial number for CA (prevent browser from complaining about some selfsigned certs) (#557)
  * [enh] Pass Host header to YunoHost API (#560)
  * [enh] Sort backup list according to their date (#562)
  * [fix] Improve UX when admin tries to allocate reserved email alias (#553)

 Thanks to all contributors (ljf, irinia11y, Maniack, xaloc33, Bram, flashemade, Maranda, Josue, frju365, Aleks, randomstuff, jershon, Genma, Quent-in, MyNameIsTroll, ButterflyOfFire, Jibec, silkevicious) ! <3

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 08 Nov 2018 17:09:00 +0000

yunohost (3.2.2) stable; urgency=low

  * [hotfix] mod_auth_ldap: reflect SASL API changes in latest Metronome (#546)
  * [enh] Add the internal helper ynh_handle_getopts_args (#520)

 Thanks to all contributors (Maranda, Maniack) ! <3

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 28 Sep 2018 23:04:00 +0000

yunohost (3.2.1) stable; urgency=low

  * Don't send an email if no certificate needs to be renewed (#540)
  * Fix an issue with home backups (#541)
  * Fix an issue with installs on OVH VPS
  * Tell the user about post-install available in browser in bootprompt (#544)
  * Improve Arabic translation

 Thanks to all contributors (BoF, ljf, Aleks) ! <3

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 17 Sep 2018 18:06:00 +0000

yunohost (3.2.0) stable; urgency=low

  * Add many print and exec helpers (#523)
  * Add su directive as option for logrotate helper (#511)
  * Add equivs, fake-hwclock and jq as base dependencies (#515, #514, #532)
  * Allow to add a service description on "yunohost service add" (#529)
  * Add option '--need-lock' to 'yunohost service add' (#530)
  * Don't backup user home with .nobackup file (#536)
  * Add a script to automatically generate helpers documentation (#538)
  * [i18n] Improve Arabic translation

 Thanks to all contributors (Bram, Maniack, irina11y, Josue, BoF, ljf, Aleks) ! <3

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 11 Sep 2018 16:30:00 +0000

yunohost (3.2.0~testing1) testing; urgency=low

  * Add logging system of every unit operation (#165)
  * Add a helper `ynh_info` for apps, so that they can comment on what is going on during scripts execution (#383)
  * Fix the Sender Rewriting Scheme (#331)
  * Add `ynh_render_template` to be able to render Jinja 2 templates (#463)

 Thanks to all contributors : Bram, ljf, Aleks !

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 23 Aug 2018 21:45:00 +0000

yunohost (3.1.0) stable; urgency=low

  Highlights
  ==========

  * Add MUA autoconfiguration (e.g. for Thunderbird) (#495)
  * Experimental : Configuration panel for applications (#488)
  * Experimental : Allow applications to ship custom actions (#486, #505)

  Other fixes / improvements
  ==========================

  * Fix an issue with mail permission after restoring them (#496)
  * Optimize imports in certificate.py (#497)
  * Add timeout to get_public_ip so that 'dyndns update' don't get stuck (#502)
  * Use human-friendly choices for booleans during apps installations (#498)
  * Fix the way we detect we're inside a container (#508)
  * List existing users during app install if the app ask for a user (#506)
  * Allow apps to tell they don't want to be displayed in the SSO (#507)
  * After postinstall, advice the admin to create a first user (#510)
  * Disable checks in acme_tiny lib is --no-checks is used (#509)
  * Better UX in case of url conflicts when installing app (#512)
  * Misc fixes / improvements

 Thanks to all contributors : pitchum, ljf, Bram, Josue, Aleks !

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 15 Aug 2018 21:34:00 +0000

yunohost (3.0.0.1) stable; urgency=low

  * Fix remaining use of --verbose and --ignore-system during backup/restore
    of app upgrades

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 18 Jun 2018 18:31:00 +0000

yunohost (3.0.0) stable; urgency=low

  * Merge with jessie's branches
  * Release as stable

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 17 Jun 2018 03:25:00 +0000

yunohost (3.0.0~beta1.7) testing; urgency=low

  * Merge with jessie's branches
  * Set verbose by default
  * Remove archivemount stuff
  * Correctly patch php5/php7 stuff when doing a backup restore
  * Fix counter-intuitive backup API

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 16 Jun 2018 16:20:00 +0000

yunohost (3.0.0~beta1.6) testing; urgency=low

  * [fix] Service description for php7.0-fpm
  * [fix] Remove old logrotate for php5-fpm during migration
  * [fix] Explicitly enable php7.0-fpm and disable php5-fpm during migration
  * [fix] Don't open the old SMTP port anymore (465)
  * [enh] Check space available before running the postgresql migration

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 12 Jun 2018 01:00:00 +0000

yunohost (3.0.0~beta1.5) testing; urgency=low

  * (c.f. 2.7.13.4)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 02 Jun 2018 00:14:00 +0000

yunohost (3.0.0~beta1.4) testing; urgency=low

  * Merge with jessie's branches

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 28 May 2018 02:30:00 +0000

yunohost (3.0.0~beta1.3) testing; urgency=low

  * Use mariadb 10.1 now
  * Convert old php comment starting with # for php5->7 migration

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 12 May 2018 19:26:00 +0000

yunohost (3.0.0~beta1.2) testing; urgency=low

  Removing http2 also from yunohost_admin.conf since there still are some
  issues with wordpress ?

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 08 May 2018 05:52:00 +0000

yunohost (3.0.0~beta1.1) testing; urgency=low

  Fixes in the postgresql migration

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 06 May 2018 03:06:00 +0000

yunohost (3.0.0~beta1) testing; urgency=low

  Beta release for Stretch

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 03 May 2018 03:04:45 +0000

yunohost (2.7.14) stable; urgency=low

  * Last minute fix : install php7.0-acpu to hopefully make stretch still work after the upgrade
  * Improve Occitan, French, Portuguese, Arabic translations
  * [fix] local variables and various fix on psql helpers

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 17 Jun 2018 01:16:13 +0000

yunohost (2.7.13.6) testing; urgency=low

  * Misc fixes
  * [stretch-migration] Disable predictable network interface names

  Fixes by Bram and Aleks

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 15 Jun 2018 16:20:00 +0000

yunohost (2.7.13.5) testing; urgency=low

  * [fix] a bug when log to be fetched is empty
  * [fix] a bug when computing diff in regen_conf
  * [stretch-migration] Tell postgresql-common to not send an email about 9.4->9.6 migration
  * [stretch-migration] Close port 465 / open port 587 during migration according to SMTP port change in postfix
  * [stretch-migration] Rely on /etc/os-release to get debian release number

  Fixes by Bram and Aleks

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 12 Jun 2018 01:00:00 +0000

yunohost (2.7.13.4) testing; urgency=low

  * Fix a bug for services with alternate names (mysql<->mariadb)
  * Fix a bug in regen conf when computing diff with files that don't exists
  * Increase backup filename length

  (Fixes by Bram <3)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 05 Jun 2018 18:22:00 +0000

yunohost (2.7.13.3) testing; urgency=low

  * [enh] Add postgresql helpers (#238)
  * [enh] Bring back the bootprompt (#363)
  * [enh] Allow to disable the backup during the upgrade (#431)
  * [fix] Remove warning from equivs (#439)
  * [enh] Add SOURCE_EXTRACT (true/false) in ynh_setup_source (#460)
  * [enh] More debug output in services.py (#468)
  * [enh] Be able to use more variables in template for nginx conf (#462)
  * [enh] Upgrade Meltdown / Spectre diagnosis (#464)
  * [enh] Check services status via dbus (#469, #478, #479)
  * [mod] Cleaning in services.py code (#470, #472)
  * [enh] Improvate and translate service descriptions (#476)
  * [fix] Fix "untrusted TLS connection" in mail logs (#471)
  * [fix] Make apt-get helper not quiet so we can debug (#475)
  * [i18n] Improve Occitan, Portuguese, Arabic, French translations

  Contributors : ljf, Maniack, Josue, Aleks, Bram, Quent-in, itxtoledo, ButterflyOfFire, Jibec, ariasuni, Haelwenn

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 28 May 2018 02:23:00 +0000

yunohost (2.7.13.2) testing; urgency=low

  * [fix] Fix an error with services marked as None (#466)
  * [fix] Issue with nginx not upgrading correctly /etc/nginx/nginx.conf if it was manually modified

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 11 May 2018 02:06:42 +0000

yunohost (2.7.13.1) testing; urgency=low

  * [fix] Misc fixes on stretch migration following feedback

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 09 May 2018 00:44:50 +0000

yunohost (2.7.13) testing; urgency=low

  * [enh] Add 'manual migration' mechanism to the migration framework (#429)
  * [enh] Add Stretch migration (#433)
  * [enh] Use recommended ECDH curves (#454)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 06 May 2018 23:10:13 +0000

yunohost (2.7.12) stable; urgency=low

  * [i18n] Improve translation for Portuguese
  * Bump version number for stable release

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sun, 06 May 2018 16:40:11 +0000

yunohost (2.7.11.1) testing; urgency=low

  * [fix] Nginx Regression typo (#459)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 02 May 2018 12:12:45 +0000

yunohost (2.7.11) testing; urgency=low

  Important changes / fixes
  -------------------------

  * [enh] Add commands to manage user ssh accesses and keys (#403, #445)
  * [fix] Fix Lets Encrypt install when an app is installed at root (#428)
  * [enh] Improve performances by lazy-loading some modules (#451)
  * [enh] Use Mozilla's recommended headers in nginx conf (#399, #456)
  * [fix] Fix path traversal issues in yunohost admin nginx conf (#420)
  * [helpers] Add nodejs helpers (#441, #446)

  Other changes
  -------------

  * [enh] Enable gzip compression for common text mimetypes in nginx (#356)
  * [enh] Add 'post' hooks on app management operations (#360)
  * [fix] Fix an issue with custom backup methods and crons (#421)
  * [mod] Simplify the way we fetch and test global ip (#424)
  * [enh] Manage etckeeper.conf to make etckeeper quiet (#426)
  * [fix] Be able to access conf folder in change_url scripts (#427)
  * [enh] Verbosify backup/restores that are performed during app upgrades (#432)
  * [enh] Display debug information on cert-install/renew failure (#447)
  * [fix] Add mailutils and wget as a dependencies
  * [mod] Misc tweaks to display more info when some commands fail
  * [helpers] More explicit depreciation warning for 'app checkurl'
  * [helpers] Fix an issue in ynh_restore_file if destination already exists (#384)
  * [helpers] Update php-fpm helpers to handle stretch/php7 and a smooth migration (#373)
  * [helpers] Add helper 'ynh_get_debian_release' (#373)
  * [helpers] Trigger an error when failing to install dependencies (#381)
  * [helpers] Allow for 'or' in dependencies (#381)
  * [helpers] Tweak the usage of BACKUP_CORE_ONLY (#398)
  * [helpers] Tweak systemd config helpers (optional service name and template name) (#425)
  * [i18n] Improve translations for Arabic, French, German, Occitan, Spanish

  Thanks to all contributors (ariasuni, ljf, JimboJoe, frju365, Maniack, J-B Lescher, Josue, Aleks, Bram, jibec) and the several translators (ButterflyOfFire, Eric G., Cedric, J. Keerl, beyercenter, P. Gatzka, Quenti, bjarkan) <3 !

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 01 May 2018 22:04:40 +0000

yunohost (2.7.10) stable; urgency=low

  * [fix] Fail2ban conf/filter was not matching failed login attempts...

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 07 Mar 2018 12:43:35 +0000

yunohost (2.7.9) stable; urgency=low

  (Bumping version number for stable release)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 30 Jan 2018 17:42:00 +0000

yunohost (2.7.8) testing; urgency=low

  * [fix] Use HMAC-SHA512 for DynDNS TSIG
  * [fix] Fix ynh_restore_upgradebackup
  * [i18n] Improve french translation

 Thanks to all contributors (Bram, Maniack, jibec, Aleks) ! <3

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 24 Jan 2018 12:15:12 -0500

yunohost (2.7.7) stable; urgency=low

  (Bumping version number for stable release)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 18 Jan 2018 17:45:21 -0500

yunohost (2.7.6.1) testing; urgency=low

  * [fix] Fix Meltdown diagnosis
  * [fix] Improve error handling of 'nginx -t' and Metdown diagnosis

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 17 Jan 2018 13:11:02 -0500

yunohost (2.7.6) testing; urgency=low

  Major changes:

  * [enh] Add new api entry point to check for Meltdown vulnerability
  * [enh] New command 'app change-label'

  Misc fixes/improvements:

  * [helpers] Fix upgrade of fake package
  * [helpers] Fix ynh_use_logrotate
  * [helpers] Fix broken ynh_replace_string
  * [helpers] Use local variables
  * [enh/fix] Save the conf/ directory of app during installation and upgrade
  * [enh] Improve UX for app messages
  * [enh] Keep SSH sessions alive
  * [enh] --version now display stable/testing/unstable information
  * [enh] Backup: add ability to symlink the archives dir
  * [enh] Add regen-conf messages, nginx -t and backports .deb to diagnosis output
  * [fix] Comment line syntax for DNS zone recommendation (use ';')
  * [fix] Fix a bug in disk diagnosis
  * [mod] Use systemctl for all service operations
  * [i18n] Improved Spanish and French translations

 Thanks to all contributors (Maniack, Josue, Bram, ljf, Aleks, Jocelyn, JimboeJoe, David B, Lapineige, ...) ! <3

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 16 Jan 2018 17:17:34 -0500

yunohost (2.7.5) stable; urgency=low

  (Bumping version number for stable release)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Sat, 02 Dec 2017 12:38:00 -0500

yunohost (2.7.4) testing; urgency=low

  * [fix] Update acme-tiny as LE updated its ToS (#386)
  * [fix] Fix helper for old apps without backup script (#388)
  * [mod] Remove port 53 from UPnP (but keep it open on local network) (#362)
  * [i18n] Improve French translation

Thanks to all contributors <3 ! (jibec, Moul, Maniack, Aleks)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 28 Nov 2017 19:01:41 -0500

yunohost (2.7.3) testing; urgency=low

  Major changes :

  * [fix] Refactor/clean madness related to DynDNS (#353)
  * [i18n] Improve french translation (#355)
  * [fix] Use cryptorandom to generate password (#358)
  * [enh] Support for single app upgrade from the webadmin (#359)
  * [enh] Be able to give lock to son processes detached by systemctl (#367)
  * [enh] Make MySQL dumps with a single transaction to ensure backup consistency (#370)

  Misc fixes/improvements :

  * [enh] Escape some special character in ynh_replace_string (#354)
  * [fix] Allow dash at the beginning of app settings value (#357)
  * [enh] Handle root path in nginx conf (#361)
  * [enh] Add debugging in ldap init (#365)
  * [fix] Fix app_upgrade_string with missing key
  * [fix] Fix for change_url path normalizing with root url (#368)
  * [fix] Missing 'ask_path' string (#369)
  * [enh] Remove date from sql dump (#371)
  * [fix] Fix unicode error in backup/restore (#375)
  * [fix] Fix an error in ynh_replace_string (#379)

Thanks to all contributors <3 ! (Bram, Maniack C, ljf, JimboJoe, ariasuni, Jibec, Aleks)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Thu, 12 Oct 2017 16:18:51 -0400

yunohost (2.7.2) stable; urgency=low

  * [mod] pep8
  * [fix] Explicitly require moulinette and ssowat >= 2.7.1
  * [fix] Set firewall start as background task (to be done right after postinstall) to avoid lock issues

Thanks to all contributors <3 ! (Bram, Alex)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Tue, 22 Aug 2017 21:25:17 -0400

yunohost (2.7.1) testing; urgency=low

  ## Security: uses sha-512 to store password and auto upgrade old password on login
  * [fix] use real random for hash selection (Laurent Peuch)
  * [enh] use the full length of available chars for salt generation (Laurent Peuch)
  * [mod] add more salt because life is miserable (Laurent Peuch)
  * [fix] move to sh512 because it's fucking year 2017 (Laurent Peuch)
  * [enh] according to https://www.safaribooksonline.com/library/view/practical-unix-and/0596003234/ch04s03.html we can go up to 16 salt caracters (Laurent Peuch)
  * [fix] also uses sha512 in user_update() (Laurent Peuch)
  * [fix] uses strong hash for admin password (Laurent Peuch)

  ## Add a reboot/shutdown action
  * [enh] Add reboot/shutdown actions in tools (#190) (Laurent Peuch, opi)

  ## Change lock mechanism
  * Remove old 'lock' configuration (Alexandre Aubin)
  * Removed unusted socket import (Alexandre Aubin)

  ## Various fix
  ### backup
  * [fix] Remove check that domain is resolved locally (Alexandre Aubin)
  * [fix] Tell user that domain dns-conf shows a recommendation only (Alexandre Aubin)
  * [fix] Backup without info.json (#342) (ljf)
  * [fix] Make read-only mount bind actually read-only (#343) (ljf)
  ### dyndns
  * Regen dnsmasq conf if it's not up to date :| (Alexandre Aubin)
  * [fix] timeout on request to avoid blocking process (Laurent Peuch)
  * Put request url in an intermediate variable (Alexandre Aubin)
  ### other
  * clean users.py (Laurent Peuch)
  * clean domains.py (Laurent Peuch)
  * [enh] add 'yunohost tools shell' (Laurent Peuch)
  * Use app_ssowatconf instead of os.system call (Alexandre Aubin)

  Thanks to all contributors <3 ! (Bram, ljf, Aleks, opi)

 -- Laurent Peuch <cortex@worlddomination.be>  Sat, 19 Aug 2017 23:16:44 +0000

yunohost (2.7.0) testing; urgency=low

Thanks to all contributors <3 ! (Bram, Maniack C, ljf, Aleks, JimboJoe, anmol26s, e-lie, Ozhiganov)

Major fixes / improvements
==========================

  * [enh] Add a migration framework (#195)
  * [enh] Remove m18n (and other globals) black magic (#336)
  * [fix] Refactor DNS conf management for domains (#299)
  * [enh] Support custom backup methods (#326)

App helpers
===========

  * New helper autopurge (#321)
  * New helpers ynh_add_fpm_config and ynh_remove_fpm_config (#284)
  * New helpers ynh_restore_upgradebackup and ynh_backup_before_upgrade (#289)
  * New helpers ynh_add_nginx_config and ynh_remove_nginx_config (#285)
  * New helpers ynh_add_systemd_config and ynh_remove_systemd_config (#287)

Smaller fixes / improvements
============================

  * [fix] Run change_url scripts as root as a matter of homogeneity (#329)
  * [fix] Don't verify SSL during changeurl tests :/ (#332)
  * [fix] Depreciation warning for --hooks was always shown (#333)
  * [fix] Logrotate append (#328)
  * [enh] Check that url is available and normalize path before app install (#304)
  * [enh] Check that user is legitimate to use an email adress when sending mail (#330)
  * [fix] Properly catch Invalid manifest json with ValueError. (#324)
  * [fix] No default backup method (redmine 968) (#339)
  * [enh] Add a script to test m18n keys usage (#308)
  * [i18] Started russian translation (#340)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 07 Aug 2017 13:16:08 -0400

yunohost (2.6.5) stable; urgency=low

  Minor fix
  ---------

  * Do not crash backup restore if archivemount is not there (#325)

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Wed, 26 Jul 2017 11:56:09 -0400

yunohost (2.6.4) stable; urgency=low

  Changes
  -------------

  * Misc fixes here and there
  * [i18n] Update Spanish, German and French translations (#323)

  Thanks to all contributors : opi, Maniack C, Alex, JuanuSt, franzos, Jibec, Jeroen and beyercenter !

 -- ljf <ljf+yunohost@grimaud.me>  Wed, 21 Jun 2017 17:18:00 -0400

yunohost (2.6.3) testing; urgency=low

  Major changes
  -------------

  * [love] Add missing contributors & translators.
  * [enh] Introduce global settings (#229)
  * [enh] Refactor backup management to pave the way to borg (#275)
  * [enh] Changing nginx ciphers to intermediate compatiblity (#298)
  * [enh] Use ssl-cert group for certificates, instead of metronome (#222)
  * [enh] Allow regen-conf to manage new files already present on the system (#311)
  * [apps] New helpers
      * ynh_secure_remove (#281)
      * ynh_setup_source (#282)
      * ynh_webpath_available and ynh_webpath_register (#235)
      * ynh_mysql_generate_db and ynh_mysql_remove_db (#236)
      * ynh_store_file_checksum and ynh_backup_if_checksum_is_different (#286)
  * Misc fixes here and there
  * [i18n] Update Spanish, German and French translations (#318)

  Thanks to all contributors : Bram, ljf, opi, Maniack C, Alex, JimboJoe, Moul, Jibec, JuanuSt and franzos !

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Fri, 02 Jun 2017 09:15:05 -0400

yunohost (2.6.2) testing; urgency=low

  New Features
  ------------

  * [enh] Allow applications to ship a script to change its url (#185)
  * New helper ynh_replace_string (#280)
  * New helper ynh_local_curl (#288)

  Fixes
  -----

  * Fix for missing YunoHost tiles (#276)
  * [fix] Properly define app upgradability / Fix app part of tools update (#255)
  * [fix] Properly manage resolv.conf, dns resolvers and dnsmasq (#290)
  * [fix] Add random delay to app fetchlist cron job (#297)

  Improvements
  -------------

  * [fix] Avoid to remove a apt package accidentally (#292)
  * [enh] Refactor applist management (#160)
  * [enh] Add libnss-mdns as Debian dependency. (#279)
  * [enh] ip6.yunohost is now served through HTTPS.
  * [enh] Adding new port availability checker (#266)
  * [fix] Split checkurl into two functions : availability + booking (#267)
  * [enh] Cleaner postinstall logs during CA creation (#250)
  * Allow underscore in backup name
  * Rewrite text for "appslist_retrieve_bad_format"
  * Rewrite text for "certmanager_http_check_timeout"
  * Updated Spanish, German, Italian, French, German and Dutch translations

 -- Alexandre Aubin <alex.aubin@mailoo.org>  Mon, 24 Apr 2017 09:07:51 -0400

yunohost (2.6.1) testing; urgency=low

  [ Maniack Crudelis ]
  * Hack dégueux pour éviter d'écrire dans le log cli
  * [enh] New helpers for equivs use
  * [enh] New helpers for logrotate
  * Update package
  * Restore use of subshell

  [ Trollken ]
  * [i18n] Translated using Weblate (Portuguese)

  [ rokaz ]
  * [i18n] Translated using Weblate (Spanish)
  * [i18n] Translated using Weblate (French)

  [ Jean-Baptiste Holcroft ]
  * [i18n] Translated using Weblate (French)

  [ rokaz ]
  * [i18n] Translated using Weblate (English)

  [ Fabian Gruber ]
  * [i18n] Translated using Weblate (German)

  [ bricabraque ]
  * [i18n] Translated using Weblate (Italian)

  [ Trollken ]
  * [i18n] Translated using Weblate (Portuguese)

  [ rokaz ]
  * [i18n] Translated using Weblate (Spanish)

  [ Fabian Gruber ]
  * [i18n] Translated using Weblate (German)
  * [i18n] Translated using Weblate (German)

  [ bricabraque ]
  * [i18n] Translated using Weblate (Italian)

  [ Fabian Gruber ]
  * [i18n] Translated using Weblate (German)

  [ Lapineige ]
  * [i18n] Translated using Weblate (French)

  [ Laurent Peuch ]
  * [enh] upgrade ciphers suit to more secure ones

  [ ljf (zamentur) ]
  * [fix] Can't use common.sh on restore operation (#246)

  [ thardev ]
  * show fail2ban logs on admin web interface

  [ Maniack Crudelis ]
  * Fix ynh_app_dependencies
  * Fix ynh_remove_app_dependencies too...

  [ Moul ]
  * [mod] dnsmasq conf: remove deprecated XMPP DNS record line.
  * [fix] dnsmasq conf: remove 'resolv-file' line. - there is no file specified for this line. - dns resolution isn't working on some cases: - metronome could not works. - https://forum.yunohost.org/t/xmpp-cant-connect-to-conference-yunohost-org/2142

  [ Laurent Peuch ]
  * [enh] defaulting running hook_exec as root
  * [mod] change behavior, admin by default, as to explicitly set root as user
  * [enh] use root for app related hook_exec
  * [mod] remove unused import
  * [fix] run missing backup scripts as root
  * [enh] run hooks as root
  * [mod] try to clean a bit app_list code

  [ Alexandre Aubin ]
  * Trying to add comments and simplify some overly complicated parts
  * Trying to make offset / limit consistent

  [ Laurent Peuch ]
  * [mod] remove useless addition
  * [fix] if a service don't have a 'status' entry, don't list it
  * [fix] nsswitch and udisks2 aren't used anymore
  * [fix] we don't use bind9, add null entry to remove it from old services.yml
  * [enh] add other services to remove
  * [fix] launch ssowatconf at the end of a broken install to avoid sso bad state

  [ opi ]
  * [love] adding thardev to contributors

  [ Alexandre Aubin ]
  * [enh] Trigger exception during unit tests if string key aint defined (#261)
  * Updating ciphers with recommendation from mozilla with modern compatibility

  [ Maniack Crudelis ]
  * Failed if $1 not set

  [ Laurent Peuch ]
  * [mod] remove offset/limit from app_list, they aren't used anymore
  * [mod] implement ljf comment

  [ Maniack Crudelis ]
  * Remove use of deprecated helper

  [ opi ]
  * [enh] Use _get_maindomain helper.

  [ Maniack Crudelis ]
  * Add app setting

  [ opi ]
  * [fix] Regenerate SSOwat conf during main_domain operation. #672

  [ Maniack Crudelis ]
  * Nouveau helper ynh_normalize_url_path (#234)
  * Prevent to rewrite the previous control file

  [ Alexandre Aubin ]
  * Rename ynh_app_dependencies to ynh_install_app_dependencies

  [ Maniack Crudelis ]
  * [enh] New helper ynh_abort_if_errors (#245)

  [ ljf ]
  * [fix] Apply cipher suite into webadmin nginx conf

  [ Laurent Peuch ]
  * [fix] only remove a service if it is setted to null

  [ Moul ]

 -- Moul <moul@moul.re>  Thu, 23 Mar 2017 09:53:06 +0000

yunohost (2.6.0) testing; urgency=low

  Important changes

  - [enh] Add unit test mechanism (#254)
  - [fix] Any address in the range 127.0.0.0/8 is a valid loopback address for localhost
  - [enh] include script to reset ldap password (#217)
  - [enh] Set main domain as hostname (#219)
  - [enh] New bash helpers for app scripts: ynh_system_user_create, ynh_system_user_delete, helper ynh_find_port

  Thanks to every contributors (Bram, Aleks, Maniack Crudelis, ZeHiro, opi, julienmalik

  Full changes log:

    8486f440fb18d513468b696f84c0efe833298d77 [enh] Add unit test mechanism (#254)
    45e85fef821bd8c60c9ed1856b3b7741b45e4158 Merge pull request #252 from ZeHiro/fix-785
    834cf459dcd544919f893e73c6be6a471c7e0554 Please Bram :D
    088abd694e0b0be8c8a9b7d96a3894baaf436459 Merge branch 'testing' into unstable
    f80653580cd7be31484496dbe124b88e34ca066b Merge pull request #257 from YunoHost/fix_localhost_address_range
    f291d11c844d9e6f532f1ec748a5e1eddb24c2f6 [fix] cert-renew email headers appear as text in the body
    accb78271ebefd4130ea23378d6289ac0fa9d0e4 [fix] Any address in the range 127.0.0.0/8 is a valid loopback address
    cc4451253917040c3a464dce4c12e9e7cf486b15 Clean app upgrade (#193)
    d4feb879d44171447be33a65538503223b4a56fb [enh] include script to reset ldap password (#217)
    1d561123b6f6fad1712c795c31409dedc24d0160 [enh] Set main domain as hostname (#219)
    0e55b17665cf1cd05c157950cbc5601421910a2e Fixing also get_conf_hashes
    035100d6dbcd209dceb68af49b593208179b0595 Merge pull request #251 from YunoHost/uppercase_for_global_variables
    f28be91b5d25120aa13d9861b0b3be840f330ac0 [fix] Uppercase global variable even in comment.
    5abcaadaeabdd60b40baf6e79fff3273c1dd6108 [fix] handle the case where services[service] is set to null in the services.yml. Fix #785
    5d3e1c92126d861605bd209ff56b8b0d77d3ff39 Merge pull request #233 from YunoHost/ynh_find_port
    83dca8e7c6ec4efb206140c234f51dfa5b3f3bf7 Merge pull request #237 from YunoHost/ynh_system_user_create_delete
    f6c7702dfaf3a7879323a9df60fde6ac58d3aff7 [mod] rename all global variables to uppercase
    3804f33b2f712eb067a0fcbb6fb5c60f3a813db4 Merge pull request #159 from YunoHost/clean_app_fetchlist
    8b44276af627ec05ac376c57e098716cacd165f9 Merge branch 'testing' into unstable
    dea89fc6bb209047058f050352e3c082b9e62f32 Merge pull request #243 from YunoHost/fix-rspamd-rmilter-status
    dea6177c070b9176e3955c4f32b8a602977cf424 Merge pull request #244 from YunoHost/fix-unattended-upgrade-syntax
    a61445c9c3d231b9248fd247a0dd3345fc0ac6df Checking for 404 error and valid json format
    991b64db92e60f3bc92cb1ba4dc25f7e11fb1a8d Merge branch 'unstable' into clean_app_fetchlist
    730156dd92bbd1b0c479821ffc829e8d4f3d2019 Using request insteqd of urlretrieve, to have timeout
    5b006dbf0e074f4070f6832d2c64f3b306935e3f Adding info/debug message for fetchlist
    98d88f2364eda28ddc6b98d45a7fbe2bbbaba3d4 [fix] Unattended upgrades configuration syntax.
    7d4aa63c430516f815a8cdfd2f517f79565efe2f [fix] Rspamd & Rmilter are no more sockets
    5be13fd07e12d95f05272b9278129da4be0bc2d7 Merge pull request #220 from YunoHost/conf-hashes-logs
    901e3df9b604f542f2c460aad05bcc8efc9fd054 Pas de correction de l'argument
    cd93427a97378ab635c85c0ae9a1e45132d6245c Retire la commande ynh
    abb9f44b87cfed5fa14be9471b536fc27939d920  Nouveaux helpers ynh_system_user_create et ynh_system_user_delete
    3e9d086f7ff64f923b2d623df41ec42c88c8a8ef Nouveau helper ynh_find_port
    0b6ccaf31a8301b50648ec0ba0473d2190384355 Implementing comments
    5b7536cf1036cecee6fcc187b2d1c3f9b7124093 Style for Bram :)
    e857f4f0b27d71299c498305b24e4b3f7e4571c4 [mod] Cleaner logs for _get_conf_hashes
    99f0f761a5e2737b55f9f8b6ce6094b5fd7fb1ca [mod] include execption into appslist_retrieve_error message
    2aab7bdf1bcc6f025c7c5bf618d0402439abd0f4 [mod] simplify code
    97128d7d636836068ad6353f331d051121023136 [mod] exception should only be used for exceptional situations and not when buildin functions allow you to do the expected stuff
    d9081bddef1b2129ad42b05b28a26cc7680f7d51 [mod] directly use python to retreive json list
    c4cecfcea5f51f1f9fb410358386eb5a6782cdb2 [mod] use python instead of os.system
    cf3e28786cf829bc042226283399699195e21d79 [mod] remove useless line


 -- opi <opi@zeropi.net>  Mon, 20 Feb 2017 16:31:52 +0100

yunohost (2.5.6) stable; urgency=low

  [ julienmalik ]
  * [fix] Any address in the range 127.0.0.0/8 is a valid loopback address

  [ opi ]
  * [fix] Update Rmilter configuration to fix dkim signing.

 -- opi <opi@zeropi.net>  Sat, 18 Feb 2017 15:51:13 +0100

yunohost (2.5.5) stable; urgency=low

  Hotfix release

  [ ljf ]
  * [fix] Permission issue on install of some apps 778

 -- opi <opi@zeropi.net>  Thu, 09 Feb 2017 22:27:08 +0100

yunohost (2.5.4) stable; urgency=low

  [ Maniack Crudelis ]
  * Remove helper ynh_mkdir_tmp
  * Update filesystem

  [ opi ]
  * [enh] Add warning about deprecated ynh_mkdir_tmp helper
  * [enh] Increase fail2ban maxretry on user login, narrow nginx log files

  [ Juanu ]
  * [i18n] Translated using Weblate (Spanish)

  [ Jean-Baptiste Holcroft ]
  * [i18n] Translated using Weblate (French)

  [ Laurent Peuch ]
  * [mod] start putting timeout in certificate code

  [ Alexandre Aubin ]
  * Implement timeout exceptions
  * Implementing opi's comments

  [ JimboJoe ]
  * ynh_backup: Fix error message when source path doesn't exist

  [ paddy ]
  * [i18n] Translated using Weblate (Spanish)
  * [i18n] Translated using Weblate (French)

 -- opi <opi@zeropi.net>  Thu, 02 Feb 2017 11:24:55 +0100

yunohost (2.5.3.1) testing; urgency=low

  * super quickfix release for a typo that break LE certificates

 -- Laurent Peuch <cortex@worlddomination.be>  Tue, 10 Jan 2017 02:58:56 +0100

yunohost (2.5.3) testing; urgency=low

  Love:
  * [enh][love] Add CONTRIBUTORS.md

  LE:
  * Check acme challenge conf exists in nginx when renewing cert
  * Fix bad validity check..

  Fix a situation where to domain for the LE cert can't be locally resolved:
  * Adding check that domain is resolved locally for cert management
  * Changing the way to check domain is locally resolved

  Fix a situation where a cert could end up with bad perms for metronome:
  * Attempt to fix missing perm for metronome in weird cases

  Rspamd cannot be activate on socket anymore:
  * [fix] new rspamd version replace rspamd.socket with rspamd.service
  * [fix] Remove residual rmilter socket file
  * [fix] Postfix can't access rmilter socket due to chroot

  Various:
  * fix fail2ban rules to take into account failed loggin on ssowat
  * [fix] Ignore dyndns option is not needed with small domain
  * [enh] add yaml syntax check in travis.yml
  * [mod] autopep8 on all files that aren't concerned by a PR
  * [fix] add timeout to fetchlist's wget

  Thanks to all contributors: Aleks, Bram, ju, ljf, opi, zimo2001 and to the
  people who are participating to the beta and giving us feedback <3


 -- Laurent Peuch <cortex@worlddomination.be>  Mon, 09 Jan 2017 18:38:30 +0100

yunohost (2.5.2) testing; urgency=low

  LDAP admin user:
  * [fix] wait for admin user to be available after a slapd regen-conf, this fix install on slow hardware/vps

  Dovecot/emails:
  * [enh] reorder dovecot main configuration so that it is easier to read and extend
  * [enh] Allow for dovecot configuration extensions
  * [fix] Can't get mailbos used space if dovecot is down

  Backup:
  * [fix] Need to create archives_path even for custom output directory
  * Keep track of backups with custom directory using symlinks

  Security:
  * [fix] Improve dnssec key generation on low entropy devices
  * [enh] Add haveged as dependency

  Random broken app installed on slow hardware:
  * [enh] List available domains when installing an app by CLI.

  Translation:
  * French by Jibec and Genma
  * German by Philip Gatzka
  * Hindi by Anmol
  * Spanish by Juanu

  Other fixes and improvements:
  * [enh] remove timeout from cli interface
  * [fix] #662: missing 'python-openssl' dependency for Let's Encrypt integration.
  * [fix] --no-remove-on-failure for app install should behave as a flag.
  * [fix] don't remove trailing char if it's not a slash

  Thanks to all contributors: Aleks, alex, Anmol, Bram, Genma, jibec, ju,
  Juanu, ljf, Moul, opi, Philip Gatzka and to the people who are participating
  to the beta and giving us feedback <3

 -- Laurent Peuch <cortex@worlddomination.be>  Fri, 16 Dec 2016 00:49:08 +0100

yunohost (2.5.1) testing; urgency=low

  * [fix] Raise error on malformed SSOwat persistent conf.
  * [enh] Catch SSOwat persistent configuration write error.
  * [fix] Write SSOwat configuration file only if needed.
  * [enh] Display full exception error message.
  * [enh] cli option to avoid removing an application on installation failure
  * [mod] give instructions on how to solve the conf.json.persistant parsing error
  * [fix] avoid random bug on post-install due to nscd cache
  * [enh] Adding check that user is actually created + minor refactor of ldap/auth init
  * [fix] Fix the way name of self-CA is determined
  * [fix] Add missing dependency to nscd package #656
  * [fix] Refactoring tools_maindomain and disabling removal of main domain to avoid breaking things
  * [fix] Bracket in passwd from ynh_string_random

  Thanks to all contributors: Aleks, Bram, ju, jibec, ljf, M5oul, opi

 -- Laurent Peuch <cortex@worlddomination.be>  Sun, 11 Dec 2016 15:26:21 +0100

yunohost (2.5.0) testing; urgency=low

  * Certificate management integration (e.g. Let's Encrypt certificate install)
  * [fix] Support git ynh app with submodules #533 (#174)
  * [enh] display file path on file_not_exist error
  * [mod] move a part of os.system calls to native shutil/os
  * [fix] Can't restore app on a root domain

  Miscellaneous

  * Update backup.py
  * [mod] autopep8
  * [mod] trailing spaces
  * [mod] pep8
  * [mod] remove useless imports
  * [mod] more pythonic and explicit tests with more verbose errors
  * [fix] correctly handle all cases
  * [mod] simplier condition
  * [fix] uses https
  * [mod] uses logger string concatenation api
  * [mod] small opti, getting domain list can be slow
  * [mod] pylint
  * [mod] os.path.join
  * [mod] remove useless assign
  * [enh] include tracebak into error email
  * [mod] remove the summary code concept and switch to code/verbose duet instead
  * [mod] I only need to reload nginx, not restart it
  * [mod] top level constants should be upper case (pep8)
  * Check that the DNS A record matches the global IP now using dnspython and FDN's DNS
  * Refactored the self-signed cert generation, some steps were overly complicated for no reason
  * Using a single generic skipped regex for acme challenge in ssowat conf
  * Adding an option to use the staging Let's Encrypt CA, sort of a dry-run
  * [enh] Complete readme (#183)
  * [fix] avoid reverse order log display on web admin

  Thanks to all contributors: Aleks, Bram, JimboJoe, ljf, M5oul
  Kudos to Aleks for leading the Let's Encrypt integration to YunoHost core \o/

 -- opi <opi@zeropi.net>  Thu, 01 Dec 2016 21:22:19 +0100

yunohost (2.4.2) stable; urgency=low

  [ Laurent Peuch ]
  * [enh] add empty file for hindie to enable it in weblate

  [ opi ]
  * [fix] Documentation typo

  [ Laurent Peuch ]
  * [fix] ensure that multi_instance key value is always a boolean

 -- Laurent Peuch <cortex@worlddomination.be>  Sun, 14 Aug 2016 18:55:10 +0200

yunohost (2.4.1) stable; urgency=low

  [ Bugsbane ]
  * [i18n] Translated using Weblate (English)

  [ DUBWiSE ]
  * [i18n] Translated using Weblate (Dutch)

  [ Jean-Baptiste ]
  * [i18n] Translated using Weblate (French)

  [ jellium ]
  * [fix] Replace deprecated psutil.BOOT_TIME attribute

  [ Jérôme Lebleu ]
  * [fix] Set empty app argument value only when it's None
  * [i18n] Translated using Weblate (English & French)

  [ Juanu ]
  * [i18n] Translated using Weblate (Spanish)

  [ Laurent Peuch ]
  * [fix] Use a local variable for extracted app dir (bugfix #326)

  [ vetetix ]
  * fix issue in dkim dns setting

 -- Jérôme Lebleu <jerome@yunohost.org>  Thu, 14 Jul 2016 12:05:35 +0200

yunohost (2.4.0.7) stable; urgency=low

  * [fix] Allow - in app id when parsing app instance name
  * [ref] Invert no-stats option to with-stats in monitor_enable
  * [fix] Set /var/mail folder owners and permissions

 -- Jérôme Lebleu <jerome@yunohost.org>  Sun, 12 Jun 2016 15:58:26 +0200

yunohost (2.4.0.6) stable; urgency=low

  [ Bugsbane ]
  * [i18n] Fixed minor English grammar errors

  [ Jérôme Lebleu ]
  * [fix] Harden backup hooks with set options and use ynh_backup
  * [fix] Set default value for YNH_APP_BACKUP_DIR in ynh_backup helper
  * [fix] Raise proper MoulinetteError exception in hook_exec
  * [fix] Use the classic way to create read-only bind mount in ynh_backup
  * [fix] Escape arguments and env values in hook_exec (bugfix #377)

  [ opi ]
  * [enh] Comments will save us.
  * [enh] Use 'source' instead of dot notation, more explicit.

 -- Jérôme Lebleu <jerome@yunohost.org>  Mon, 30 May 2016 12:15:21 +0200

yunohost (2.4.0.5) stable; urgency=low

  * [enh] Call iptables/ip6tables with --wait option (close #325)
  * [fix] Catch not implemented prompt signal in app arguments parsing

 -- Jérôme Lebleu <jerome@yunohost.org>  Sat, 28 May 2016 22:02:02 +0200

yunohost (2.4.0.4) stable; urgency=low

  * [fix] Print string error of MoulinetteError in hook_callback
  * [fix] Hide cat error if tmp_backup_dir_file doesn't exist in conf_regen
  * [fix] Rely on systemd is-active to check if mysql is running

 -- Jérôme Lebleu <jerome@yunohost.org>  Sun, 22 May 2016 16:48:06 +0200

yunohost (2.4.0.3) stable; urgency=low

  [ Laurent Peuch ]
  * [fix] exit if not run as root instead of raising an obscur exception

  [ Jérôme Lebleu ]
  * [enh] Add ynh_apt wrapper helper and make use of it
  * [fix] Save LDAP base before any conf changes in conf_regen hook

 -- Jérôme Lebleu <jerome@yunohost.org>  Sat, 21 May 2016 18:00:32 +0200

yunohost (2.4.0.2) stable; urgency=low

  [ Jérôme Lebleu ]
  * [fix] Update argument with empty value adding for OrderedDict usage
  * [fix] Ensure that index.txt CA database exists at SSL regen-conf

  [ opi ]
  * [fix] Restart Nginx breaks web admin. Reload instead and fixes #330.

 -- Jérôme Lebleu <jerome@yunohost.org>  Wed, 18 May 2016 11:12:52 +0200

yunohost (2.4.0.1) stable; urgency=low

  * [fix] Use ps to check if MySQL is running in conf_regen hook (fix #232)
  * [fix] Copy app remove script in a tmp file at restoration failure

 -- Jérôme Lebleu <jerome@yunohost.org>  Sat, 14 May 2016 14:30:48 +0200

yunohost (2.4.0) stable; urgency=low

  [ Jérôme Lebleu ]
  * [enh] Add app hooks after the install to allow modifications
  * [enh] Also add app hooks after successful upgrade
  * [enh] Handle password argument type at prompt from app manifest
  * [enh] Try to remount directory as read-only in ynh_backup (wip #298)
  * [fix] Prepend backup dir to relative path only and allow absolute in
    ynh_backup
  * [fix] Update data_home/mail backup hooks to use ynh_backup helper

  [ opi ]
  * [fix] Can install app on domain root even if another app is installed
    in a sub folder.

 -- Jérôme Lebleu <jerome@maroufle.fr>  Sun, 08 May 2016 00:47:49 +0200

yunohost (2.3.15) testing; urgency=low

  [ Jérôme Lebleu ]
  * [enh] Create backup archives path depending of output directory
  * [enh] Check free space in output directory before backup archive creation
  * [enh] Create ynh_backup helper based on ynh_bind_or_cp
  * [enh] Add ynh_die helper to print error message and exit
  * [enh] Do not clean whole pending conf dir when names are given at regen-conf
  * [enh] Remove empty pending conf directory at regen-conf
  * [fix] Handle when new conf is as current system conf in regen-conf
  * [fix] Remove the app if it restoration failed
  * [i18n] Rename backup_complete and backup_failed strings

  [ opi ]
  * [fix] Pass app instance environment variables to remove script.
  * [fix] Catch IOError on tar creation (backup).

 -- Jérôme Lebleu <jerome@yunohost.org>  Fri, 06 May 2016 20:31:12 +0200

yunohost (2.3.14) testing; urgency=low

  [ Jean-Baptiste ]
  * [i18n] Translated using Weblate (French)

  [ Jérôme Lebleu ]
  * [enh] Remove client certificate verification from Dovecot and Postfix
  * [enh] Allow to set env var for executed hooks in hooks_callback
  * [enh] Do not bind mounting if no backup archive is created (wip #298)
  * [fix] Do not set default value to mailbox-quota at user_update
  * [fix] Clean properly backup tmp directory if it already exists (wip #298)
  * [fix] Remove legacy slapd file after directory creation at regen-conf
  * [fix] Remove old PAM config file at package postinstall
  * [i18n] Translated using Weblate (French)

  [ Julien Malik ]
  * [enh] Support passing env var to hook_exec
  * [enh] Set env var for each app script and rename app variables

 -- Jérôme Lebleu <jerome@yunohost.org>  Sat, 30 Apr 2016 20:59:28 +0200

yunohost (2.3.13) testing; urgency=low

  * [cli] Deprecate app_initdb action in flavour of helpers
  * [cli] Deprecate and rename regenconf action to regen-conf
  * [enh] Add pre/post script execution callbacks to hook_callback
  * [enh] Refactor the conf regen for better conflicts handle
  * [enh] Allow to show the diff between conf in service_regen_conf
  * [enh] Allow to list pending conf in service_regen_conf
  * [enh] Add a dry-run option for service_regen_conf
  * [enh] Update services.yml in yunohost conf_regen and update its content
  * [enh] Add a yunopaste script to paste data to YunoHost Haste server
  * [enh] Catch boolean in is_true method of app.py
  * [enh] Implement the intersection of package version Specifier class
  * [enh] Implement the union of package version Specifier class
  * [enh] Implement the intersection of package version SpecifierSet class
  * [enh] Prevent non-updated multi-instances apps installation (close #126)
  * [enh] Force new MySQL password set if it's unknown at regen-conf
  * [fix] Restore MySQL password for root user (bugfix #194)
  * [fix] Restore current_host and use only one backup path for it
  * [fix] Use SSL certificate of main domain in Dovecot and Postfix conf
  * [fix] multi_instance manifest key is generally a string
  * [fix] Call regen-conf only once passing a list in domain_add/remove
  * [fix] Remove useless `email_legacy` conf_regen hook
  * [fix] Import moulinette after dev env check in bin/yunohost{-api,}
  * [fix] Skip hidden and temp files in hook_list
  * [deb] Add etckeeper package in Recommends (wip #280)
  * [deb] Enable yunohost-firewall on service restart at postinst
  * [doc] Be more verbose when reset the MySQL root password
  * [doc] Add documentation to contains methods of Specifier/SpecifierSet

 -- Jérôme Lebleu <jerome@yunohost.org>  Tue, 26 Apr 2016 16:26:20 +0200

yunohost (2.3.12.1) testing; urgency=low

  * [deb] Rely on dh_installinit to restart yunohost-firewall after upgrade
  * [deb] Add Install section to yunohost-firewall.service

 -- Jérôme Lebleu <jerome@yunohost.org>  Sat, 09 Apr 2016 17:22:40 +0200

yunohost (2.3.12) testing; urgency=low

  [ Jérôme Lebleu ]
  * [enh] Use new rspamd configuration system to override metrics
  * [enh] Allow to set script execution directory in hook_exec
  * [enh] Add a ynh_user_list helper
  * [enh] Call app remove script if installation fails
  * [fix] Move imports at the top in yunohost and yunohost-api
  * [fix] Use rspamd local.d folder to allow users to override the defaults
  * [fix] Execute backup/restore app scripts from the backup dir (bugfix #139)
  * [fix] Regenerate SSOwat conf after apps restoration
  * [fix] Move imports at the top in backup.py
  * [fix] Check if the package is actually installed in equivs helper
  * [fix] Improve control file management in equivs helper
  * [fix] Remove ending comma in backup.py
  * [fix] Call yunohost commands with --quiet in setting helpers
  * [fix] Check for tty in root_handlers before remove it in bin/yunohost
  * [fix] Use dyndns.yunohost.org instead of dynhost.yunohost.org
  * [fix] Set found private key and don't validate it in dyndns_update
  * [fix] Update first registered domain with DynDNS instead of current_host
  * [i18n] Rename app_requirements_failed err named variable
  * [i18n] Update translations from Weblate

  [ opi ]
  * [enh] Better message during service regenconf.
  * [enh] Display hook path on error message.
  * [enh] Use named arguments when calling m18n in service.py
  * [enh] Use named arguments with m18n.
  * [enh] Use named arguments for user_unknown string.

 -- Jérôme Lebleu <jerome@yunohost.org>  Sat, 09 Apr 2016 12:13:10 +0200

moulinette-yunohost (2.2.4) stable; urgency=low

  [ Jérôme Lebleu ]
  * [fix] Update first registered domain with DynDNS instead of current_host
  * [fix] Set found private key and don't validate it in dyndns_update
  * [fix] Use dyndns.yunohost.org instead of dynhost.yunohost.org

  [ opi ]
  * [fix] Catch ConnectionError from requests package

 -- Jérôme Lebleu <jerome@yunohost.org>  Sun, 27 Mar 2016 16:30:42 +0200

yunohost (2.3.11.2) testing; urgency=low

  * [fix] Don't fail dnsmasq regen if IPv4/6 cannot be retrieved

 -- Jérôme Lebleu <jerome@yunohost.org>  Wed, 23 Mar 2016 14:57:22 +0100

yunohost (2.3.11.1) testing; urgency=low

  * [deb] Include sysvinit services and files in the package, thanks to
    nthykier and pabs from #debian-mentor

 -- Jérôme Lebleu <jerome@yunohost.org>  Wed, 23 Mar 2016 12:38:56 +0100

yunohost (2.3.11) testing; urgency=low

  [ Laurent Peuch ]
  * [mod] Explain how to start yunohost-firewall service

  [ Jérôme Lebleu ]
  * [fix] Remove useless API routes for some actions
  * [fix] Update API route for hook_callback action
  * [deb] Attempt to improve services management in Debian packaging
  * [deb] Add missing cron dependency
  * [deb] Clean debian/control with cosmetic changes
  * [deb] Fix helpers bash script installation

  [ Julien Malik ]
  * [enh] Add helper for IP address validation
  * [enh] move /usr/share/yunohost/apps/helpers to
    /usr/share/yunohost/helpers since it became of more general use
  * [enh] Remove unused checkupdate and upgrade scripts
  * [fix] Validate IP addresses returned by ipX.yunohost.org
  * [fix] fix lintian script-not-executable
  * [deb] dh_python2 replaces shebang during build. Using the correct one
    in source directly

  [ Moul ]
  * [enh] Add '-a' argument's usage example for app_install

  [ opi ]
  * [enh] Add diagnosis function. #39
  * [enh] Redirect most of 404 to maindomain.tld/yunohost/sso
  * [enh] Add --installed and --with-backup to app_list action (wip #227)
  * [enh] More explicit backup forbidden directory error message.
  * [enh] Use dedicated app list domain.
  * [fix] Use only dyndns.yunohost.org domain.
  * [fix] Use plain text 502 error page.
  * [fix] Cleaner Nginx redirection rules. Use permanent only when paths match.

 -- Jérôme Lebleu <jerome@yunohost.org>  Wed, 23 Mar 2016 10:39:34 +0100

yunohost (2.3.10.2) testing; urgency=low

  * [fix] Workaround for the bad people who are not using IPv6 yet

 -- Julien Malik <julien.malik@paraiso.me>  Wed, 09 Mar 2016 08:46:41 +0100

yunohost (2.3.10.1) testing; urgency=low

  * [fix] Oops, debian/install prevent subpackages installation

 -- Jérôme Lebleu <jerome@yunohost.org>  Tue, 08 Mar 2016 23:55:28 +0100

yunohost (2.3.10) testing; urgency=low

  [ Jérôme Lebleu ]
  * [enh] Introduce new 'requirements' manifest key (close #113)
  * [enh] Implement package version specifier and use it for min_version
  * [enh] Use https to retrieve public IP address
  * [enh] Use a common method to retrieve public IP address
  * [enh] Rely on APT python library to retrieve packages version
  * [fix] Use http to retrieve public IPv6 due to Let's Encrypt restriction

  [ Julien Malik ]
  * [fix] rspamd/rmilter now uses redis-server instead of memcached
  * [fix] do not output warnings when services are already
    uninstalled/disabled (fix #215)
  * [enh] remove useless '|| true'. set -e does not exit for complex commands
  * [enh] slaptest outputs on stderr, so generates a WARNING. make it quiet
  * [enh] first stop rspamd.service, then start rspamd.socket
  * [fix] use ip6.yunohost.org service to retrieve public IPv6
  * [fix] Protect against empty files

  [ opi ]
  * [enh] Add dummy DMARC support if DKIM already supported. #233
  * [fix] Remove Dovecot autocreate deprecated plugin. Fix #103
  * [fix] Catch ConnectionError from requests package
  * [fix] Multiple exceptions syntax.
  * [fix] Wrong command name.

 -- Jérôme Lebleu <jerome@yunohost.org>  Tue, 08 Mar 2016 23:32:52 +0100

yunohost (2.3.9) testing; urgency=low

  [ Cédric Félizard ]
  * [fix] Don't emit Nginx version

  [ Jérôme Lebleu ]
  * [enh] Store backup size and check free space before restoring (bugfix #189)
  * [enh] Allow to install a given git reference of an app
  * [enh] Add the repository from where the app is defined in app_list
  * [enh] Add DKIM DNS record in domain_dns_conf (close #198)
  * [enh] Get completely rid of os.system calls in _fetch_app_from_git
  * [enh] Attempt to improve readability of domain_dns_conf
  * [enh] Replace msignals.display by logging
  * [i18n] Use named arguments for remaining translations in app.py
  * [fix] Clean tmp directory when restoration is cancelled
  * [fix] Improve and fix app fetching other than from github
  * [fix] Start socket and stop rspamd/rmilter services in conf_regen (bugfix #196)
  * [fix] Restart the service if reloading fails in conf_regen (bugfix #195)
  * [fix] Review how app settings are initialized and set
  * [fix] Open port 1900 when enabling UPnP (fix #30)
  * [fix] Remove useless raw argument in domain_list
  * [fix] Regenerate Rmilter conf on domain addition for DKIM key
  * [fix] Add an example for ynh_get_plain_key helper usage
  * [fix] Keep 'avail' key - removed from glances - in disk fs monitoring
  * [fix] Be less restricitve on network interfaces name in monitoring

  [ julienmalik ]
  * [fix] access to /var/lib/metronome/ needs sudo permissions
  * [fix] missing brackets for testing saferemove output
  * [fix] misssing sudo when removing files in /etc/nginx
  * [fix] Set 'app status file not found' log level to debug
  * [fix] Do not raise if one app upgrade fails and regen SSOwat conf

  [ taziden ]
  * [enh] hardening postfix tls configuration

  [ Moul ]
  * [enh] add '-ttl' parameter to 'domain dns conf' command.
  * [enh] also get ssowat version with '-v' argement.

  [ opi ]
  * [enh] Replace msignals.display by logging in tools.py
  * [enh] More descriptive names for XMPP services

 -- Jérôme Lebleu <jerome@yunohost.org>  Wed, 02 Mar 2016 20:45:41 +0100

yunohost (2.3.8) testing; urgency=low

  [ Jérôme Lebleu ]
  * [fix] Add yunohost-firewall to services.yml
  * [fix] Handle empty app settings error when it's not correctly installed

  [ opi ]
  * [fix] head opening tag may have attributes.

  [ zamentur ]
  * [fix] Add backup/restore hooks for ynh_conf_currenthost

 -- Jérôme Lebleu <jerome@yunohost.org>  Sat, 13 Feb 2016 19:28:51 +0100

yunohost (2.3.7) testing; urgency=low

  [ Laurent Peuch ]
  * [enh] new command to generate DNS configuration for a given domain name

  [ Jérôme Lebleu ]
  * [fix] Save LDAP database when switching to MDB (bugfix #169)
  * [fix] Review LDAP backup and restore hooks
  * [enh] Replace msignals.display by logging in backup category
  * [enh] Add a ynh_app_setting_delete helper
  * [enh] Update rmilter hook and dependencies for 1.7 release
  * [enh] Set minimum uid and ignore local users in nslcd.conf
  * [enh] Use a common function to retrieve app settings
  * [enh] Check the slapd config file at first in conf_regen
  * [fix] Validate arguments and app settings in app_map (bugfix #168)
  * [fix] Replace udisks-glue by udisks2 and only suggest it
  * [fix] Correct condition syntax in metronome conf_regen hook
  * [fix] Allow false and 0 as non-empty values for an app argument
  * [fix] Some improvements and fixes to actions related to app access
  * [fix] Remove old services and add rmilter/rspamd
  * [fix] Correct log file of yunohost-api in services.yml
  * [i18n] Use named variables in app category translations

 -- Jérôme Lebleu <jerome@yunohost.org>  Sun, 07 Feb 2016 18:56:13 +0100

yunohost (2.3.6) testing; urgency=low

  [ Jérôme Lebleu ]
  * [enh] Pass app id to scripts and remove hook_check action
  * [enh] Rely only on app_id argument for multi-instances apps
  * [enh] Add support for app argument 'type' defined in the manifest
  * [enh] Integrate 'optional' key of arguments in app manifest
  * [enh] Implement 'boolean' argument type support in app manifest
  * [enh] Add ping util as recommended package
  * [enh] Add a helper to check if a user exists on the system
  * [enh] Provide bash helpers for packages manipulation (wip #97)
  * [enh] Add ynh_package_update helper and call it in install_from_equivs
  * [fix] Do not block while set main domain
  * [fix] Add GRANT OPTION in ynh_mysql_create_db helper
  * [fix] Validate app argument choice for input value too
  * [fix] Log rotation is already handled by WatchedFileHandler (fixbug #137)
  * [fix] Use rmilter as a socket-activated service
  * [fix] Parse app arguments before creating app folder and settings
  * [fix] Use INFO logging level if app setting is not found
  * [fix] Split service_configuration_conflict translation key (fixbug #136)
  * [fix] Set default value of boolean argument type to false if unset
  * [fix] Remove useless SPF setting in Postfix configuration (fixbug #150)
  * [fix] Add procmail to packages dependencies
  * [i18n] Review translations and keys related to app arguments

  [ Sebastien Badia ]
  * hooks: Use a more elegant grep command for mysql process check

 -- Jérôme Lebleu <jerome@yunohost.org>  Sun, 17 Jan 2016 02:57:53 +0100

yunohost (2.3.5) testing; urgency=low

  [ opi ]
  * [enh] Get app label for installed app in app list
  * [enh] Short cache on handlebars templates

  [ Jérôme Lebleu ]
  * [enh] Allow to pass the admin password as argument in the cli
  * [enh] Add main domain GET route
  * [enh] Provide bash helpers for MySQL databases and app settings (wip #97)
  * [enh] Rename ynh_password bash helper to ynh_string_random
  * [fix] Check app min_version with yunohost package (fixbug #113)
  * [fix] Use --output-as instead of deprecated options
  * [fix] Prevent error if unset variable is treated in utils helper
  * [doc] Improve usage and add examples for user helpers
  * [i18n] Update translations from Transifex belatedly

 -- Jérôme Lebleu <jerome@yunohost.org>  Thu, 24 Dec 2015 10:55:36 +0100

yunohost (2.3.4) testing; urgency=low

  [ Jérôme Lebleu ]
  * [enh] Make use of call_async_output in hook_exec to get output in real time
  * [fix] Display a more detailed message when yunohost-firewall is stopped
  * [fix] Prevent insserv warning when using systemd at package postinst
  * [fix] Log real exception string error in hook_callback
  * [fix] Add yunohost-firewall.service but do not enable it

  [ julienmalik ]
  * [fix] Log for rmilter instead of rspamd
  * [fix] Do not exit at first service which can't be stopped

 -- Jérôme Lebleu <jerome.lebleu@mailoo.org>  Tue, 17 Nov 2015 11:10:42 +0100

yunohost (2.3.3) testing; urgency=low

  * [fix] Do not modify handlers with root_handlers in bin/yunohost

 -- Jérôme Lebleu <jerome.lebleu@mailoo.org>  Sun, 15 Nov 2015 15:00:04 +0100

yunohost (2.3.2) testing; urgency=low

  [ Jérôme Lebleu ]
  * [fix] Do not rely on dh_installinit and restart service after upgrade
  * [fix] Add tty in root handlers if debug is set in bin/yunohost

  [ kload ]
  * [fix] Do not remove the global_script directory
  * [fix] Unexpected warnings comming from stderr
  * [enh] Warn the user about the waiting at the configuration generation
  * [fix] Delayed upgrade of the package 'yunohost'

 -- Jérôme Lebleu <jerome.lebleu@mailoo.org>  Sun, 15 Nov 2015 14:03:39 +0100

yunohost (2.3.1) testing; urgency=low

  [ Jérôme Lebleu ]
  * [enh] Add logrotate configuration
  * [enh] Allow to set default options for yunohost-api service
  * [enh] Add bash completion for bin/yunohost
  * [enh] Make use of new logging facilities in firewall, hook and service
  * [enh] Refactor bin/yunohost and bin/yunohost-api to follow moulinette
    changes and provide help for global arguments
  * [enh] Split stdout/stderr wrapping in hook_exec and add a no_trace option
  * [fix] Create home directory during login (fixbug #80)
  * [fix] Keep compat with deprecated --plain and --json in the cli
  * [fix] Do not restrict warning to tty in service_saferemove
  * [fix] Enable yunohost-api systemd service manually

  [ kload ]
  * [fix] Restart Dovecot at the end of Rspamd configuration script
  * [fix] Translate regenconf messages in English and French

 -- Jérôme Lebleu <jerome.lebleu@mailoo.org>  Sun, 15 Nov 2015 00:23:27 +0100

yunohost (2.3.0) testing; urgency=low

  [ breaking changes ]
  * Merge all packages into one
  * Wheezy compatibility drop

  [ features ]
  * Implement a regenconf command
  * Implement local backup/restore functions
  * Allow to filter which app to backup/restore
  * Replace the email stack by Rspamd/Rmilter
  * Create shallow clone to increase app installation time
  * Add helper bash functions for apps developers
  * Update app_info to show app installation status
  * Implement an app_debug function
  * IPv6 compatibility enhancement

  [ bugfixes ]
  * Display YunoHost packages versions (fix #11)
  * Allow empty app arguments in app_install
  * Invalidate passwd at user creation/deletion (fix #70)
  * Fix skipped_urls for each domain and #68
  * Correct logger object in backup_list (fix #75)
  * 2nd installation of apps with a hooks directory
  * Add netcat-openbsd dependency
  * Ensure that arguments are passed to the hook as string
  * Use SSL/TLS to fetch app list
  * IPv6 record in DynDNS
  * Use sudo to execute hook script
  * Debian postinst script : only respond to configure
  * Handle SSL generation better
  * Ensure that the service yunohost-api is always running
  * Sieve permission denied
  * Do not enable yunohost-firewall service at install
  * Open port 1900 when enabling UPnP (fixes #30)

  [ other ]
  * Add AGPL license
  * French translation using Weblate

 -- kload <kload@kload.fr>  Tue, 03 Nov 2015 11:55:19 +0000

moulinette-yunohost (2.3.1) testing; urgency=low

  [ Julien Malik ]
  * [fix] Indent postinst script uniformly
  * [enh] postinst : only respond to configure
  * [lintian] fix output-of-updaterc.d-not-redirected-to-dev-null yunohost-api postinst
  * [lintian] fix postrm-contains-additional-updaterc.d-calls etc/init.d/yunohost-firewall
  * [lintian] fix init.d-script-missing-lsb-description
  * [lintian] fix init.d-script-does-not-implement-required-option etc/init.d/yunohost-api force-reload
  * [lintian] fix init.d-script-does-not-implement-required-option etc/init.d/yunohost-firewall force-reload
  * [lintian] fix executable-not-elf-or-script usr/lib/moulinette/yunohost/__init__.py
  * [lintian] fix script-not-executable for backup/restore hooks
  * [fix] remove copy-pasted comments

  [ Le Kload ]
  * [fix] Ensure that arguments are passed to the hook as string

  [ opi ]
  * [fix] Use SSL/TLS to fetch app list

  [ Jérôme Lebleu ]
  * [fix] Replace bind9 by dnsmasq in services definition

  [ kload ]
  * [fix] IPv6 record in DynDNS

  [ Jocelyn Delande ]
  * [fix] fix UnboundLocalError on ConnectionError
  * [enh] Determine the public IPv6 locally

 -- kload <kload@kload.fr>  Sun, 27 Sep 2015 10:36:34 +0000

moulinette-yunohost (2.3.0) testing; urgency=low

  [ M5oul ]
  * Add AGPL license

  [ ZeHiro ]
  * [fix] Fix skipped_urls for each domain and #68

  [ nahoj ]
  * typo

  [ Jérôme Lebleu ]
  * [fix] Correct logger object in backup_list (fix #75)

  [ zamentur ]
  * [fix] 2nd installation of apps with a hooks directory

  [ Julien Malik ]
  * Add helper bash functions for apps developers

  [ opi ]
  * [enh] Add ynh_user_exists helper.
  * [fix] Use one file for all user related helpers.

  [ Adrien Beudin ]
  * [fix] add netcat-openbsd packages in depends

 -- Jérôme Lebleu <jerome.lebleu@mailoo.org>  Tue, 08 Sep 2015 14:19:28 +0200

moulinette-yunohost (2.2.3) stable; urgency=low

  * [fix] Catch proper exception in backup_list (fix #65)
  * [fix] Display YunoHost packages versions (fix #11)
  * [fix] Allow empty app arguments in app_install
  * [fix] Invalidate passwd at user creation/deletion (fix #70)
  * [fix] Add minimum moulinette version in debian/control

 -- Jérôme Lebleu <jerome.lebleu@mailoo.org>  Sat, 18 Jul 2015 16:42:59 +0200

moulinette-yunohost (2.2.2) stable; urgency=low

  * [fix] Avoid cd errors

 -- kload <kload@kload.fr>  Tue, 02 Jun 2015 15:19:07 +0000

moulinette-yunohost (2.2.1) stable; urgency=low

  [ Jérôme Lebleu ]
  * [fix] Retrieve apps settings in a safer way (fix #61)
  * [enh] Add post_user_delete hook

 -- kload <kload@kload.fr>  Sat, 23 May 2015 15:14:54 +0200

moulinette-yunohost (2.2.0) stable; urgency=low

  * Bumping version to 2.2.0

 -- kload <kload@kload.fr>  Fri, 08 May 2015 19:15:07 +0000

moulinette-yunohost (2.1.11) testing; urgency=low

  * [fix] Include ca-certificates in dependencies

 -- kload <kload@kload.fr>  Fri, 08 May 2015 19:07:57 +0000

moulinette-yunohost (2.1.10) testing; urgency=low

  * [fix] Add python-apt to requirements and remove rubygems

 -- kload <kload@kload.fr>  Fri, 08 May 2015 18:05:37 +0000

moulinette-yunohost (2.1.9) testing; urgency=low

  * [fix] Allow SSH port in TCP only

 -- kload <kload@kload.fr>  Fri, 08 May 2015 16:13:07 +0000

moulinette-yunohost (2.1.8) testing; urgency=low

  * [fix] Allow old custom applications compatibility
  * [fix] Mandatory protocol for backward compatibility

 -- kload <kload@kload.fr>  Fri, 08 May 2015 00:52:50 +0000

moulinette-yunohost (2.1.7) testing; urgency=low

  * [fix] Keep username in user list for compatibility

 -- kload <kload@kload.fr>  Tue, 05 May 2015 20:00:55 +0200

moulinette-yunohost (2.1.6) testing; urgency=low

  [ Adrien Beudin ]
  * remove yunohost-firewall package
  * fix depends of yunohost-firewall

 -- kload <kload@kload.fr>  Tue, 05 May 2015 11:29:12 +0200

moulinette-yunohost (2.1.5) testing; urgency=low

  [ Adrien Beudin ]
  * [fix] add bind9utils

  [ Julien VAUBOURG ]
  * Disable DNS forwarding

 -- kload <kload@kload.fr>  Mon, 04 May 2015 16:26:02 +0200

moulinette-yunohost (2.1.4) testing; urgency=low

  [ Adrien Beudin ]
  * [fix] yunohost firewall init script
  * [fix] add depends on yunohost-firewall
  * [fix] add rules for yunohost-firewall init script

 -- kload <kload@kload.fr>  Fri, 01 May 2015 21:15:30 +0000

moulinette-yunohost (2.1.3) testing; urgency=low

  [ Jérôme Lebleu ]
  * [enh] Add support for user mailbox size quota
  * [enh] List users by username
  * [fix] Adapt broken calls to user_list
  * [fix] Allow empty users argument in app_add/removeaccess

  [ root ]
  * [fix] show usage quota status

  [ Adrien Beudin ]
  * [fix] show usage quota status
  * Revert "[fix] Allow empty users argument in app_add/removeaccess"
  * [fix] show usage quota status
  * [enh] Add check STMP outgoing port
  * [fix] Remove import subprocess

  [ Jérôme Lebleu ]
  * Revert "Revert "[fix] Allow empty users argument in app_add/removeaccess""

  [ Adrien Beudin ]
  * [enh] Add MX check + Refactoring
  * [fix] user quota
  * [fix] check mx ID
  * [fix] remove domain beudi
  * [fix] network check
  * [fix] readd yunohost-firewall init script

 -- kload <kload@kload.fr>  Fri, 01 May 2015 15:06:37 +0000

moulinette-yunohost (2.1.2) testing; urgency=low

  [ Jérôme Lebleu ]
  * [fix] Ooops, so much yolo kills yolo and actionsmap
  * [fix] Consider new gTLDs in email and domain regex (fix #46)
  * [fix] Open TCP port 587 for mail submission
  * [i18n] Update translations from Transifex
  * [i18n] Remove unused 'yunohost' translation key
  * [i18n] Fix JSON syntax errors
  * [fix] Catch ConnectionError from requests package

  [ zamentur ]
  * [enh] Add app settings to redirect request

  [ Julien Malik ]
  * [fix] concatenate CA certificate with domain certificate
  * [fix] Block XMPP Bosh port 5290

 -- Julien Malik <julien.malik@paraiso.me>  Tue, 17 Mar 2015 16:44:04 +0100

moulinette-yunohost (2.1.1) testing; urgency=low

  * Bump version to 2.1.1 to bootstrap new build workflow

 -- Julien Malik <julien.malik@paraiso.me>  Thu, 12 Feb 2015 13:32:37 +0100

moulinette-yunohost (2.0-rc~megusta33) test; urgency=low

  * Test build: [enh] Use dnsmasq

 -- Adrien Beudin <beudbeud@yunohost.org>  Wed, 24 Dec 2014 17:04:29 +0100

moulinette-yunohost (2.0-rc~megusta32) test; urgency=low

  * Test build: [enh] Replace udiskie by udisks-glue

 -- Adrien Beudin <beudbeud@yunohost.org>  Fri, 31 Oct 2014 19:36:18 +0100

moulinette-yunohost (2.0-rc~megusta31) test; urgency=low

  * Test build: [enh] Working backup and restore

 -- Adrien Beudin <beudbeud@yunohost.org>  Sun, 26 Oct 2014 00:50:34 +0200

moulinette-yunohost (2.0-rc~megusta30) test; urgency=low

  * Test build: Fixes

 -- Adrien Beudin <beudbeud@yunohost.org>  Sun, 26 Oct 2014 00:16:21 +0200

moulinette-yunohost (2.0-rc~megusta29) test; urgency=low

  * Test build: Restore function WIP

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 25 Oct 2014 23:23:25 +0200

moulinette-yunohost (2.0-rc~megusta28) test; urgency=low

  * Test build: typo

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 25 Oct 2014 20:41:10 +0200

moulinette-yunohost (2.0-rc~megusta27) test; urgency=low

  * Test build: typo

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 25 Oct 2014 20:09:26 +0200

moulinette-yunohost (2.0-rc~megusta26) test; urgency=low

  * Test build: typo

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 25 Oct 2014 19:38:54 +0200

moulinette-yunohost (2.0-rc~megusta25) test; urgency=low

  * Test build: Backup / restore WIP

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 25 Oct 2014 18:58:03 +0200

moulinette-yunohost (2.0-rc~megusta24) test; urgency=low

  * Test build: [enh] add firewall init script

 -- Adrien Beudin <beudbeud@yunohost.org>  Tue, 16 Sep 2014 14:29:10 +0200

moulinette-yunohost (2.0-rc~megusta23) test; urgency=low

  * Test build: [enh] Add avahi daemon

 -- Adrien Beudin <beudbeud@yunohost.org>  Tue, 16 Sep 2014 09:43:51 +0200

moulinette-yunohost (2.0-rc~megusta22) megusta; urgency=low

  * Production build: Bump version

 -- Adrien Beudin <beudbeud@yunohost.org>  Thu, 31 Jul 2014 12:31:32 +0200

moulinette-yunohost (2.0-rc~megusta21) megusta; urgency=low

  * Production build: Bump version

 -- Adrien Beudin <beudbeud@yunohost.org>  Thu, 31 Jul 2014 12:09:57 +0200

moulinette-yunohost (2.0-rc~megusta20) test; urgency=low

  * Test build: Update from git 31ef39e4e

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 28 Jul 2014 18:09:50 +0200

moulinette-yunohost (2.0-rc~megusta19) megusta; urgency=low

  * Production build: bump version

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 21 Jul 2014 16:23:15 +0200

moulinette-yunohost (2.0-rc~megusta18) megusta; urgency=low

  * Production build: Fix upgrade and various fixes

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 21 Jul 2014 16:16:57 +0200

moulinette-yunohost (2.0-rc~megusta17) test; urgency=low

  * Test build: Various fixes

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 21 Jul 2014 16:10:40 +0200

moulinette-yunohost (2.0-rc~megusta16) test; urgency=low

  * Test build: Update from git fed3e6f67

 -- Adrien Beudin <beudbeud@yunohost.org>  Fri, 18 Jul 2014 18:37:44 +0200

moulinette-yunohost (2.0-rc~megusta15) megusta; urgency=low

  * Production build: Update from git 496b4910159d

 -- Adrien Beudin <beudbeud@yunohost.org>  Tue, 01 Jul 2014 19:08:29 +0200

moulinette-yunohost (2.0-rc~megusta14) test; urgency=low

  * Test build: Update from git  496b4910159d

 -- Adrien Beudin <beudbeud@yunohost.org>  Tue, 01 Jul 2014 19:01:33 +0200

moulinette-yunohost (2.0-rc~megusta13) test; urgency=low

  * Test build: [fix] Init script

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 30 Jun 2014 17:52:52 +0200

moulinette-yunohost (2.0-rc~megusta12) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 28 Jun 2014 15:07:05 +0200

moulinette-yunohost (2.0-rc~megusta11) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 28 Jun 2014 10:59:30 +0200

moulinette-yunohost (2.0-rc~megusta10) test; urgency=low

  * Test build: [fix] Properly separate upnp and firewall

 -- Adrien Beudin <beudbeud@yunohost.org>  Thu, 26 Jun 2014 12:40:47 +0200

moulinette-yunohost (2.0-rc~megusta9) test; urgency=low

  * Test build: [fix] API init script

 -- Adrien Beudin <beudbeud@yunohost.org>  Wed, 25 Jun 2014 22:31:51 +0200

moulinette-yunohost (2.0-rc~megusta8) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Tue, 24 Jun 2014 13:56:53 +0200

moulinette-yunohost (2.0-rc~megusta7) megusta; urgency=low

  * Production build: [fix] copy firewall.yml file

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 14 Jun 2014 13:42:34 +0200

moulinette-yunohost (2.0-rc~megusta6) megusta; urgency=low

  * Production build: [fix] Wrong translation key in app module

 -- Adrien Beudin <beudbeud@yunohost.org>  Thu, 12 Jun 2014 19:13:54 +0200

moulinette-yunohost (2.0-rc~megusta5) test; urgency=low

  * Test build: [fix] Add --no-websocket option to yunohost-api when
    gevent segfault

 -- Adrien Beudin <beudbeud@yunohost.org>  Thu, 12 Jun 2014 09:51:56 +0200

moulinette-yunohost (2.0-rc~megusta4) test; urgency=low

  * Test build: [fix] Add --no-websocket option to yunohost-api when
    gevent segfault

 -- Adrien Beudin <beudbeud@yunohost.org>  Thu, 12 Jun 2014 09:43:13 +0200

moulinette-yunohost (2.0-rc~megusta3) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Thu, 12 Jun 2014 09:28:32 +0200

moulinette-yunohost (2.0-rc~megusta2) megusta; urgency=low

  * Production build: Bump version

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 09 Jun 2014 01:43:09 +0200

moulinette-yunohost (2.0-rc~megusta1) test; urgency=low

  * Bump version

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 09 Jun 2014 00:49:09 +0200

moulinette-yunohost (2.0~megusta44) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 09 Jun 2014 00:49:09 +0200

moulinette-yunohost (2.0~megusta43) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Fri, 06 Jun 2014 12:24:33 +0200

moulinette-yunohost (2.0~megusta42) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 02 Jun 2014 22:10:12 +0200

moulinette-yunohost (2.0~megusta41) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 02 Jun 2014 11:29:54 +0200

moulinette-yunohost (2.0~megusta40) test; urgency=low

  * Test build: [fix] Remove --no-ldap argument while fetching applist

 -- Adrien Beudin <beudbeud@yunohost.org>  Sun, 01 Jun 2014 21:44:08 +0200

moulinette-yunohost (2.0~megusta39) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 31 May 2014 11:37:40 +0200

moulinette-yunohost (2.0~megusta38) test; urgency=low

  * Test build: [fix] Move udsikie init script

 -- Adrien Beudin <beudbeud@yunohost.org>  Fri, 30 May 2014 13:37:38 +0200

moulinette-yunohost (2.0~megusta37) test; urgency=low

  * Test build: [fix] dependencies

 -- Adrien Beudin <beudbeud@yunohost.org>  Thu, 29 May 2014 21:34:45 +0200

moulinette-yunohost (2.0~megusta36) test; urgency=low

  * Test build: [fix] dependencies

 -- Adrien Beudin <beudbeud@yunohost.org>  Thu, 29 May 2014 21:21:52 +0200

moulinette-yunohost (2.0~megusta35) test; urgency=low

  * Test build: [fix] Install udiskie via pip

 -- Adrien Beudin <beudbeud@yunohost.org>  Thu, 29 May 2014 10:48:21 +0200

moulinette-yunohost (2.0~megusta34) test; urgency=low

  * Test build: [fix] Install udiskie via pip

 -- Adrien Beudin <beudbeud@yunohost.org>  Thu, 29 May 2014 10:20:24 +0200

moulinette-yunohost (2.0~megusta33) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Wed, 28 May 2014 21:05:27 +0200

moulinette-yunohost (2.0~megusta32) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Wed, 28 May 2014 15:38:24 +0200

moulinette-yunohost (2.0~megusta31) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Tue, 27 May 2014 14:44:24 +0200

moulinette-yunohost (2.0~megusta30) test; urgency=low

  * Test build: [fix] Reload SSOwat conf at postinst

 -- Adrien Beudin <beudbeud@yunohost.org>  Tue, 27 May 2014 13:54:53 +0200

moulinette-yunohost (2.0~megusta29) test; urgency=low

  * Test build: [fix] Reload SSOwat conf at postinst

 -- Adrien Beudin <beudbeud@yunohost.org>  Tue, 27 May 2014 13:51:08 +0200

moulinette-yunohost (2.0~megusta28) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Tue, 27 May 2014 12:44:06 +0200

moulinette-yunohost (2.0~megusta27) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 26 May 2014 13:40:28 +0200

moulinette-yunohost (2.0~megusta26) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 24 May 2014 21:33:08 +0200

moulinette-yunohost (2.0~megusta25) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 19 May 2014 17:29:32 +0200

moulinette-yunohost (2.0~megusta24) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 19 May 2014 17:28:57 +0200

moulinette-yunohost (2.0~megusta23) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 19 May 2014 13:06:04 +0200

moulinette-yunohost (2.0~megusta22) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 19 May 2014 10:50:53 +0200

moulinette-yunohost (2.0~megusta21) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 19 May 2014 10:38:27 +0200

moulinette-yunohost (2.0~megusta20) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Mon, 19 May 2014 10:34:23 +0200

moulinette-yunohost (2.0~megusta19) test; urgency=low

  * Test build: [enh] Move init script in the moulinette-yunohost
    package

 -- Adrien Beudin <beudbeud@yunohost.org>  Sun, 18 May 2014 15:15:23 +0200

moulinette-yunohost (2.0~megusta18) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Sun, 18 May 2014 12:11:17 +0200

moulinette-yunohost (2.0~megusta17) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Sun, 18 May 2014 11:57:39 +0200

moulinette-yunohost (2.0~megusta16) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Sun, 18 May 2014 11:14:48 +0200

moulinette-yunohost (2.0~megusta15) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 17 May 2014 22:30:18 +0200

moulinette-yunohost (2.0~megusta14) test; urgency=low

  * Test build: [fix] Check if firewall.yml is old

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 17 May 2014 22:21:48 +0200

moulinette-yunohost (2.0~megusta13) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 17 May 2014 22:10:52 +0200

moulinette-yunohost (2.0~megusta12) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 17 May 2014 21:58:31 +0200

moulinette-yunohost (2.0~megusta11) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 17 May 2014 00:35:13 +0200

moulinette-yunohost (2.0~megusta10) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Sat, 17 May 2014 00:16:12 +0200

moulinette-yunohost (2.0~megusta9) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Fri, 16 May 2014 23:19:51 +0200

moulinette-yunohost (2.0~megusta8) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Fri, 16 May 2014 21:46:50 +0200

moulinette-yunohost (2.0~megusta7) test; urgency=low

  * Test build: Remove cache after upgrade

 -- Adrien Beudin <beudbeud@yunohost.org>  Fri, 16 May 2014 20:57:45 +0200

moulinette-yunohost (2.0~megusta6) test; urgency=low

  * Test build: Update from git

 -- Adrien Beudin <beudbeud@yunohost.org>  Fri, 16 May 2014 20:05:08 +0200

moulinette-yunohost (2.0~megusta5) test; urgency=low

  * Test build: Update init script

 -- Adrien Beudin <beudbeud@yunohost.org>  Fri, 16 May 2014 18:23:14 +0200

moulinette-yunohost (2.0~megusta4) test; urgency=low

  * Test build: actionSSSSS map

 -- Adrien Beudin <beudbeud@yunohost.org>  Fri, 16 May 2014 18:05:45 +0200

moulinette-yunohost (2.0~megusta3) test; urgency=low

  * Test build: actionSSSSS map

 -- Adrien Beudin <beudbeud@yunohost.org>  Fri, 16 May 2014 17:31:04 +0200

moulinette-yunohost (2.0~megusta2) test; urgency=low

  * Test build: Bump version

 -- Adrien Beudin <beudbeud@yunohost.org>  Fri, 16 May 2014 16:28:45 +0200

moulinette-yunohost (2.0~megusta1) test; urgency=low

  * Test build: Add moulinette-yunohost package

 -- Adrien Beudin <beudbeud@yunohost.org>  Fri, 16 May 2014 16:05:31 +0200

moulinette-yunohost (1.0~megusta1) megusta; urgency=low

  * Init

 -- Adrien Beudin <beudbeud@yunohost.org>  Thu, 15 May 2014 13:16:03 +0200

